commit 0d03dd4a12e4f860baf36b46f0dc890a4079d26a
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Fri Nov 25 11:20:03 2011 +0100

    Release 1.16.1.2

 debian/changelog |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 274f81385cecbca04826308d52e19438b62a4467
Author: Jonathan Nieder <jrnieder@gmail.com>
Date:   Fri Oct 21 01:26:12 2011 -0500

    dpkg-buildflags(1): -D_FORTIFY_SOURCE=2 goes in CPPFLAGS
    
    In 1.16.1.1~8 (2011-10-02), dpkg-buildflags learned to set
    -D_FORTIFY_SOURCE=2 in CPPFLAGS instead of CFLAGS and CXXFLAGS but the
    documentation wasn't updated to match.
    
    Reported-by: James Vega <jamessan@debian.org>
    Signed-off-by: Jonathan Nieder <jrnieder@gmail.com>
    Closes: #646073

 debian/changelog      |    6 ++++++
 man/dpkg-buildflags.1 |    2 +-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit 9cc83ca6ff8de35c114d83f7307f1f7cbcd3704f
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sat Oct 15 10:53:38 2011 +0200

    scripts/mk: fix typo to correctly set DEB_*_ARCH_BITS in architecture.mk

 debian/changelog           |    6 ++++++
 scripts/mk/architecture.mk |    4 ++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit 9babd2d62709dd694c74fd716543c5561e169038
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Oct 14 07:08:40 2011 +0200

    Release 1.16.1.1

 debian/changelog |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 343c4935b8b7f57281564659aa6ff0d3c925d5ab
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Oct 13 10:28:58 2011 +0200

    dpkg-buildflags: Disable bindnow if relro is not used
    
    There is no point in enabling full relro (aka bindnow) if relro is
    not enabled. It just brings its disadvantages and none of its possible
    advantages.

 debian/changelog              |    1 +
 scripts/Dpkg/Vendor/Debian.pm |    3 +++
 2 files changed, 4 insertions(+), 0 deletions(-)

commit 44aa764eb17a7665c291b424ddc3a4b6ef5a0754
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Mon Oct 10 10:50:02 2011 +0200

    scripts/mk: fix buildflags.mk to make use of the DEB_*_MAINT_* variables
    
    Make does not export its own variables (even those which have been
    exported explicitly) to sub-shells executed with $(shell …). Since
    dpkg-buildflags is called that way, we have to modify the command
    line to embed variable initializations to ensure that we forward the
    variables that have been set by the maintainer in debian/rules.
    
    Since this code required to loop over all possible flags, I took
    the opportunity to also set the output variables within a loop construct
    using a single template (avoids copy&paste mistakes).
    
    Reported-by: Pierre Chifflier <pollux@debian.org>

 debian/changelog         |    2 ++
 scripts/mk/buildflags.mk |   24 ++++++++++++++++++------
 2 files changed, 20 insertions(+), 6 deletions(-)

commit ceb939d278689634037115a728fd7c083d0e4a39
Author: Thorsten Glaser <tg@mirbsd.org>
Date:   Sat Oct 8 17:25:08 2011 +0000

    scripts/mk: Fix typo by setting DEB_*_ARCH_BITS instead of DEB_*_ARCH
    
    Signed-off-by: Thorsten Glaser <tg@mirbsd.org>
    Signed-off-by: Guillem Jover <guillem@debian.org>

 debian/changelog           |    2 ++
 scripts/mk/architecture.mk |    4 ++--
 2 files changed, 4 insertions(+), 2 deletions(-)

commit f18c197931e280ff3594dd06585ad1a15e24bc28
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Thu Oct 6 16:54:57 2011 +0200

    dpkg-source: ignore changes on debian/patches/.dpkg-source-applied
    
    With 2.0 source packages, dpkg-source records as a comment in
    debian/patches/.dpkg-source-applied whether the patches have
    been applied at build time or at unpack time.
    
    This can lead to differences between the file in the build tree
    and the file in the reference tree used to check for changes.
    Thus we need to ignore that file in the diff process or the build
    might fail considering this difference as a local change that
    has not been recorded in a patch.
    
    Reported-by: Jakub Wilk <jwilk@debian.org>

 debian/changelog                  |    2 ++
 scripts/Dpkg/Source/Package/V2.pm |    3 ++-
 2 files changed, 4 insertions(+), 1 deletions(-)

commit 2cece5eb5d61df91e7e774511c19785afe26f596
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Thu Oct 6 16:17:02 2011 +0200

    Updade changelog to include some missing bug closures

 debian/changelog |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 667bae316a302c0f62e5e38a6c791a62785af4b2
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Thu Oct 6 15:32:36 2011 +0200

    dpkg: fix trigger setup code to not reset the status of unconfigured packages
    
    The change in commit a36cadba41b19d5908bdfcb658cf01af07c1436a was wrongly
    assuming that all packages would be in one of the states
    triggers-awaited, triggers-pending or installed when
    trig_transitional_activate kicks in.
    
    That is not the case and the status reset should hence only be done when
    the current status is already such that the trigger information are
    meaningful. transitional_interest_callback_ro() is already taking care
    to not add anything in the Triggers-Pending field when the status
    is such that it would not make sense.
    
    Reported-by: Hector Oron <hector.oron@gmail.com>

 debian/changelog |    3 +++
 src/trigproc.c   |    2 ++
 2 files changed, 5 insertions(+), 0 deletions(-)

commit 128ece24446b5e7a701f94d9bdcc4c6a3c8410e3
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sun Oct 2 09:44:14 2011 +0200

    dpkg-buildpackage: no longer output the build flags
    
    Because dpkg-buildpackage is no longer setting the corresponding
    environment variables, and because it confuses maintainers
    who are overriding them via debian/rules and who are not seeing
    the expected values in their build log.

 debian/changelog             |    3 +++
 scripts/dpkg-buildpackage.pl |    8 --------
 2 files changed, 3 insertions(+), 8 deletions(-)

commit feac1f983ce3fb45266283ba07483e029095b022
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Oct 2 09:06:53 2011 +0200

    dpkg-buildflags: Set preprocessor option -D_FORTIFY_SOURCE=2 in CPPFLAGS
    
    Instead of setting it in the CFLAGS and CXXFLAGS variables.
    
    Closes: #642521, #643632

 debian/changelog              |    5 +++++
 scripts/Dpkg/Vendor/Debian.pm |    3 +--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 570886809efd1b551072fe52ccfd4e50a4175375
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Thu Sep 29 14:23:24 2011 +0200

    dpkg-buildflags(1): drop the quotes when setting DEB_BUILD_MAINT_OPTIONS
    
    DEB_BUILD_MAINT_OPTIONS is usually set in a Makefile and make puts the
    quotes in the variable value (i.e. it doesn't use them to delimit the
    value). This is obviously not wanted so let's fix the examples.

 debian/changelog      |    2 ++
 man/dpkg-buildflags.1 |    4 ++--
 2 files changed, 4 insertions(+), 2 deletions(-)

commit dd483ad8e4484e466f98e3d2deccaaa75cae099f
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Thu Sep 29 14:13:47 2011 +0200

    dpkg-buildflags: fix --dump to return 0 as exit code
    
    Reported-by: Yves-Alexis Perez <corsac@debian.org>

 debian/changelog           |    1 +
 scripts/dpkg-buildflags.pl |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

commit bd4c055562a3cbfa1c74b55348e545b2fcdd3393
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Tue Sep 27 09:01:52 2011 +0200

    dpkg-source: let --commit create debian/patches when required
    
    Reported-by: Jakub Wilk <jwilk@debian.org>

 debian/changelog                  |    1 +
 scripts/Dpkg/Source/Package/V2.pm |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

commit 669e0ff496e6870c06de82da111ba069263a0456
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Tue Sep 27 08:44:12 2011 +0200

    dpkg-source: do not ignore the automatic patch when checking for unrecorded changes
    
    The former behaviour to always generate the automatic patch required to
    not apply it on the tree used as a basis for the patch generation. That
    way it could be updated at each build.
    
    With the new behaviour to fail on any new change, we should no longer
    ignore it. It must be applied on the reference tree except when
    --auto-commit is on.
    
    This should fix 227 (source package) build failures in Debian unstable.

 debian/changelog                  |    7 +++++++
 scripts/Dpkg/Source/Package/V2.pm |   18 +++++++++++-------
 2 files changed, 18 insertions(+), 7 deletions(-)

commit 437f8b53910c0b59df6182fc23a1485f8638c745
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Sep 23 06:00:18 2011 +0200

    Release 1.16.1

 debian/changelog |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit e64ab34cd022b2d4381c85643ef29a0f0df42394
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Sep 23 05:59:26 2011 +0200

    Add debian/changelog entry for .deb large file support (LFS) fixes

 debian/changelog |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 75909e0cb643ee165929f405cca6c82eb6242b04
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Sep 23 03:49:53 2011 +0200

    Regenerate .pot files and merge .po files with them

 dselect/po/bs.po        |    2 +-
 dselect/po/ca.po        |    2 +-
 dselect/po/cs.po        |    2 +-
 dselect/po/da.po        |    2 +-
 dselect/po/de.po        |    2 +-
 dselect/po/dselect.pot  |    4 +-
 dselect/po/el.po        |    2 +-
 dselect/po/es.po        |    2 +-
 dselect/po/et.po        |    2 +-
 dselect/po/eu.po        |    2 +-
 dselect/po/fr.po        |    2 +-
 dselect/po/gl.po        |    2 +-
 dselect/po/hu.po        |    2 +-
 dselect/po/id.po        |    2 +-
 dselect/po/it.po        |    2 +-
 dselect/po/ja.po        |    2 +-
 dselect/po/ko.po        |    2 +-
 dselect/po/nb.po        |    2 +-
 dselect/po/nl.po        |    2 +-
 dselect/po/nn.po        |    2 +-
 dselect/po/pl.po        |    2 +-
 dselect/po/pt.po        |    2 +-
 dselect/po/pt_BR.po     |    2 +-
 dselect/po/ro.po        |    2 +-
 dselect/po/ru.po        |    2 +-
 dselect/po/sk.po        |    2 +-
 dselect/po/sv.po        |    2 +-
 dselect/po/tl.po        |    2 +-
 dselect/po/vi.po        |    2 +-
 dselect/po/zh_CN.po     |    2 +-
 dselect/po/zh_TW.po     |    2 +-
 man/po/de.po            |   22 +-
 man/po/dpkg-man.pot     |  454 ++++++++++++++-------
 man/po/es.po            |  447 +++++++++++++++-----
 man/po/fr.po            |  479 +++++++++++++++++-----
 man/po/hu.po            |  398 +++++++++++++-----
 man/po/ja.po            |  405 ++++++++++++++-----
 man/po/pl.po            |  445 +++++++++++++++------
 man/po/pt_BR.po         |  395 +++++++++++++-----
 man/po/ru.po            |  401 +++++++++++++-----
 man/po/sv.po            |  114 +-----
 po/ast.po               | 1021 ++++++++++++++++++++++++----------------------
 po/bs.po                |  976 ++++++++++++++++++++++----------------------
 po/ca.po                | 1038 ++++++++++++++++++++++++----------------------
 po/cs.po                | 1038 ++++++++++++++++++++++++----------------------
 po/da.po                | 1038 ++++++++++++++++++++++++----------------------
 po/de.po                |  412 ++++++++++---------
 po/dpkg.pot             |  978 ++++++++++++++++++++++----------------------
 po/dz.po                | 1013 +++++++++++++++++++++++----------------------
 po/el.po                | 1015 +++++++++++++++++++++++----------------------
 po/eo.po                | 1038 ++++++++++++++++++++++++----------------------
 po/es.po                | 1038 ++++++++++++++++++++++++----------------------
 po/et.po                | 1009 +++++++++++++++++++++++----------------------
 po/eu.po                | 1038 ++++++++++++++++++++++++----------------------
 po/fr.po                | 1043 ++++++++++++++++++++++++----------------------
 po/gl.po                | 1015 +++++++++++++++++++++++----------------------
 po/hu.po                | 1015 +++++++++++++++++++++++----------------------
 po/id.po                | 1038 ++++++++++++++++++++++++----------------------
 po/it.po                | 1045 ++++++++++++++++++++++++----------------------
 po/ja.po                | 1042 ++++++++++++++++++++++++----------------------
 po/km.po                | 1013 +++++++++++++++++++++++----------------------
 po/ko.po                | 1038 ++++++++++++++++++++++++----------------------
 po/ku.po                |  978 ++++++++++++++++++++++----------------------
 po/lt.po                | 1001 +++++++++++++++++++++++----------------------
 po/mr.po                | 1001 +++++++++++++++++++++++----------------------
 po/nb.po                | 1038 ++++++++++++++++++++++++----------------------
 po/ne.po                | 1013 +++++++++++++++++++++++----------------------
 po/nl.po                | 1015 +++++++++++++++++++++++----------------------
 po/nn.po                |  995 +++++++++++++++++++++++----------------------
 po/pa.po                | 1014 +++++++++++++++++++++++----------------------
 po/pl.po                | 1021 ++++++++++++++++++++++++----------------------
 po/pt.po                | 1038 ++++++++++++++++++++++++----------------------
 po/pt_BR.po             | 1015 +++++++++++++++++++++++----------------------
 po/ro.po                | 1038 ++++++++++++++++++++++++----------------------
 po/ru.po                | 1038 ++++++++++++++++++++++++----------------------
 po/sk.po                | 1038 ++++++++++++++++++++++++----------------------
 po/sv.po                |  443 ++++++++++-----------
 po/th.po                | 1038 ++++++++++++++++++++++++----------------------
 po/tl.po                |  995 +++++++++++++++++++++++----------------------
 po/vi.po                | 1038 ++++++++++++++++++++++++----------------------
 po/zh_CN.po             | 1038 ++++++++++++++++++++++++----------------------
 po/zh_TW.po             | 1013 +++++++++++++++++++++++----------------------
 scripts/po/ca.po        |  111 +++---
 scripts/po/de.po        |    5 +-
 scripts/po/dpkg-dev.pot |  111 +++---
 scripts/po/es.po        |  117 +++---
 scripts/po/fr.po        |  124 ++++---
 scripts/po/pl.po        |  116 +++---
 scripts/po/ru.po        |  117 +++---
 scripts/po/sv.po        |    5 +-
 90 files changed, 23917 insertions(+), 21122 deletions(-)

commit e70decaabe0eb0ecec595a56ec4b06318454f478
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Sep 21 21:13:47 2011 +0200

    Add project documentation to the top level README
    
    This will help people getting the source from git, or downstream
    packagers on how to build from source or interact with the
    maintainers.

 README |  113 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 1 files changed, 110 insertions(+), 3 deletions(-)

commit 7af8fb2f01df10ffd65b733772fd3ef88f808cc3
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Sep 13 08:47:58 2011 +0200

    dpkg-buildflags: Disable bind now by default
    
    This option has a startup performance hit on slow systems, particularly
    due to slow I/O, the effects of which cannot be reverted except for a
    rebuild. It might make sense for long running processes where the
    startup time is not that important, and the security improvements do
    actually matter. Another option is to set the environment variable
    LD_BIND_NOW=1 for the long running process, so that the sysadmin can
    disable it if desired.

 man/dpkg-buildflags.1         |    4 ++--
 scripts/Dpkg/Vendor/Debian.pm |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 7cdaeb8a1cf5d69dafca107ab30dfad3ece1ee16
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Sep 22 04:18:05 2011 +0200

    scripts/mk: Simplify sed expression for DEB_DISTRIBUTION

 scripts/mk/pkg-info.mk |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit cfba9b80fea680d561671713b78044c365a14924
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Wed Sep 21 22:44:00 2011 +0200

    scripts/mk/pkg-info.mk: DEB_DISTRIBUTION returns all listed distributions
    
    Update DEB_DISTRIBUTION to return all distributions listed in the current
    changelog entry instead of only the first one.

 scripts/mk/pkg-info.mk |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit c10517e66a9d62b4a2be9b08f7d3f42378c46ff9
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Wed Sep 21 08:48:37 2011 +0200

    scripts/mk/pkg-info.mk: adjust variable names
    
    Rename DEB_VERSION_NOREV and DEB_VERSION_NOEPOCH to
    DEB_VERSION_EPOCH_UPSTREAM and DEB_VERSION_UPSTREAM_REVISION to define
    them by inclusion rather than by exclusion.
    
    Rename DEB_SOURCE_PACKAGE into the less verbose DEB_SOURCE.
    
    Suggested-by: Guillem Jover <guillem@debian.org>

 scripts/mk/pkg-info.mk |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

commit 966a4f6bd2ef733aba463e1c89a6a5aebfc3499e
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Sep 19 17:40:04 2011 +0200

    build: Pack [type:man] entries in po4a.cfg
    
    There's a huge amount of blank lines which mostly distract from the
    actual content, remove them and fold the lines referring to the man
    page into a single line and leave the addendum line on its own.

 man/po/po4a.cfg |  165 ++++++++++++++-----------------------------------------
 1 files changed, 41 insertions(+), 124 deletions(-)

commit 0ed90da7f4ec6828d85dc78a98b3c8d32f55151b
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Sep 19 17:12:56 2011 +0200

    build: Merge PO4A_COMMON_OPTS and PO4A_BUILD_OPTS into PO4A_OPTS

 man/Makefile.am |    7 +++----
 1 files changed, 3 insertions(+), 4 deletions(-)

commit 822ea85c7c16d45f932f9c86f5ac0a04a8c304c2
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Sep 19 17:01:23 2011 +0200

    build: Use po4a --srcdir and --builddir
    
    This avoids the absolute paths in the po4a Discard output messages,
    and simplifies the build infrastructure by not needing the change
    directory gymnastics and builddir po4a variable in the po4a.cfg file.
    
    It's been enough time now since #538136 was filed precisely for dpkg
    needs, to rely on these “new” options.

 debian/changelog |    2 +
 debian/control   |    2 +-
 man/Makefile.am  |    8 ++---
 man/po/po4a.cfg  |   82 +++++++++++++++++++++++++++---------------------------
 4 files changed, 47 insertions(+), 47 deletions(-)

commit 572caf52457bc4158f6443aa455414e1d5e861dd
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Sep 19 16:48:51 2011 +0200

    build: Use rm instead of po4a on make clean to not change the .pot file
    
    There's no way to invoke po4a for the clean target w/o it possibly
    modifying the .pot file, which makes the distcheck target fail in
    that case.

 man/Makefile.am |    8 +-------
 1 files changed, 1 insertions(+), 7 deletions(-)

commit 3081af870546d7920d56a44611b7bc185286bda8
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Sep 19 16:34:14 2011 +0200

    build: Place all man rules at the end of the Makefile.am

 man/Makefile.am |  146 ++++++++++++++++++++++++++++---------------------------
 1 files changed, 74 insertions(+), 72 deletions(-)

commit 5fc9084fd7c439bbc73a3628b513e028c984ac29
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Sep 18 19:22:59 2011 +0200

    dpkg: Destroy the dpkg_error variables on warnings
    
    The leak on cmpversions() does not pose any issue on normal operation as
    the program will exit immediately and the memory will be freed by the
    system, but once --command-fd is enabled, it could actually be a problem
    due to a long running dpkg process leaking repeatedly.
    
    The leak on parse_db_version() is actually problematic as it can act
    repeatedly if there's tons of warnings when parsing.
    
    Regression introduced in commit ccc26399f2f0e295da1206c5ce81fe81a5dc0e21.
    
    Reported-by: Niels Thykier <niels@thykier.net>

 lib/dpkg/parsehelp.c |    2 ++
 src/enquiry.c        |    2 ++
 2 files changed, 4 insertions(+), 0 deletions(-)

commit e2f95d8abee9978f480c8e1e4a31ed420900509c
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Sun Sep 18 09:42:48 2011 +0200

    Update German translation of manual pages
    
    Update to 2064t.

 man/po/de.po |   46 +++++++++++++++++++++++-----------------------
 1 files changed, 23 insertions(+), 23 deletions(-)

commit 96f21bd6d8cac9ce75726ba2626fbac86933bf9f
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Sep 16 23:39:09 2011 +0200

    build: Ignore perl test programs for coverage report

 scripts/Makefile.am |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit c24e8eba3b4fa687e77259822e9ae91735ac1941
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Sep 16 22:17:09 2011 +0200

    s-s-d(8): Document the optional “:group|gid” argument for --chuid

 debian/changelog        |    1 +
 man/start-stop-daemon.8 |    2 +-
 2 files changed, 2 insertions(+), 1 deletions(-)

commit 49ad180074dd59337622c568391770936cf912c4
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Sep 16 19:41:31 2011 +0200

    s-s-d: Reset the user and group names from the password entry on --chuid
    
    This guarantees the initgroups() call will not fail when the user
    specified the user to change to as a uid instead of a username.
    
    Closes: #641834
    
    Reported-by: Andreas Pretzsch <apr@cn-eng.de>

 debian/changelog          |    2 ++
 utils/start-stop-daemon.c |    2 ++
 2 files changed, 4 insertions(+), 0 deletions(-)

commit f82c23a76d028c3b7d4df41d51a8eaacb5162b88
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Sep 15 04:41:30 2011 +0200

    s-s-d: Fix do_procinit() on OSHurd, OShpux and HAVE_KVM_H
    
    The function on those systems did not have their return code updated
    for the status code.

 utils/start-stop-daemon.c |   24 +++++++++++++++++++-----
 1 files changed, 19 insertions(+), 5 deletions(-)

commit 9805ef20ebf7141c419376af68e7476b5c0dd5c0
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Sep 14 23:32:43 2011 +0200

    s-s-d: Cast proc_stat_owner_uid() to uid_t to fix a warning

 utils/start-stop-daemon.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8e5585ff0c70be2070190defa6c2d04039c3fcb4
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Sep 13 08:50:03 2011 +0200

    dpkg-buildflags(1): Fix ld option name from -z,bindnow to -z,now

 man/dpkg-buildflags.1 |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 82f4497f3bbe41d52fe697868d53732bb355da81
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Sep 13 05:19:50 2011 +0200

    u-a: Free struct alternative_map variables
    
    Take references when adding duplicate entries of the same alternative
    on load, and add a new alternative_map_free() function to free an
    alternative_map variable.

 utils/update-alternatives.c |   23 +++++++++++++++++++++++
 1 files changed, 23 insertions(+), 0 deletions(-)

commit 3b2b9aea518f3e3a562a57a9d7caa2623b4876ff
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Sep 13 05:17:34 2011 +0200

    u-a: Add ref counting support to struct alternative
    
    This will allow to properly free an alternative map which contains
    duplicated references to the same alternative struct.

 utils/update-alternatives.c |   17 +++++++++++++++++
 1 files changed, 17 insertions(+), 0 deletions(-)

commit d918d025f1ef1c15b76eb2fcc14d5830514937a9
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Sep 18 07:11:48 2011 +0200

    dpkg: Do not fail on version parsing warnings in --compare-versions
    
    The bogus versions might get fed into «dpkg --compare-versions» by
    way of maintainer scripts, which would get the bogus versions from
    the database, somewhere dpkg still allows those to exist.

 debian/changelog |    3 +++
 src/enquiry.c    |   16 ++++++++++++----
 2 files changed, 15 insertions(+), 4 deletions(-)

commit ccc26399f2f0e295da1206c5ce81fe81a5dc0e21
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Sep 14 04:18:47 2011 +0200

    libdpkg: Switch parseversion() to use dpkg_error
    
    This allows to merge back the parseversion_lax() and
    version_strict_check() functions into a single parseversion(), which
    performs all the validation, but issues different types of dpkg_error
    messages on error. Which simplifies parse_db_version() and will allow
    for callers to distinguish the error conditions and handle them as
    they see fit.

 lib/dpkg/dpkg-db.h        |    5 ++-
 lib/dpkg/parsehelp.c      |  100 ++++++++++++++++++---------------------------
 lib/dpkg/test/t-version.c |   69 ++++++++++++++++++++-----------
 src/enquiry.c             |   12 ++---
 4 files changed, 94 insertions(+), 92 deletions(-)

commit b03f212d3a29bef2be2f269f0656e482bb9e56ad
Author: Guillem Jover <guillem@debian.org>
Date:   Tue May 10 19:50:15 2011 +0200

    libdpkg: Add new error module
    
    This new module provides error reporting infrastructure, which will
    be used to report back error information from inner functions that
    are not supposed to ohshit() directly, the caller should be
    responsible for the outcome, including just forwarding the error
    to its own caller.

 lib/dpkg/Makefile.am |    2 +
 lib/dpkg/error.c     |   93 ++++++++++++++++++++++++++++++++++++++++++++++++++
 lib/dpkg/error.h     |   49 ++++++++++++++++++++++++++
 3 files changed, 144 insertions(+), 0 deletions(-)

commit 07a8f6d882c019ed039442237c53d8333dc9c4a5
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Sep 16 17:23:53 2011 +0200

    libdpkg: Add more test cases for version parsing failures

 lib/dpkg/test/t-version.c |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 11bb86fe8aa208de4453589da31cf5c62649f091
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Sep 14 05:07:19 2011 +0200

    libdpkg: Rename err variables to z_errnum and bz_errnum
    
    Make the variables more specific and clear about their intended purpose.

 lib/dpkg/compress.c |   38 +++++++++++++++++++-------------------
 1 files changed, 19 insertions(+), 19 deletions(-)

commit 39a535646fe17f4f9d9db88295e406443d1bc40a
Author: Guillem Jover <guillem@debian.org>
Date:   Tue May 10 10:14:40 2011 +0200

    libdpkg: Move ohshite calls into the buffer_copy loop

 lib/dpkg/buffer.c |    8 ++------
 1 files changed, 2 insertions(+), 6 deletions(-)

commit 49a0022b72df33589fc416c30dc33a82f5f58ea6
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Sep 17 15:58:51 2011 +0200

    libdpkg: Refactor path basename code into new path_basename function
    
    This function is an equivalent of the GNU basename, but this one will
    work consistently on any system regardless of libc used.

 dpkg-split/split.c     |    8 +++-----
 lib/dpkg/command.c     |   11 +++++------
 lib/dpkg/path.c        |   21 ++++++++++++++++++++-
 lib/dpkg/path.h        |    3 ++-
 lib/dpkg/progname.c    |   10 ++--------
 lib/dpkg/test/t-path.c |   13 +++++++++++++
 src/configure.c        |    5 ++---
 7 files changed, 47 insertions(+), 24 deletions(-)

commit b6b23a82594019d08dcdaf4f8b2a238dce78c945
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Sep 17 05:09:56 2011 +0200

    libdpkg: Add new mod-db, progname and subproc modules test cases

 lib/dpkg/test/.gitignore   |    3 +
 lib/dpkg/test/Makefile.am  |    6 ++-
 lib/dpkg/test/t-mod-db.c   |   56 +++++++++++++++++++++++++++
 lib/dpkg/test/t-progname.c |   46 ++++++++++++++++++++++
 lib/dpkg/test/t-subproc.c  |   91 ++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 201 insertions(+), 1 deletions(-)

commit 7e26acd008d38f6d56c26e6a595430636ea40211
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Sep 17 05:07:13 2011 +0200

    libdpkg: Add missing test cases for the command and varbuf modules

 lib/dpkg/test/t-command.c |   22 +++++++++++++++++++++-
 lib/dpkg/test/t-varbuf.c  |   24 ++++++++++++++++++++++++
 2 files changed, 45 insertions(+), 1 deletions(-)

commit 02b48efd59416b79a51e9a08ef576df6110f4f8a
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Sep 16 19:46:37 2011 +0200

    libdpkg: Unify test_varbuf_add function naming

 lib/dpkg/test/t-varbuf.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 4aadfe74c5cce5a6acc45e1527d64583ee1b4d45
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Sep 11 05:14:30 2011 +0200

    dpkg-split: Do not include trailing slash in PARTSDIR

 dpkg-split/dpkg-split.h |    2 +-
 dpkg-split/main.c       |   10 ----------
 dpkg-split/queue.c      |    9 ++++-----
 3 files changed, 5 insertions(+), 16 deletions(-)

commit 172b6bcca0e5a757e0e0bd132c319abe447f3e01
Author: Peter Krefting <peterk@debian.org>
Date:   Wed Sep 14 07:39:51 2011 +0100

    Fixed typo in Swedish man page translation.

 man/po/sv.po |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 9261a6b4f085c8e2cf87f64d363283f6d84e5b29
Author: Peter Krefting <peterk@debian.org>
Date:   Tue Sep 13 08:30:14 2011 +0100

    Update Swedish translation.
    
    man/po/sv.po: 2064t0f0u.

 man/po/sv.po |   87 ++++++++++++++++++++++++++++++++++++++++++++++++++-------
 1 files changed, 76 insertions(+), 11 deletions(-)

commit 3609b52cca240eea58735907d9810486f560e5fe
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Mon Sep 12 10:57:38 2011 +0200

    update-alternatives: properly handle stat()/lstat() failures
    
    Fix update-alternatives to always fail when lstat() or stat() fails
    with something else than ENOENT. There were many places testing
    the existence of files with “stat() == 0” and “stat() == -1 && errno ==
    ENOENT” wrongly assuming that the only failure cause is ENOENT.

 utils/update-alternatives.c |   34 +++++++++++++++++++++++++---------
 1 files changed, 25 insertions(+), 9 deletions(-)

commit bf9cefeb7abd4bb0445b3a39a74d5594e247cd8e
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Mon Sep 12 10:20:05 2011 +0200

    update-alternatives: use alternative_path_classify() more extensively
    
    Constructs like “lstat(foo, &st) == 0 && S_ISLNK(st.st_mode)” do not
    fail when lstat() fails and they should really fail except when
    the failure is due to a missing foo (ENOENT).
    
    Using alternative_path_classify() achieves this.

 utils/update-alternatives.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 9dcb50a59414e1fe0e6a8a4c8ee9f59d10706396
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Mon Sep 12 09:42:11 2011 +0200

    update-alternatives: new non-regression test
    
    This one catches the regression introduced in
    6c481e19a532080643e3cf5c76760df8009ea2c7 and fixed in
    9dceac005a0331ceb840f9c8273c7fd195413516.
    
    It should also catch the former problem of passing NULL to stat() (via
    new_file). But this did not trigger any segfault, merely a failure
    with EFAULT.

 utils/t/100_update_alternatives.t |   10 +++++++++-
 1 files changed, 9 insertions(+), 1 deletions(-)

commit 9dceac005a0331ceb840f9c8273c7fd195413516
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Mon Sep 12 09:18:06 2011 +0200

    Revert "u-a: Use xreadlink() instead of areadlink() in alternative_evolve()"
    
    This reverts commit 6c481e19a532080643e3cf5c76760df8009ea2c7 and
    changes the surrounding code to deal correctly with the case where
    areadlink() returns NULL.
    
    This part of the code really had to cope with a non-existing
    /etc/alternatives/slave.
    
    Reported-by: Sven Joachim <svenjoac@gmx.de>

 utils/update-alternatives.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 4d5d022c8b1b4182482f47c6dc9cafdfdea18c66
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Sun Sep 11 15:19:35 2011 +0200

    Sort language names properly

 debian/changelog |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit e84161fccee033d365688017c7006970ccd6941b
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Sun Sep 11 15:18:26 2011 +0200

    Update German translation of manual pages
    
    Update to 2064t.

 man/po/de.po |   55 +++++++++++++++++++++++++++++++++++++++++++++++++++++--
 1 files changed, 53 insertions(+), 2 deletions(-)

commit 9e3e62ba287c02bc2ddce7734456244be2ab7356
Author: Peter Krefting <peterk@debian.org>
Date:   Sun Sep 11 10:03:11 2011 +0100

    Update Swedish translation:
    
    po/sv.po: 1023t0f0u.
    scripts/po/sv.po: 525t0f0u.
    man/po/sv.po: 2043t2f19u (hardening section not translated).

 man/po/sv.po     |  792 ++++++++++++++++++++++++++------------------
 po/sv.po         |  967 +++++++++++++++++++++++++++---------------------------
 scripts/po/sv.po |  165 ++++------
 3 files changed, 1020 insertions(+), 904 deletions(-)

commit 25e7f50e87bf901a8cd22c39ce0f57c96661a8ba
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Sat Sep 10 20:11:55 2011 +0200

    Update German translation of manual pages
    
    Update to 2056t0f8u.

 man/po/de.po |  250 +++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 1 files changed, 241 insertions(+), 9 deletions(-)

commit fa50333bd0f9e33912e04e30b0a677aaf7460c46
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Sat Sep 10 19:11:44 2011 +0200

    Update German scripts translation
    
    Update to 525t.

 scripts/po/de.po |  109 ++++++++++++++++++++++++++++-------------------------
 1 files changed, 58 insertions(+), 51 deletions(-)

commit 3d146e437681323d05ae5c8345d85579a3cffffe
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Sep 10 18:32:30 2011 +0200

    Fix bug closure for “dpkg-deb: Do not warn on strange timestamps”
    
    Spotted-by: Carl Fürstenberg <azatoth@gmail.com>

 debian/changelog |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2266fdc6df762fa9d2371411de3e0c7adfbc0fd2
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Fri Sep 9 11:35:18 2011 +0200

    German dpkg translation update
    
    Update to 1022t.

 po/de.po |  630 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 317 insertions(+), 313 deletions(-)

commit 2ccd37bcadf4ab95a815b0952f933d3e73555366
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Sep 9 09:02:27 2011 +0200

    build: Ship debian/dpkg.prerm in the dist tarball
    
    Regression introduced in commit cf6b98d3738d1fe8b3119b71fd8321c12feb618c.

 Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 972095bea5f6bcf3a14f3b3151ca3ca56eff6744
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Sep 9 06:24:19 2011 +0200

    dpkg-buildflags(1): Escape minus sign

 man/dpkg-buildflags.1 |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 1e5cdccd104a1fe819b501ae0c3ff63170617f70
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Sep 9 05:55:37 2011 +0200

    libdpkg: Do not generate the unused infodir in modstatdb_init()

 lib/dpkg/dbmodify.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 25f368cb9756f4fe238aff9f0f7ee3b15e2e86a4
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Sep 7 06:38:41 2011 +0200

    dpkg: Refactor control directory creation on unpack

 src/processarc.c |   74 +++++++++++++++++++++++++++++++----------------------
 1 files changed, 43 insertions(+), 31 deletions(-)

commit 0e63ea3ee1a247e581eef0fdee453d09f7a358f7
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Sep 7 06:20:43 2011 +0200

    Do not include trailing slash for directory string literals
    
    This makes it more natural to manage the directory names, and avoids
    some doubled slashes.

 lib/dpkg/dpkg.h         |    6 +++---
 lib/dpkg/trigdeferred.l |    1 +
 lib/dpkg/triglib.c      |    1 +
 src/filesdb.c           |    1 +
 src/infodb.c            |    1 +
 src/processarc.c        |    8 +++-----
 6 files changed, 10 insertions(+), 8 deletions(-)

commit af4a5dd8bb2e88c0d97646b697f60f9e9d265fdf
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Sep 5 16:08:51 2011 +0200

    libdpkg: Move trigger note support to a new trignote module
    
    This detangles the trigger note support from triglib and avoids code
    using parsedb() to end up pulling the triglib and dbmodify modules.
    This reduces the dpkg-deb binary size.

 debian/changelog     |    2 +
 lib/dpkg/Makefile.am |    1 +
 lib/dpkg/triglib.c   |   99 --------------------------------------
 lib/dpkg/trignote.c  |  128 ++++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 131 insertions(+), 99 deletions(-)

commit a4298e6ff245505a5a963a08fe2d40ecad9c595e
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Sep 6 05:59:13 2011 +0200

    libdpkg: Refactor trig_awaited_pend_head processing into new functions
    
    This will allow accessing trig_awaited_pend_head from a different
    module, w/o needing to pull in triglib.

 lib/dpkg/triglib.c |   28 ++++++++++++++++++++--------
 lib/dpkg/triglib.h |    5 +++++
 2 files changed, 25 insertions(+), 8 deletions(-)

commit f3dcf914203a42c9080f128d7e8263e8a0fb7ffa
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Sep 6 05:54:36 2011 +0200

    libdpkg: Rename trig_enqueue_awaited_pend to trig_awaited_pend_enqueue

 lib/dpkg/fields.c  |    2 +-
 lib/dpkg/triglib.c |    2 +-
 lib/dpkg/triglib.h |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 2e9a20901a16a1b3f2b392ad14c321712073b3f1
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Sep 5 16:03:21 2011 +0200

    libdpkg: Move trig_name_is_illegal to a new trigname module
    
    This detangles the function from the triglib module, avoiding
    dpkg-trigger to pull it, and reducing its size.

 debian/changelog     |    2 ++
 lib/dpkg/Makefile.am |    1 +
 lib/dpkg/triglib.c   |   16 ----------------
 lib/dpkg/trigname.c  |   42 ++++++++++++++++++++++++++++++++++++++++++
 po/POTFILES.in       |    1 +
 5 files changed, 46 insertions(+), 16 deletions(-)

commit 8ed2e04c2b1bfa247e34da01c0e84612ce7dc84b
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Sep 4 16:07:29 2011 +0200

    dpkg-deb: Do not warn on strange timestamps
    
    The external extractor is only used on dpkg-deb -x (and friends), which
    is only used by dpkg when extracting the control member. The internal
    dpkg tar extractor never warns on timestamps, and there's no point for
    dpkg to induce those warnings on the control extraction either.
    
    Closes: #640298

 debian/changelog   |    2 ++
 dpkg-deb/extract.c |    2 +-
 2 files changed, 3 insertions(+), 1 deletions(-)

commit 920596da263ed1342668a9fe5b59f8bbb52445dd
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Sep 1 15:17:35 2011 +0200

    dpkg: Fix double “error:” string in missing PATH error output
    
    Closes: #639997

 debian/changelog |    2 ++
 src/help.c       |    2 +-
 2 files changed, 3 insertions(+), 1 deletions(-)

commit 05ce02f897fbe2a455cacb064fd5bc5a6bf182d9
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Aug 19 18:07:13 2011 +0200

    u-a: Update alternative links only if they change
    
    There's no point in changing the links to the same target. This also
    helps when systems might have a read-only file system mounted, but a
    writable database.
    
    Closes: #636700
    
    Based-on-patch-by: Salvatore Bonaccorso <carnil@debian.org>
    Signed-off-by: Guillem Jover <guillem@debian.org>

 debian/changelog            |    3 +++
 utils/update-alternatives.c |   32 +++++++++++++++++++++++++++++---
 2 files changed, 32 insertions(+), 3 deletions(-)

commit 3518e4d159412c31c2de413b7bc358870b6c5c02
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Sep 8 10:19:28 2011 +0200

    u-a: Refactor alternative_path_classify from alternative_can_replace_path

 utils/update-alternatives.c |   32 +++++++++++++++++++++++---------
 1 files changed, 23 insertions(+), 9 deletions(-)

commit c922a8f681dc27135947ebdaff68fc3158614807
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Sep 8 19:12:20 2011 +0200

    u-a: Do not try to readlink() a non-symlink
    
    Return early in case the path is not a symlink, there's no point in
    calling readlink() if we know it's going to fail.

 utils/update-alternatives.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 6c481e19a532080643e3cf5c76760df8009ea2c7
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Sep 8 10:10:06 2011 +0200

    u-a: Use xreadlink() instead of areadlink() in alternative_evolve()
    
    The function does not expect the readlink call to fail.

 utils/update-alternatives.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c7c7522dd3e29af582eddda7b10b521337a7b21c
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Sep 6 04:19:03 2011 +0200

    u-a: Split xreadlink() allocation code into areadlink()
    
    Using a bool as an argument for a function already taking several
    arguments is almost never a good interface, it's not clear from
    the call sites what it refers to and as such prone to confusion.
    
    Split the main xreadlink() code into a function that allocates but
    can return NULL, and make xreadlink() use the common semantics of
    never failing.

 utils/update-alternatives.c |   42 ++++++++++++++++++++++++++----------------
 1 files changed, 26 insertions(+), 16 deletions(-)

commit 5f40ae0644cf266f533d63cdc8643164f4d6b3c3
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Aug 25 20:40:42 2011 +0200

    dpkg: Print a message instead of asserting on readlink/stat size discrepancy
    
    This will help the user diagnose which file was affected and in
    correcting the situation, which in most cases is due to file system
    breakage, or non POSIX compliance.
    
    Closes: #639229

 debian/changelog |    2 ++
 src/archives.c   |    4 +++-
 src/configure.c  |    6 +++++-
 3 files changed, 10 insertions(+), 2 deletions(-)

commit a23c74e708972c7e566ea8255728184393963825
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Aug 25 20:40:02 2011 +0200

    dpkg: Change type of variable r from int to ssize_t in conffderef()

 src/configure.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 2b824afa6bb06b7cb757423b248f6907e9919e86
Author: Guillem Jover <guillem@debian.org>
Date:   Mon May 2 21:51:47 2011 +0200

    libdpkg: Detangle buffer filter logic from write logic

 lib/dpkg/buffer.c |   51 +++++++++++++++++++++++++++++++++++++++------------
 lib/dpkg/buffer.h |   31 +++++++++++++++++++++----------
 2 files changed, 60 insertions(+), 22 deletions(-)

commit 2cd316401fa2451e266562cf689bdfc7b4c501e8
Author: Guillem Jover <guillem@debian.org>
Date:   Mon May 2 21:51:47 2011 +0200

    libdpkg: Add new BUFFER_FILTER_NULL filter action

 lib/dpkg/buffer.c |    5 +++++
 lib/dpkg/buffer.h |    2 ++
 2 files changed, 7 insertions(+), 0 deletions(-)

commit 3c83f54bfe1f7d17c878c0897f9762ea8adc64dc
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jun 17 14:11:43 2011 +0200

    libdpkg: Rename BUFFER_WRITE_MD5 to BUFFER_FILTER_MD5

 lib/dpkg/buffer.c |    6 +++---
 lib/dpkg/buffer.h |    6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 7585faa92009f15b06e346cddaa5e4ce92df7079
Author: Guillem Jover <guillem@debian.org>
Date:   Mon May 2 10:25:38 2011 +0200

    libdpkg: Namespace buffer init and done functions with buffer_filter_
    
    This makes it clear these functions are not to initialize normal
    buffer operations, but just for when a filter is in place.

 lib/dpkg/buffer.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit 3650a669fb01737444656916a6a7a09e82800679
Author: Guillem Jover <guillem@debian.org>
Date:   Tue May 3 10:55:45 2011 +0200

    libdpkg: Rename fd_null_copy() to fd_skip()

 dpkg-deb/extract.c |   12 ++++++------
 dpkg-split/join.c  |    2 +-
 lib/dpkg/buffer.h  |    2 +-
 src/archives.c     |    6 +++---
 src/processarc.c   |    2 +-
 5 files changed, 12 insertions(+), 12 deletions(-)

commit 3416f1d5c7a78e49a52f079b1e2a8576025650cb
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Sep 9 07:19:27 2011 +0200

    libdpkg: Add a test case for fd_md5()

 lib/dpkg/test/t-buffer.c |   42 +++++++++++++++++++++++++++++++++++++-----
 1 files changed, 37 insertions(+), 5 deletions(-)

commit d1abb6e80d72acffabecd352290dc10121f2c085
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Sep 7 04:53:25 2011 +0200

    Convert translation files to UTF-8
    
    Consolidating the charset used for all files in the repository makes
    diff actually useful, otherwise when showing a patch involving distinct
    charsets it's not possible to display them correctly due to the mixture.

 dselect/po/da.po |  458 ++++++++++++------------
 man/po/fr.add    |    4 +-
 man/po/hu.add    |    2 +-
 man/po/pl.add    |    4 +-
 man/po/po4a.cfg  |   12 +-
 man/po/pt_BR.po  | 1084 +++++++++++++++++++++++++++---------------------------
 man/po/ru.add    |    8 +-
 man/po/sv.add    |    2 +-
 8 files changed, 787 insertions(+), 787 deletions(-)

commit 9288e573b0d1069f4a56caa95838f0157f1a23e7
Author: Kees Cook <kees@debian.org>
Date:   Mon Sep 5 23:34:49 2011 -0700

    dpkg-buildflags(1): add initial hardening documentation
    
    Document the various hardening options that can be enabled/disabled
    via DEB_BUILD_MAINT_OPTIONS.
    
    Improved-by: Raphaël Hertzog <hertzog@debian.org>
    Signed-off-by: Kees Cook <kees@debian.org>
    Signed-off-by: Raphaël Hertzog <hertzog@debian.org>

 man/dpkg-buildflags.1 |  109 ++++++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 108 insertions(+), 1 deletions(-)

commit f3bb7d4939ae95cf44c89e8f599e7ed5da431e57
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Wed Jul 27 22:10:49 2011 +0200

    dpkg-buildflags: emit hardening build flags by default
    
    All the hardening build flags supported by hardening-includes
    are supported except that PIE is not enabled by default (just like
    the corresponding gcc patch doesn't enable it by default).
    
    Inspired by the work of Kees Cook <kees@debian.org>.

 debian/changelog              |    3 +
 scripts/Dpkg/BuildFlags.pm    |    1 +
 scripts/Dpkg/Vendor/Debian.pm |   88 ++++++++++++++++++++++++++++++++++++++++-
 scripts/Dpkg/Vendor/Ubuntu.pm |    4 ++
 4 files changed, 95 insertions(+), 1 deletions(-)

commit ed84a9339452b934f4e740e389820e852a8bcd31
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Tue Aug 2 14:15:17 2011 +0200

    Dpkg::BuildOptions: enable usage of alternative variable names

 scripts/Dpkg/BuildOptions.pm      |   26 ++++++++++++++++++--------
 scripts/t/300_Dpkg_BuildOptions.t |    6 +++++-
 2 files changed, 23 insertions(+), 9 deletions(-)

commit 08808c28500e7e027e58d32e434a3dc082e43e7d
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Thu Sep 8 17:53:13 2011 +0200

    Update German translation of manual pages
    
    Update to 2038t.

 man/po/de.po |   74 ++++++++++++++++++---------------------------------------
 1 files changed, 24 insertions(+), 50 deletions(-)

commit bcd5c89ab1621264e09e525826b2132490f35e07
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sat Sep 3 14:34:31 2011 +0200

    dpkg-source(1): add example of extend-diff-ignore's usage
    
    Suggested-by: Christoph Berg <myon@debian.org>
    Closes: #640198

 debian/changelog  |    2 ++
 man/dpkg-source.1 |    2 ++
 2 files changed, 4 insertions(+), 0 deletions(-)

commit cb0fa9cdbc8d081edb2d4044dbf1cfe4e88dba0f
Author: Peter Krefting <peterk@debian.org>
Date:   Sun Sep 4 18:57:23 2011 +0100

    Update Swedish translation.
    
    man/po/sv.po: 2044t0f0u.

 man/po/sv.po |  269 +++++++++++++++++++++++++++-------------------------------
 1 files changed, 125 insertions(+), 144 deletions(-)

commit ea50f9a4027deb105a6067cdd7063289cb89967b
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Wed Aug 24 19:35:38 2011 +0200

    Update German translation of manual pages
    
    Update to 2038t.

 man/po/de.po |   18 +++++++++---------
 1 files changed, 9 insertions(+), 9 deletions(-)

commit f3418186f6b093162d9e6b47e73d01d795c2ef98
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Aug 23 05:24:39 2011 +0200

    dpkg-source: Make single-debian-patch not abort on upstream changes
    
    The single-debian-patch option usage in Dpkg::Source::Package::V2
    was typoed as single_debian_patch, and thus not avoiding aborting
    on upstream changes. Instead of fixing the typo, let's just not
    expose single-debian-patch in Dpkg::Source::Package::V2, as it's
    Dpkg::Source::Package::V3::quilt specific and as such a layer
    violation, the code will just set auto_commit when single-debian-patch
    is specified, which is the actual intended behaviour. Reflect this
    explicitly in the man page.
    
    Regression introduced in commit 46b688e4824f00842568b517b119eec34a5f7286.
    
    Reported-by: Bernhard R. Link <brlink@debian.org>

 man/dpkg-source.1                       |    2 +-
 scripts/Dpkg/Source/Package/V2.pm       |    3 +--
 scripts/Dpkg/Source/Package/V3/quilt.pm |    2 ++
 3 files changed, 4 insertions(+), 3 deletions(-)

commit d97161c298625c8475b0b3d2d9e89e60ae56a5ff
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Aug 23 03:55:27 2011 +0200

    Dpkg::Source::Package: Use “-z” instead of “not -s”

 scripts/Dpkg/Source/Package/V2.pm       |    2 +-
 scripts/Dpkg/Source/Package/V3/quilt.pm |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit a596ab8ef36ade2743dbd442d660b36146574624
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Mon Aug 22 20:57:14 2011 +0200

    Update German scripts translation
    
    Update to 523t.

 scripts/po/de.po |   70 ++++++++++++++++++++++++++---------------------------
 1 files changed, 34 insertions(+), 36 deletions(-)

commit 513ad320a9677766f50aa2741d23987bce5b92a5
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Mon Aug 22 20:33:18 2011 +0200

    Update German translation of manual pages
    
    Update to 2038t.

 man/po/de.po |  203 ++++++++++++++++++++++++++--------------------------------
 1 files changed, 90 insertions(+), 113 deletions(-)

commit 277e572facf30001d59bdadfe3e3c9e4db37ae1b
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sun Aug 21 11:11:02 2011 +0200

    dpkg: correctly handle a hardlink pointing to a conffile
    
    Normal files tagged as a conffile are not tagged with
    fnnf_deferred_rename and due to this the hardlinking code
    was assuming that the target is in its final location
    already. This is obviously not the case for a conffile.
    
    Fix the code so that the hardlinking logic takes into account
    the fact that conffiles are unpacked in .dpkg-new and stay
    there until the configuration phase.
    
    Reported-by: Igor Pashev <pashev.igor@gmail.com>

 debian/changelog |    1 +
 src/archives.c   |    2 +-
 2 files changed, 2 insertions(+), 1 deletions(-)

commit c6400108e297b3fac8e887551b6a31edb51408f2
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Sun Aug 21 18:37:50 2011 +0200

    German dpkg translation update
    
    Update to 1022t.

 po/de.po |  479 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 241 insertions(+), 238 deletions(-)

commit 3710f92e5c32bbcb766151df41e5a99ed3de2211
Author: Peter Krefting <peterk@debian.org>
Date:   Sat Aug 20 22:08:09 2011 +0100

    Update Swedish translation.
    
    man/po/sv.po: 1978t50f16u (WIP).

 man/po/sv.po | 1184 +++++++++++++++++++---------------------------------------
 1 files changed, 384 insertions(+), 800 deletions(-)

commit 89973c5bb9eed790242a7d1d35564fd954edf554
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Aug 20 15:36:00 2011 +0200

    u-a: Do not build strings from parts in alternative_check_install_args
    
    This makes the work of translators harder.

 utils/update-alternatives.c |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

commit 52507504e69d6621262de82096987fdfb821bf8d
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Aug 20 12:55:33 2011 +0200

    u-a: Refactor alternative argument checks into new function

 utils/update-alternatives.c |   41 +++++++++++++++++++----------------------
 1 files changed, 19 insertions(+), 22 deletions(-)

commit 46aadad359a9e4204cfe707f47e3cfceef47e709
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Aug 19 22:59:53 2011 +0200

    u-a: Refactor --install argument checking into a new function

 utils/update-alternatives.c |  204 ++++++++++++++++++++++---------------------
 1 files changed, 104 insertions(+), 100 deletions(-)

commit abda47fbe81e53da7d0a46237895bd225373d022
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Aug 19 22:32:19 2011 +0200

    u-a: Move alternative map loading to the actions that make use of them
    
    This will reduce start up time, by not doing unneeded operations.

 utils/update-alternatives.c |   25 +++++++++++++++----------
 1 files changed, 15 insertions(+), 10 deletions(-)

commit 774e918754bc7d801e802ea6ccbd9b5673799d8c
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Aug 19 18:38:10 2011 +0200

    u-a: Split alternative map loading into two functions
    
    This will allow only loading them when needed, instead of doing it
    for any action.

 utils/update-alternatives.c |   69 ++++++++++++++++++++++++++++++------------
 1 files changed, 49 insertions(+), 20 deletions(-)

commit ca9a2b79f85a8ed72308b5a2877ca8cfbda0b243
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Aug 20 12:21:22 2011 +0200

    u-a: Refactor scandir() namelist free into new altdb_free_namelist()

 utils/update-alternatives.c |   16 ++++++++++------
 1 files changed, 10 insertions(+), 6 deletions(-)

commit 31242e1aaabe7750b2b68ee96306e2cbdfd767bb
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Aug 20 12:30:35 2011 +0200

    u-a: Rename get_all_alternatives() to altdb_get_namelist()
    
    This makes it clear we are referring to the filenames in the database
    directory.

 utils/update-alternatives.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 81412e6445bf231521fdfb5b8760988605149181
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Aug 19 17:50:25 2011 +0200

    u-a: Do not check if linknames can be updated if --force is in use
    
    The action is going to proceed in any case, no point wasting resources
    doing the checks. Also this removes a possible point of non-overridable
    failure.

 utils/update-alternatives.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 36954c36abe3ce8e42b3c231579ef9e497f0da6d
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Aug 19 12:59:35 2011 +0200

    Dpkg::Compression: Change default values depending on the compressor used
    
    This makes dpkg-source use more appropriate default compression values
    depending on the compressor used.
    
    Prompted-by: Timo Juhani Lindfors <timo.lindfors@iki.fi>

 debian/changelog                 |    3 +++
 man/dpkg-source.1                |    2 +-
 scripts/Dpkg/Compression.pm      |   25 +++++++++++++++++--------
 scripts/t/850_Dpkg_Compression.t |   12 +++++++++++-
 4 files changed, 32 insertions(+), 10 deletions(-)

commit a27a8e1989b0937e9eee18c2153524c755aba058
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Aug 20 09:51:13 2011 +0200

    Do not use possessive «'s» after ‘s’ or ‘x’

 debian/changelog          |    4 ++--
 man/dpkg-shlibdeps.1      |    4 ++--
 utils/start-stop-daemon.c |    4 ++--
 3 files changed, 6 insertions(+), 6 deletions(-)

commit dbe742b7db83d108e1ea143f2688ca5444007ba9
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Aug 17 16:44:18 2011 +0200

    Fix spelling errors
    
    Found by codespell.

 ChangeLog.old                       |   66 +++++++++++++++++-----------------
 TODO                                |    2 +-
 debian/changelog                    |   32 ++++++++--------
 doc/Doxyfile.in                     |    2 +-
 doc/README.feature-removal-schedule |    2 +-
 doc/coding-style.txt                |    2 +-
 doc/triggers.txt                    |    6 ++--
 dselect/methods/ftp/install         |    2 +-
 dselect/po/it.po                    |    2 +-
 lib/dpkg/file.c                     |    2 +-
 lib/dpkg/progname.c                 |    2 +-
 man/dpkg-source.1                   |    2 +-
 man/po/de.po                        |    2 +-
 man/po/dpkg-man.pot                 |    2 +-
 man/po/es.po                        |    2 +-
 man/po/fr.po                        |    2 +-
 man/po/hu.po                        |    2 +-
 man/po/ja.po                        |    2 +-
 man/po/pl.po                        |    2 +-
 man/po/pt_BR.po                     |    2 +-
 man/po/ru.po                        |    2 +-
 man/po/sv.po                        |    2 +-
 po/ChangeLog.old                    |    4 +-
 scripts/Dpkg/Changelog.pm           |    2 +-
 scripts/changelog/debian.pl         |    4 +-
 scripts/po/ca.po                    |    4 +-
 scripts/po/de.po                    |    4 +-
 scripts/po/dpkg-dev.pot             |    4 +-
 scripts/po/es.po                    |    4 +-
 scripts/po/fr.po                    |    4 +-
 scripts/po/pl.po                    |    4 +-
 scripts/po/ru.po                    |    4 +-
 scripts/po/sv.po                    |    4 +-
 scripts/t/190_Dpkg_Shlibs_Cppfilt.t |    2 +-
 scripts/t/200_Dpkg_Shlibs.t         |    2 +-
 scripts/t/600_Dpkg_Changelog/shadow |   20 +++++-----
 src/filesdb.h                       |    2 +-
 utils/start-stop-daemon.c           |    4 +-
 utils/t/100_update_alternatives.t   |    2 +-
 39 files changed, 108 insertions(+), 108 deletions(-)

commit 312253830448926152020c8ce0f7834b8452a5d9
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Aug 15 00:03:00 2011 +0200

    dpkg: Clarify --update-avail usage error message
    
    Unify the reference to the Packages-file to match the one used on the
    man pages and on the --help output.
    
    Closes: #628055

 debian/changelog |    1 +
 src/update.c     |    3 ++-
 2 files changed, 3 insertions(+), 1 deletions(-)

commit 4fdbd69d7b8ca2fff39798a6e6fc5fa3e229c66b
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Aug 15 00:01:53 2011 +0200

    dpkg-parsechangelog: Remove duplicate program name from usage error output

 scripts/dpkg-parsechangelog.pl |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 62449a0a27ab1231ed81267f7ee5421b9f7fcb0c
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Aug 14 23:45:36 2011 +0200

    Expand numeric literals and word abbreviation in usage error output
    
    This avoids unneeded abbreviations, uses correct english, and should
    help translators.

 scripts/dpkg-scanpackages.pl |    2 +-
 scripts/dpkg-scansources.pl  |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 5c6be96b1c88c40d002a25295891ec81d8764f90
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Aug 14 23:28:07 2011 +0200

    dpkg-deb(1): Clarify the default compression-levels

 debian/changelog |    1 +
 man/dpkg-deb.1   |    4 ++--
 2 files changed, 3 insertions(+), 2 deletions(-)

commit ffc6888c5721e5e4451d8135827936fca761b157
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Aug 14 22:45:20 2011 +0200

    deb-src-control(5): Use linux-any in example control stanza
    
    Instead of using the negated list of not supported architectures, just
    use the positive form, which should be considered current best practice.

 man/deb-src-control.5 |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 187025628d46bd737bd22242b857ae91e6922103
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Aug 14 22:43:05 2011 +0200

    dselect(1): Correct configuration directory reference
    
    Use /etc/dpkg/dselect.cfg.d/ instead of /etc/dpkg/dpkg.cfg.d/.

 debian/changelog |    2 ++
 man/dselect.1    |    4 ++--
 2 files changed, 4 insertions(+), 2 deletions(-)

commit ed3ec669d253ac9d69f134a93f570251ed687d98
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Aug 14 22:41:16 2011 +0200

    man: Use minus signs and hyphens consistently
    
    Any string that can be copy & pasted into control files or into a
    terminal, for example, needs to correctly use minus signs (escaped
    dashes), instead of the default hyphen.

 debian/changelog              |    1 +
 man/deb-control.5             |    6 ++--
 man/deb-old.5                 |    6 ++--
 man/deb-override.5            |    4 +-
 man/deb-src-control.5         |   36 +++++++++---------
 man/deb-symbols.5             |   10 +++---
 man/deb-triggers.5            |   16 ++++----
 man/deb-version.5             |    6 ++--
 man/deb.5                     |   12 +++---
 man/dpkg-architecture.1       |   26 +++++++-------
 man/dpkg-buildflags.1         |    8 ++--
 man/dpkg-buildpackage.1       |   34 +++++++++---------
 man/dpkg-deb.1                |    4 +-
 man/dpkg-divert.8             |   10 +++---
 man/dpkg-genchanges.1         |    4 +-
 man/dpkg-gencontrol.1         |    8 ++--
 man/dpkg-gensymbols.1         |   20 +++++-----
 man/dpkg-maintscript-helper.1 |    8 ++--
 man/dpkg-mergechangelogs.1    |   14 ++++----
 man/dpkg-name.1               |    6 ++--
 man/dpkg-parsechangelog.1     |    4 +-
 man/dpkg-query.1              |    6 ++--
 man/dpkg-scanpackages.1       |    8 ++--
 man/dpkg-scansources.1        |    6 ++--
 man/dpkg-shlibdeps.1          |   32 ++++++++--------
 man/dpkg-source.1             |   78 ++++++++++++++++++++--------------------
 man/dpkg-trigger.1            |    7 ++--
 man/dpkg.1                    |    4 +-
 man/update-alternatives.8     |    8 ++--
 29 files changed, 197 insertions(+), 195 deletions(-)

commit 8fba51d4f327a99c994068e58bc76de770247a7f
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Sat Aug 20 08:31:37 2011 +0200

    Regenerate .pot files and merge .po files with them

 man/po/es.po    |  144 +++++++++++++++++++++-------------
 man/po/fr.po    |  144 +++++++++++++++++++++-------------
 man/po/hu.po    |  134 +++++++++++++++++++-------------
 man/po/ja.po    |  139 +++++++++++++++++++-------------
 man/po/pl.po    |  142 ++++++++++++++++++++-------------
 man/po/pt_BR.po |  129 ++++++++++++++++++-------------
 man/po/ru.po    |  129 ++++++++++++++++++-------------
 man/po/sv.po    |  235 ++++++++++++++++++++-----------------------------------
 8 files changed, 662 insertions(+), 534 deletions(-)

commit f412c67b55d45ff4f595e8c50b35d8f172540a40
Author: Peter Krefting <peterk@debian.org>
Date:   Wed Aug 17 20:59:37 2011 +0100

    Update Swedish translation.
    
    po/sv.po: 1023t0f0u.
    man/po/sv.po: 1824t180f40u (WIP).
    scripts/po/sv.po: 524t0f0u

 debian/changelog |    1 +
 man/po/sv.po     |  356 +++++++++++++++++++++++++++++++++---------------------
 po/sv.po         |   61 +++++-----
 scripts/po/sv.po |   87 +++++++-------
 4 files changed, 291 insertions(+), 214 deletions(-)

commit efcf279a50aba3369b24d062017d581006d47d9b
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Aug 13 03:19:24 2011 +0200

    dpkg: Defer hardlink renames to avoid breakage on unpack
    
    This fixes two issues related to making the new file contents available
    through an alternative but final path before
    
    1) the one "carrying" the content has been fsync()ed, to avoid getting
    garbage on system failure.
    
    2) the deferred fsync() on the main path has been performed, avoiding
    a possible error when reopening the file for writing if it's currently
    under execution.
    
    Deferring the hardlink is safe as they are always after the tar entry
    containing the actual file data.
    
    Regression introduced in commit 9cd41fdda1c27169c52d73b3b3ce71991d724994.
    
    Closes: #635683
    
    Reported-by: Niko Tyni <ntyni@debian.org>
    Based-on-patch-by: Jonathan Nieder <jrnieder@gmail.com>
    Signed-off-by: Guillem Jover <guillem@debian.org>

 debian/changelog |    5 +++++
 src/archives.c   |    3 ++-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit 5c1da3f8c2806490f9a7bed32c0a5b3a24d06d55
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Fri Aug 12 22:35:46 2011 +0200

    Dpkg::Deps: fix simplification logic of union dependencies
    
    The code merging dependencies was wrongly updating the dependency that's
    not integrated in the resulting field.
    
    Reported-by: Andreas Metzler <ametzler@downhill.at.eu.org>

 debian/changelog          |    1 +
 scripts/Dpkg/Deps.pm      |    6 +++---
 scripts/t/400_Dpkg_Deps.t |    6 +++++-
 3 files changed, 9 insertions(+), 4 deletions(-)

commit e84c47aa298e9bd501f2ea353b4483f02c249eb8
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Aug 9 07:19:09 2011 +0200

    libdpkg: Use a generic pointer to pass the parsed object data around
    
    This will allow code not parsing binary package control files to be
    able to easily reuse the parser, by supplying their own object
    structure.
    
    Unfortunately this sacrifices the type-safety of the parse_stanza()
    and parse_field() functions, but that only affects one variable,
    which should be an acceptable tradeoff given the gain in code reuse.

 lib/dpkg/parse.c     |   29 ++++++++++++++++++++++-------
 lib/dpkg/parsedump.h |    5 ++---
 2 files changed, 24 insertions(+), 10 deletions(-)

commit 85dcf82c6ed722d9cfb664a87a41315791cbb3b4
Author: Christian PERRIER <bubulle@debian.org>
Date:   Mon Aug 8 20:29:13 2011 +0200

    Changelog for French translation update

 debian/changelog |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c22b83466766bfc146179fb93884f1f9374b0453
Author: Christian PERRIER <bubulle@debian.org>
Date:   Mon Aug 8 20:27:40 2011 +0200

    Fix Sylvestre's translation

 scripts/po/fr.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit bffbef38affe5dbae3f15e07a4f19d686e1c0bd6
Author: Sylvestre Ledru <sylvestre.ledru@scilab.org>
Date:   Mon Aug 8 15:44:01 2011 +0200

    Update of the french localization

 scripts/po/fr.po |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 98f5f6ad2a9cff2684271b399ec51d4841f91f59
Author: Sylvestre Ledru <sylvestre.ledru@scilab.org>
Date:   Mon Aug 8 15:42:56 2011 +0200

    Fix a french typo

 scripts/po/fr.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fb18783ce260a07d3f3a5f5a3a81640a45a9d089
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Aug 5 06:23:59 2011 +0200

    libdpkg: Initialize ps->pkg and ps->pkgbin to NULL in parse_open()
    
    This guarantees the parsedb_state variable is in a sane state after
    the parse_open() call.

 lib/dpkg/parse.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 6ee5e8af9dbcd2ef161e1174827ea4e48da09870
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Aug 5 05:21:01 2011 +0200

    libdpkg: Refactor parse_open() and parse_close() from parsedb()
    
    This will allow code using parse_stanza() to avoid having to reimplement
    the opening and closing logic.

 lib/dpkg/parse.c     |  110 ++++++++++++++++++++++++++++++-------------------
 lib/dpkg/parsedump.h |    5 ++
 2 files changed, 72 insertions(+), 43 deletions(-)

commit 250af430bc5cec09c2e4eb223f935891e0d96f45
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Aug 5 06:03:02 2011 +0200

    libdpkg: Close the file descriptor just after slurping it in parsedb()

 lib/dpkg/parse.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 2dee4700ac94ffedb27366e650cd2fed383e40e1
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Thu Aug 4 21:33:23 2011 +0200

    dpkg-source: simplify message pointing to dpkg-source --commit
    
    The supplementary arguments suggested are awkward and are generally not
    needed unless your package is huge and takes a long time to uncompress
    and diff.
    
    The best advice is thus “dpkg-source --commit” without any parameter.
    Maintainers of big packages will read the manual package and learn
    by themselves how to reuse the generated patch.

 scripts/Dpkg/Source/Package/V2.pm |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 45c83175b6544a54ad79dc671a77a59bf79f7690
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Wed Aug 3 22:02:33 2011 +0200

    dpkg-source: don't always print "local changes have been recorded in a new patch"
    
    The message should only be printed if such a patch has really
    been created.
    
    Reported-by: Sven Joachim

 scripts/Dpkg/Source/Package/V2.pm |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 173cbe71eb800dbef52a6d894a1dffd64997610a
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Wed Aug 3 21:19:38 2011 +0200

    Fix typo

 man/po/de.po |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit b964dbe5995fa136042b338ea944655f9b263172
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Wed Aug 3 21:14:41 2011 +0200

    Update German translation of manual pages
    
    Update to 2047t.

 man/po/de.po |   91 ++++++++++++++++++++++++---------------------------------
 1 files changed, 38 insertions(+), 53 deletions(-)

commit af788d3abf42a35b24aad19c7393e4cf9ccb6238
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Tue Aug 2 21:55:50 2011 +0200

    Update German translation of manual pages
    
    Update to 2037t7f3u.

 man/po/de.po |  255 ++++++++++++++++++++++++++++++----------------------------
 1 files changed, 132 insertions(+), 123 deletions(-)

commit 9cb4bd4fcf251212534f4010d59ff77a9ee4cdd6
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Tue Aug 2 19:32:57 2011 +0200

    Update German scripts translation
    
    Update to 524t.

 scripts/po/de.po |   79 +++++++++++++++++-------------------------------------
 1 files changed, 25 insertions(+), 54 deletions(-)

commit c5678434b485284c352a1de3a2862726ba85393c
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Tue Aug 2 11:57:17 2011 +0200

    German dpkg translation update
    
    Update to 1023t.

 po/de.po |  188 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 97 insertions(+), 91 deletions(-)

commit 7c2df89844617b70883ab76b1c239a2f088cc232
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Tue Aug 2 11:20:54 2011 +0200

    dpkg-source: clean up temporary file in case of interruption
    
    Navite packages (both "1.0" and "3.0 (native)") failed to remove
    the temporary tarball if the process is interrupted during its
    generation.
    
    Reported-by: Cyril Brulebois <kibi@debian.org>

 debian/changelog                         |    2 ++
 scripts/Dpkg/Source/Package/V3/native.pm |    3 +++
 2 files changed, 5 insertions(+), 0 deletions(-)

commit 3cd49fcd391466370d9d7f476f7f8acf0267d29e
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Tue Aug 2 11:06:11 2011 +0200

    Move changelog entry to attribute it correctly to me

 debian/changelog |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f3a8ea5245608e23c93600ff33f05d2af205cb64
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Aug 2 05:05:30 2011 +0200

    libdpkg: Remove obsolete variable references in parsedb() comment
    
    The warnto and warncount variables were removed in commits
    ba908783e306ba38457a84fd6d975ca69e351e56 and
    8451065cf85cb8a17dcd17e0cd2ca1fdef7cb749 respectively.

 lib/dpkg/parse.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 98aea15132c085be3901956986afaa46bf0456b1
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Aug 2 04:54:42 2011 +0200

    libdpkg: Make parse_stanza() a public function
    
    Make public also the required parse helper macros and structures. At
    least parse_EOF() will be needed for other callers to get out of the
    loop when parsing multi-stanza files.

 lib/dpkg/parse.c     |   18 +-----------------
 lib/dpkg/parsedump.h |   20 ++++++++++++++++++++
 2 files changed, 21 insertions(+), 17 deletions(-)

commit ef18ac88b029b0dba4272d3b2daa9130146d2697
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Aug 2 04:50:09 2011 +0200

    libdpkg: Detangle fieldinfos from struct field_state
    
    Define the fieldencountered array in the stack, and switch the array
    in struct field_state to be a pointer to that array. This way we do not
    pull the fieldinfos symbol (specific to the parsedb() function) to the
    now generic struct field_state.

 lib/dpkg/parse.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 725675ddc107907ea68db5acef868896cf3915d2
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Aug 2 04:24:10 2011 +0200

    libdpkg: Rename parse helper *_mmap functions to parse_*
    
    This abstracts the method used to load the file contents, and it also
    namespaces it for the parser.

 lib/dpkg/parse.c |   44 ++++++++++++++++++++++----------------------
 1 files changed, 22 insertions(+), 22 deletions(-)

commit 7d06ea566bafe5d2914adbfa4820342f35829a37
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jul 14 17:21:55 2011 +0200

    libdpkg: Refactor RFC-822 stanza parsing into new parse_stanza()
    
    This generalizes the stanza parsing so that it can be used by other
    parts of the code.

 lib/dpkg/parse.c |  214 +++++++++++++++++++++++++++++++-----------------------
 1 files changed, 123 insertions(+), 91 deletions(-)

commit 3d8951fdf5cc2fe3209540bc43c489208db8c306
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jul 14 04:37:31 2011 +0200

    libdpkg: Move dataptr and endptr from parsedb() to struct parsedb_state

 lib/dpkg/parse.c     |   75 ++++++++++++++++++++++++++++----------------------
 lib/dpkg/parsedump.h |    2 +
 2 files changed, 44 insertions(+), 33 deletions(-)

commit 926a204c1609d35de3a6500f8e96c9db0c315de4
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jul 14 03:58:45 2011 +0200

    libdpkg: Add pkg and pkgbin to struct parsedb_state
    
    We are passing these variables as arguments most of the time for
    parse_error() and parse_warn() calls which are not run-time frequent,
    this also unties somewhat the code from the package structures.

 lib/dpkg/fields.c    |   93 ++++++++++++++++++++++++-------------------------
 lib/dpkg/parse.c     |   49 ++++++++++++++------------
 lib/dpkg/parsedump.h |   16 ++++----
 lib/dpkg/parsehelp.c |   37 ++++++++------------
 4 files changed, 95 insertions(+), 100 deletions(-)

commit 842e66ae6790805d87b51129b560d1a6b0e526b3
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Aug 2 04:56:00 2011 +0200

    libdpkg: Remove trailing semicolons from getc_mmap and ungetc_mmap
    
    Those are unnecessary as these are function macros which need to be
    followed by semicolons on the call sites.

 lib/dpkg/parse.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 02c28c63a34e252d75f893cb0869f9480f603822
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Apr 26 07:35:16 2011 +0200

    dpkg-deb: Add --raw-extract option combining --control and --extract
    
    This allows to extract the control and file system members of a .deb
    into a single directory using the same layout dpkg-deb -b expects for
    building a package.
    
    Closes: #552123

 debian/changelog    |    2 ++
 dpkg-deb/dpkg-deb.h |    1 +
 dpkg-deb/extract.c  |   32 ++++++++++++++++++++++++++++++++
 dpkg-deb/main.c     |    3 +++
 man/dpkg-deb.1      |    7 +++++++
 5 files changed, 45 insertions(+), 0 deletions(-)

commit 8561eeb48292a0495d13335d7f088fe66e8ea167
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jun 20 19:11:20 2011 +0200

    dpkg-deb: Add new -v, --verbose option
    
    Change --extract to honour --verbose and behave as --vextract.
    
    Closes: #293280

 debian/changelog    |    2 ++
 dpkg-deb/dpkg-deb.h |    1 +
 dpkg-deb/extract.c  |    9 +++++++--
 dpkg-deb/main.c     |    3 +++
 man/dpkg-deb.1      |    8 +++++++-
 5 files changed, 20 insertions(+), 3 deletions(-)

commit cd3492245d81c9766c9ff09dc66f5822751cf71c
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Mon Aug 1 22:27:08 2011 +0200

    Regenerate .pot files and merge .po files with them

 dselect/po/bs.po        |  108 +-
 dselect/po/ca.po        |  108 +-
 dselect/po/cs.po        |  108 +-
 dselect/po/da.po        |  108 +-
 dselect/po/de.po        |  108 +-
 dselect/po/dselect.pot  |  110 +-
 dselect/po/el.po        |  108 +-
 dselect/po/es.po        |  108 +-
 dselect/po/et.po        |  108 +-
 dselect/po/eu.po        |  108 +-
 dselect/po/fr.po        |  108 +-
 dselect/po/gl.po        |  108 +-
 dselect/po/hu.po        |  108 +-
 dselect/po/id.po        |  108 +-
 dselect/po/it.po        |  108 +-
 dselect/po/ja.po        |  108 +-
 dselect/po/ko.po        |  108 +-
 dselect/po/nb.po        |  108 +-
 dselect/po/nl.po        |  108 +-
 dselect/po/nn.po        |  108 +-
 dselect/po/pl.po        |  108 +-
 dselect/po/pt.po        |  108 +-
 dselect/po/pt_BR.po     |  108 +-
 dselect/po/ro.po        |  108 +-
 dselect/po/ru.po        |  108 +-
 dselect/po/sk.po        |  108 +-
 dselect/po/sv.po        |  108 +-
 dselect/po/tl.po        |  108 +-
 dselect/po/vi.po        |  108 +-
 dselect/po/zh_CN.po     |  108 +-
 dselect/po/zh_TW.po     |  108 +-
 man/po/de.po            | 1055 ++++++++------
 man/po/dpkg-man.pot     | 3913 +++++++++++++++++++++++++----------------------
 man/po/es.po            |  979 +++++++-----
 man/po/fr.po            | 1506 +++++++++----------
 man/po/hu.po            |  930 ++++++-----
 man/po/ja.po            |  922 ++++++-----
 man/po/pl.po            |  944 +++++++-----
 man/po/pt_BR.po         |  921 ++++++-----
 man/po/ru.po            |  922 ++++++-----
 man/po/sv.po            |  980 +++++++-----
 po/ast.po               | 1606 ++++++++++----------
 po/bs.po                | 1528 ++++++++++---------
 po/ca.po                | 1597 ++++++++++----------
 po/cs.po                | 1597 ++++++++++----------
 po/da.po                | 1597 ++++++++++----------
 po/de.po                |   84 +-
 po/dpkg.pot             | 1523 +++++++++---------
 po/dz.po                | 1598 ++++++++++----------
 po/el.po                | 1600 ++++++++++----------
 po/eo.po                | 1597 ++++++++++----------
 po/es.po                | 1604 ++++++++++----------
 po/et.po                | 1586 ++++++++++----------
 po/eu.po                | 1597 ++++++++++----------
 po/fr.po                | 1826 +++++++++++------------
 po/gl.po                | 1604 ++++++++++----------
 po/hu.po                | 1598 ++++++++++----------
 po/id.po                | 1597 ++++++++++----------
 po/it.po                | 1599 ++++++++++----------
 po/ja.po                | 1597 ++++++++++----------
 po/km.po                | 1598 ++++++++++----------
 po/ko.po                | 1597 ++++++++++----------
 po/ku.po                | 1541 ++++++++++---------
 po/lt.po                | 1577 ++++++++++----------
 po/mr.po                | 1586 ++++++++++----------
 po/nb.po                | 1597 ++++++++++----------
 po/ne.po                | 1598 ++++++++++----------
 po/nl.po                | 1598 ++++++++++----------
 po/nn.po                | 1577 ++++++++++---------
 po/pa.po                | 1561 ++++++++++---------
 po/pl.po                | 1610 ++++++++++----------
 po/pt.po                | 1599 ++++++++++----------
 po/pt_BR.po             | 1601 ++++++++++----------
 po/ro.po                | 1597 ++++++++++----------
 po/ru.po                | 1597 ++++++++++----------
 po/sk.po                | 1597 ++++++++++----------
 po/sv.po                | 1783 ++++++++++------------
 po/th.po                | 1597 ++++++++++----------
 po/tl.po                | 1577 ++++++++++---------
 po/vi.po                | 1601 ++++++++++----------
 po/zh_CN.po             | 1595 ++++++++++---------
 po/zh_TW.po             | 1600 ++++++++++----------
 scripts/po/ca.po        |  557 ++++---
 scripts/po/de.po        |  429 +++---
 scripts/po/dpkg-dev.pot |  524 ++++---
 scripts/po/es.po        |  605 +++++---
 scripts/po/fr.po        |  616 +++++---
 scripts/po/pl.po        |  549 ++++---
 scripts/po/ru.po        |  603 +++++---
 scripts/po/sv.po        |  616 +++++---
 90 files changed, 44366 insertions(+), 40674 deletions(-)

commit 9f2c48ff8d3c113d627e799650e97b6f734e6f93
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Mon Aug 1 22:01:20 2011 +0200

    Revert "dpkg-buildpackage: support for Build-Features: build-arch"
    
    This reverts commit 14d48ef9abc2ce2d394e9ae4d69d4ba68b551620. Given
    that Guillem does not want this field and that the technical committee
    has not yet decided on the proper approach to enable
    build-arch/build-indep, it's safer to revert this change for now and allow
    us to proceed with a release.
    
    Conflicts:
    
    	man/deb-src-control.5

 debian/changelog               |    6 ---
 man/deb-src-control.5          |    7 ---
 man/dpkg-buildpackage.1        |   13 ++----
 scripts/Dpkg/BuildFeatures.pm  |   84 ----------------------------------------
 scripts/Dpkg/Control/Fields.pm |    3 -
 scripts/Makefile.am            |    1 -
 scripts/dpkg-buildpackage.pl   |   10 +----
 scripts/po/POTFILES.in         |    1 -
 8 files changed, 6 insertions(+), 119 deletions(-)

commit 9f2420aa6fee848acb30e88b127cb6e9a17d7c13
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Wed Jul 27 23:20:00 2011 +0200

    debian/rules: use the in-tree dpkg-buildflags to inject build flags
    
    Note that $(shell ...) does not receive variables defined
    within make with "export VAR=foo" so that we have to include
    DEB_CFLAGS_MAINT_APPEND in the command-line.

 debian/rules |   15 +++------------
 1 files changed, 3 insertions(+), 12 deletions(-)

commit 48468397afd51404ee3efcc9673e531155e999a2
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Wed Jul 27 19:18:04 2011 +0200

    dpkg-buildflags: support a "strip" operation
    
    The strip operation is useful to drop some options from the
    returned build flags.

 debian/changelog           |    3 ++-
 man/dpkg-buildflags.1      |   10 ++++++++++
 scripts/Dpkg/BuildFlags.pm |   30 +++++++++++++++++++++++++++++-
 3 files changed, 41 insertions(+), 2 deletions(-)

commit a174a9ed4bea6da2098454bcf18d01dd438bf16a
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Wed Jul 27 18:49:46 2011 +0200

    dpkg-buildflags: implement support of DEB_<flag>_MAINT_<op> env variables
    
    Those variables are meant to be used by the package maintainer within
    debian/rules to alter the resulting build flags if needed.

 debian/changelog           |    3 +-
 man/dpkg-buildflags.1      |   21 +++++++++++++++---
 scripts/Dpkg/BuildFlags.pm |   47 ++++++++++++++++++++++++++++++++++++-------
 3 files changed, 58 insertions(+), 13 deletions(-)

commit 250f99b073b471b9dcd82d61ff4d61dd594a8dfe
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Wed Jul 27 17:45:40 2011 +0200

    dpkg-buildflags: implement --export=configure
    
    The goal is to make it easy to set compilation flags on a ./configure
    command line for example like this:
    ./configure $(shell dpkg-buildflags --export=configure)
    
    The output thus looks like this:
    CFLAGS="-g -O2" CPPFLAGS="" CXXFLAGS="-g -O2" FFLAGS="-g -O2" LDFLAGS=""

 debian/changelog           |    3 +++
 man/dpkg-buildflags.1      |    4 +++-
 scripts/dpkg-buildflags.pl |   10 +++++++---
 3 files changed, 13 insertions(+), 4 deletions(-)

commit 7f4fb8576e9c9e8a2c959b3824fe61a95411f697
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Wed Jul 27 13:21:53 2011 +0200

    Revert "dpkg-buildflags: support debian/buildflags"
    
    This reverts commit 316df0a76f2ef91badbccb6fef0bfa7ae23fac59.
    A recent discussion concluded that it was not a proper interface
    for maintainers to override/extend build flags.
    
    See http://lists.debian.org/debian-dpkg/2011/07/msg00033.html
    
    Conflicts:
    
    	scripts/Dpkg/BuildFlags.pm

 debian/changelog           |    3 ---
 man/dpkg-buildflags.1      |    9 ---------
 scripts/Dpkg/BuildFlags.pm |   37 ++++++++-----------------------------
 3 files changed, 8 insertions(+), 41 deletions(-)

commit 9e03e21bf438f8513a2993c0be4ea4e22681af72
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Fri Jul 29 16:18:52 2011 +0200

    Provide a new makefile snippet exporting basic package information

 debian/changelog       |    4 ++--
 scripts/mk/Makefile.am |    1 +
 scripts/mk/default.mk  |    1 +
 scripts/mk/pkg-info.mk |   17 +++++++++++++++++
 4 files changed, 21 insertions(+), 2 deletions(-)

commit 46b688e4824f00842568b517b119eec34a5f7286
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Thu Jul 14 20:31:33 2011 +0200

    dpkg-source: implement --commit and fail with unrecorded changes
    
    Formats "2.0" and "3.0 (quilt)" now fail by default in presence of
    changes to upstream files that are not managed by their respective patch
    system. The user is invited to run dpkg-source --commit if he
    wants to keep the changes.
    
    This will avoid that maintainers upload packages with unexpected changes.
    The old behaviour can be kept with the option --auto-commit. The option
    --abort-on-upstream-changes is now useless with formats "2.0" and "3.0
    (quilt)" except to cancel the effect of a former --auto-commit.
    
    See http://lists.debian.org/20110529085303.GA17707@rivendell.home.ouaza.com
    for the discussion that enterined this change.

 debian/changelog                  |    6 +++
 man/dpkg-source.1                 |   32 ++++++++++++++++--
 scripts/Dpkg/Source/Package.pm    |    8 ++++-
 scripts/Dpkg/Source/Package/V2.pm |   68 ++++++++++++++++++++++++++++++++-----
 scripts/dpkg-source.pl            |   22 +++++++++---
 5 files changed, 117 insertions(+), 19 deletions(-)

commit 99cd8758402cc7f790f562c522d81f40c460233a
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Thu Jul 28 17:14:55 2011 +0200

    Dpkg::Source::Package::V2: cleanup generate_patch()
    
    Drop all references to $autopatch which has nothing to do with
    generating a patch. Move the message explaining where the
    changes have been recorded outside of the function.
    
    Drop unused parameter to get_patch_header().
    
    Drop intermediary variables which are only used once.

 scripts/Dpkg/Source/Package/V2.pm |   15 ++++++---------
 1 files changed, 6 insertions(+), 9 deletions(-)

commit 3b7f497c4e9766a8aa60317cf43406de2b816e4b
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Thu Jul 28 16:26:51 2011 +0200

    Dpkg::Source::Package::V2: move logic to create patches in a separate function
    
    This commit extracts the logic to create automatic patches in a new
    generate_patch() method. It's expected that this function will be
    reused to implement dpkg-source --commit.
    
    The code is mainly moved around as-is to simplify reviews. All
    desired changes have been left for further commits.

 scripts/Dpkg/Source/Package/V2.pm |   91 ++++++++++++++++++++++---------------
 1 files changed, 55 insertions(+), 36 deletions(-)

commit b8407b1dbd152c179039e38e9c0492ea05f406b5
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Thu Jul 28 15:10:43 2011 +0200

    Dpkg::Source::Package: replace register_autopatch() with register_patch()
    
    While register_autopatch() is only able to register a patch as the
    automatic patch, register_patch() can register a patch under any
    desired patch name.
    
    Also it doesn't not drop the input patch file, leaving that responsibility
    to whoever called it. However if the input patch file is empty, it will
    remove the target patch from the debian source package.

 scripts/Dpkg/Source/Package/V2.pm       |   40 ++++++++++++++----------------
 scripts/Dpkg/Source/Package/V3/quilt.pm |   36 +++++++++++++++++----------
 2 files changed, 42 insertions(+), 34 deletions(-)

commit be128c8f7960f05d3be727478c8078af1c1bfd72
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Thu Jul 14 19:02:49 2011 +0200

    dpkg-source: uniform handling of the patch header
    
    Formats "2.0" and "3.0 (quilt)" now generate the patch header
    with the same code. Drop some useless duplication.

 scripts/Dpkg/Source/Package/V2.pm       |   39 +++++++++++++++++++---
 scripts/Dpkg/Source/Package/V3/quilt.pm |   52 +-----------------------------
 2 files changed, 35 insertions(+), 56 deletions(-)

commit a7f16be86689ee46f4b2e445e5f08a63f447cdeb
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Thu Jul 14 18:56:30 2011 +0200

    dpkg-source: accept "." as the directory parameter
    
    dpkg-source should never be called from within the unpacked source
    tree, the result is usually not what one would expect. Fix this
    by automatically converting the directory name and by changing the
    current directory to the parent one.
    
    This is particularly interesting for the upcoming --record-changes
    option.

 scripts/dpkg-source.pl |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

commit dcc1a02343a45edbe209c0c07f09790418608723
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Mon Aug 1 22:26:56 2011 +0200

    Fix markup in French translation

 man/po/fr.po |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit de998911d4af4effc8be60cab78a244f5951bfe2
Author: Christian PERRIER <bubulle@debian.org>
Date:   Mon Aug 1 09:32:48 2011 +0200

    Updated french translation of manpages
    
    Updated to 1840t159f32u

 debian/changelog |    1 +
 man/po/fr.po     |  677 ++++++++++++++++++++++++++++++++++++------------------
 2 files changed, 460 insertions(+), 218 deletions(-)

commit 773e6dcc0e8fcbd0f185f95d27184e9979a2411e
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jul 30 18:35:03 2011 +0200

    build: Error out if the host dpkg architecture cannot be determined
    
    Continuing will only produce a buggy dpkg.

 m4/dpkg-arch.m4 |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 99b890c2eb6bfe955d85aedd40841366826c2f73
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jul 30 18:27:39 2011 +0200

    build: Use the detected perl to invoke dpkg-architecture.pl
    
    This will help building dpkg on systems where perl is not at
    /usr/bin/perl, which we were already taking into consideration for the
    resulting scripts but not during build.

 debian/changelog |    2 ++
 m4/dpkg-arch.m4  |    3 ++-
 2 files changed, 4 insertions(+), 1 deletions(-)

commit c90b620cd8c2836a3f5058dfa1527f9d7b5cf46e
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jul 30 18:14:27 2011 +0200

    build: Move DPKG_ARCHITECTURE macro call to the end
    
    This puts together all build machinery checks, and will allow
    DPKG_ARCHITECTURE to use the detected perl interpreter w/o needing
    to call DPKG_PROG_PERL really early in the configure script.

 configure.ac |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit e03a8325caf1b02dca6908cde96f3fcff50d001a
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Fri Jul 29 11:38:55 2011 +0200

    dpkg-mergechangelogs: fix test-suite
    
    In commit 5c233019cc770fb59671090d4a9462adb149921f I forgot to
    update the test-suite to match for the change of conflict markers.
    Doing this with this commit.

 scripts/t/910_merge_changelogs/ch-merged          |   18 ++++----
 scripts/t/910_merge_changelogs/ch-merged-basic    |   30 +++++++-------
 scripts/t/910_merge_changelogs/ch-merged-pr       |   24 ++++++------
 scripts/t/910_merge_changelogs/ch-merged-pr-basic |   42 ++++++++++----------
 4 files changed, 57 insertions(+), 57 deletions(-)

commit 5c233019cc770fb59671090d4a9462adb149921f
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Fri Jul 29 00:53:30 2011 +0200

    dpkg-mergechangelogs: use 7 characters for conflict markers
    
    Reported-by: Andrew Bennetts <andrew.bennetts@canonical.com>

 debian/changelog                |    2 ++
 scripts/dpkg-mergechangelogs.pl |    2 +-
 2 files changed, 3 insertions(+), 1 deletions(-)

commit a372b6a165de8876434828d2f7884b6e8840349b
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Wed Jul 27 20:10:24 2011 +0200

    debian/rules: introduce a maintainer build mode
    
    Adding "maintainer-build" to DEB_BUILD_OPTS changes some compilation
    settings to make the build more useful for maintainers. For instance
    it enables the silent rules so that it's easier to spot the warnings.
    
    It would be nice to also enable -Werror but that requires further
    investigation since enabling this option results in ./configure not
    working any more due to warnings generated by several of the
    test programs compiled by ./configure itself.

 debian/rules |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 84f3154aee09f649e78e78f0f0affe160d73296e
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Wed Jul 27 17:05:27 2011 +0200

    German dpkg translation update
    
    Update to 1023t.

 po/de.po |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

commit 7e17d3bfc489c01412f6a7edc92c0a46befc85ee
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Wed Jul 27 13:08:59 2011 +0200

    dpkg-divert: fix the test-suite to also skip tests that would fail if run as root

 debian/changelog        |    2 ++
 src/t/100_dpkg_divert.t |    6 +++---
 2 files changed, 5 insertions(+), 3 deletions(-)

commit 6f14223bd4a27d9cf40bd830c69187e3c6406982
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Tue Jul 26 11:10:24 2011 +0200

    Update changelog to close a bug reporting a problem already fixed

 debian/changelog |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 5b9ecc1b953c78614b2aee49687bec216de748f7
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jul 25 05:12:35 2011 +0200

    Add build-indep and build-arch targets as aliases for build
    
    The current build target is responsible for the generation of
    architecture dependent and independent files. The architecture
    independent files are just sed'ed and as such they take insignificant
    build time, so splitting that from the general build process does not
    seem worth the trouble or complexity. Renaming the current build
    target to build-arch though would be incorrect.

 debian/changelog |    2 ++
 debian/rules     |    2 +-
 2 files changed, 3 insertions(+), 1 deletions(-)

commit 9b22745f0a7127b7a171308f73e3079c535923f7
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jul 7 19:18:04 2011 +0200

    dpkg-deb: Construct control components paths with printf variants
    
    The output of dpkg-deb -I, -f and -W is not performance critical, and
    code simplicity trumps over the tiny performance improvements that using
    the explicit string functions or keeping the extracted control directory
    in the varbuf might imply in these cases.

 dpkg-deb/info.c |   43 +++++++++++++++----------------------------
 1 files changed, 15 insertions(+), 28 deletions(-)

commit dac802bce2e7fa909dac09d87f6fadb6074b9097
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jul 7 19:08:18 2011 +0200

    dpkg-deb: Use CONTROLFILE instead of a literal string

 dpkg-deb/info.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 04bcffc1565417a77a545adc643d86b82559b4a1
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Sat Jul 23 10:37:01 2011 +0200

    Update German scripts translation
    
    Update to 517t

 scripts/po/de.po |   64 +++++++++++++++++++++++++++--------------------------
 1 files changed, 33 insertions(+), 31 deletions(-)

commit b858e07bddec28c5b86c39d425a02f08d9bd205a
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Mon Jul 11 10:37:41 2011 +0200

    dpkg-dev: add some common makefile snippets for use in rules files
    
    data/architecture.mk: variables related to dpkg-architecture
    data/buildflags.mk: variables related to dpkg-builflags
    data/vendor.mk: variables related to dpkg-vendor
    data/default.mk: all of the above

 configure.ac               |    1 +
 debian/changelog           |    3 +++
 debian/dpkg-dev.install    |    1 +
 debian/dpkg.install        |    2 +-
 scripts/Makefile.am        |    2 +-
 scripts/mk/Makefile.am     |   16 ++++++++++++++++
 scripts/mk/architecture.mk |   25 +++++++++++++++++++++++++
 scripts/mk/buildflags.mk   |   25 +++++++++++++++++++++++++
 scripts/mk/default.mk      |    7 +++++++
 scripts/mk/vendor.mk       |   18 ++++++++++++++++++
 10 files changed, 98 insertions(+), 2 deletions(-)

commit e135afdb35d0ac179657def901965a448115a981
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Wed Jul 20 08:29:05 2011 +0200

    dpkg: fix possible segfault in findbreakcycle().
    
    The circumstances are not entirely clear because clear_istobes() is
    called earlier in the code and should already ensure that clientdata
    is allocated for all packages in the database but the stack trace
    reported leaves no room for any other interpretation. We must protect
    the access to tpkg->clientdata in findbreakcycle() with
    ensure_package_clientdata(tpkg).
    
    Probably that some other parts of the code might create new packages in the
    in-memory database depending on some specific conditions. It might be that
    those conditions only hold for a multiarch-enabled dpkg for example if
    the code looks up a package entry for an alternative architecture and
    would thus create the package on the fly.
    
    This is pure speculation because I did not push the investigations that
    far. It might be something entirely different but it doesn't matter much
    because the proposed fix is the same and just ensures that we respect
    our API by protecting the access to clientdata.
    
    See https://bugs.launchpad.net/ubuntu/+source/dpkg/+bug/733414 for
    details.

 debian/changelog |    1 +
 src/depcon.c     |    2 ++
 2 files changed, 3 insertions(+), 0 deletions(-)

commit e6b7685a540c24da1f6357fe8869602d84444aee
Merge: d5aedf7 7627d80
Author: Christian PERRIER <bubulle@debian.org>
Date:   Tue Jul 19 09:49:06 2011 +0200

    Merge branch 'master' of ssh://git.debian.org/git/dpkg/dpkg

commit 7627d8027482b28a40c88599be9808ce85e58a04
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Tue Jul 19 08:16:25 2011 +0200

    dpkg-source: improve the error message "no orig.tar file found"
    
    Now we include the template corresponding to files that we try to look
    for.

 debian/changelog                  |    2 ++
 scripts/Dpkg/Source/Package/V2.pm |   15 +++++++++++++--
 2 files changed, 15 insertions(+), 2 deletions(-)

commit d5aedf7fdff4dfeb8d329aa45486464d4596ec7a
Author: Christian PERRIER <bubulle@debian.org>
Date:   Mon Jul 18 19:42:01 2011 +0200

    French translation of scripts completed
    
    514t

 debian/changelog |    1 +
 scripts/po/fr.po |   27 +++++++++++++--------------
 2 files changed, 14 insertions(+), 14 deletions(-)

commit 189eaa27d4d3e7c7bbbb1933dfcdbdc597a58476
Author: Christian PERRIER <bubulle@debian.org>
Date:   Mon Jul 18 19:38:40 2011 +0200

    Updated French translation of programs
    
    1022t

 debian/changelog |    1 +
 po/fr.po         |  500 ++++++++++++++++++++++++++++--------------------------
 2 files changed, 257 insertions(+), 244 deletions(-)

commit bdcde2bb369531569c014bea8c0c6f6df5d38a2e
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Sun Jul 17 15:26:06 2011 +0200

    Minor fixes

 scripts/po/de.po |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)

commit 8449925b99926ba55651f94d21c174822a6af631
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Sun Jul 17 13:47:31 2011 +0200

    German dpkg translation update
    
    Update to 1022t1f.

 po/de.po | 1209 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 621 insertions(+), 588 deletions(-)

commit 1605ee665e643613597e5d9100838fe6b3cdc2a1
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Sun Jul 17 10:01:35 2011 +0200

    Regenerate .pot files and merge .po files with them

 man/po/es.po    | 4977 ++++++++++++++++++++++++++++++++----------------------
 man/po/fr.po    | 4985 +++++++++++++++++++++++++++++++++----------------------
 man/po/hu.po    | 4169 ++++++++++++++++++++++++----------------------
 man/po/ja.po    | 4361 ++++++++++++++++++++++++++----------------------
 man/po/pl.po    | 4869 +++++++++++++++++++++++++++++++-----------------------
 man/po/pt_BR.po | 4222 +++++++++++++++++++++++++----------------------
 man/po/ru.po    | 4207 +++++++++++++++++++++++++----------------------
 man/po/sv.po    | 4976 ++++++++++++++++++++++++++++++++----------------------
 8 files changed, 20746 insertions(+), 16020 deletions(-)

commit a0affbc4e347f00992f91e9d62f888541977d3d7
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Sun Jul 17 09:58:49 2011 +0200

    Update German translation of manual pages
    
    Update to 2028t3f.
    Remove outdate "# type" (without dot) comments

 man/po/de.po |  141 +++++-----------------------------------------------------
 1 files changed, 12 insertions(+), 129 deletions(-)

commit 4e4d2e3908ab132e840a71508e5a379895507fac
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sat Jul 16 20:53:49 2011 +0200

    update-alternatives: can_replace_link() → can_replace_path()
    
    alternative_can_replace_path() is clearer than
    alternative_can_replace_link() since the function can also allow replacing
    files which aren't links.

 utils/update-alternatives.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 244ebc212261030e3da6c289108d4b5ed71aa867
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sat Jul 16 20:48:33 2011 +0200

    update-alternatives: clarify role of --force concerning removal of links
    
    Modify update-alternatives --remove-all to remove files installed in
    place of links if --force is used. Add the corresponding non-regression
    test.

 man/update-alternatives.8         |    4 ++--
 utils/t/100_update_alternatives.t |   16 ++++++++++++----
 utils/update-alternatives.c       |    5 ++---
 3 files changed, 16 insertions(+), 9 deletions(-)

commit 91db161013479ad03ef95e7f0ca2f413c5e57925
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Fri Jul 15 22:06:38 2011 +0200

    update-alternatives: fix regression when dropping slave alternatives
    
    When the alternative is changed, it might have to drop a slave alternative
    that's no longer provide by the new choice. This must only remove the slave
    link if it's actually a link. If it's a file, it must be kept except if
    --force is given.
    
    The non-regression tests have been contributed by Andreas Beckmann.
    
    Reported-by: Andreas Beckmann <debian@abeckmann.de>

 debian/changelog                  |    3 ++
 utils/t/100_update_alternatives.t |   47 ++++++++++++++++++++++++++++++++++--
 utils/update-alternatives.c       |   36 +++++++++++++++++++---------
 3 files changed, 71 insertions(+), 15 deletions(-)

commit ed0eb757b659b8a7e4728e230b9d0db813294f15
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Mon Jul 11 19:20:16 2011 +0200

    Update German translation of manual pages
    
    Update to 2028t3f.

 man/po/de.po |  432 +++++++++++++++++++++++++++++++++++-----------------------
 1 files changed, 262 insertions(+), 170 deletions(-)

commit e3c5e26a45f751fa42a4b96369cbce2b12c292bd
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Mon Jul 11 18:55:28 2011 +0200

    Update German scripts translation
    
    Update to 517t

 scripts/po/de.po |  100 +++++++++++++++++++++++++++--------------------------
 1 files changed, 51 insertions(+), 49 deletions(-)

commit 006e0f93a2af1673a7153c822ce74b69fd8b2d26
Author: Niels Thykier <niels@thykier.net>
Date:   Mon Jul 11 13:59:10 2011 +0200

    dpkg-dev: fail when closing an output handle fails
    
    This patch makes dpkg-gencontrol and dpkg-shlibdeps fail if their
    call to close (on output handles) suggests an issue.  This prevents
    them from silently producing incomplete files and may provide a
    better error than the following rename failing.
    
    Signed-off-by: Raphaël Hertzog <hertzog@debian.org>

 debian/changelog           |    1 +
 scripts/dpkg-gencontrol.pl |    2 +-
 scripts/dpkg-shlibdeps.pl  |    2 +-
 3 files changed, 3 insertions(+), 2 deletions(-)

commit 64dc71b84f8a4403028631f8f42e413f378e7d77
Author: Niels Thykier <niels@thykier.net>
Date:   Mon Jul 11 13:27:44 2011 +0200

    dpkg-mergechangelogs: fail if it cannot close the output file
    
    Made dpkg-mergechangelogs check the return value of close and fail
    if it was not successful.  Previously dpkg-mergechangelogs would
    silently fail to write a file if (e.g.) the device was full.
    
    Signed-off-by: Raphaël Hertzog <hertzog@debian.org>

 debian/changelog                |    2 ++
 scripts/dpkg-mergechangelogs.pl |    2 +-
 2 files changed, 3 insertions(+), 1 deletions(-)

commit d415c388d31e9c4b7eff8b77711a4c15b3b85208
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Mon Jul 11 09:20:20 2011 +0200

    dpkg-buildflags: new --dump action, make it the default
    
    The --export command is useful to retrieve the compilation flags
    in a shell script or in a makefile, and to export them in the environment,
    but it's not well suited for parsing by another script (or even by a
    human).
    
    The new --dump option becomes the default action and prints
    the flags and their values following a documented template: "flag=value".

 debian/changelog           |    2 ++
 man/dpkg-buildflags.1      |    7 ++++++-
 scripts/dpkg-buildflags.pl |   16 +++++++++++++---
 3 files changed, 21 insertions(+), 4 deletions(-)

commit 8904196d5bc313d80917b4b25f77f52e0227f698
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Thu Jul 7 12:26:12 2011 +0200

    dpkg-buildflags: supports a prepend command
    
    This command is particularly useful for package maintainers who don't want
    their supplementary flags to take precedence over user submitted flags.

 debian/changelog           |    4 ++++
 man/dpkg-buildflags.1      |   10 +++++++++-
 scripts/Dpkg/BuildFlags.pm |   29 ++++++++++++++++++++++++++++-
 3 files changed, 41 insertions(+), 2 deletions(-)

commit 316df0a76f2ef91badbccb6fef0bfa7ae23fac59
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Thu Jul 7 11:45:37 2011 +0200

    dpkg-buildflags: support debian/buildflags
    
    This file is for use by package maintainers. Since the call to
    dpkg-buildflags might be hidden by packaging helpers, it's a good
    idea to offer a simple way for package maintainers to extend
    the set of flags returned. Otherwise each package helper must provide
    its own way to extend the compilation flags.

 debian/changelog           |    3 ++
 man/dpkg-buildflags.1      |   13 ++++++++++-
 scripts/Dpkg/BuildFlags.pm |   45 ++++++++++++++++++++++++++++++++++---------
 3 files changed, 49 insertions(+), 12 deletions(-)

commit eb4bb268ab954748d015626a216f46f632f2371a
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Thu Jul 7 11:15:40 2011 +0200

    Dpkg::Path: new find_build_file() function
    
    Useful to allow architecture-specific variants of a file and pick the
    right one based on the current host architecture.

 scripts/Dpkg/Path.pm |   45 ++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 44 insertions(+), 1 deletions(-)

commit 14f134d403c022046d38a6abb8be0fee7fb63355
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Thu Jul 7 10:30:20 2011 +0200

    dpkg-buildpackage: no longer exports the compiler flags
    
    Packages must directly call dpkg-buildflags to retrieve them.
    
    dpkg-buildpackage still prints the flags that are returned by
    dpkg-buildflags because it's useful for debugging purpose and for
    identifying an unclean build environment.

 debian/changelog             |    2 ++
 man/dpkg-buildpackage.1      |   13 +++++++------
 scripts/dpkg-buildpackage.pl |    5 ++---
 3 files changed, 11 insertions(+), 9 deletions(-)

commit c70908ffc751a6a84bffcecfa7fa752aadd42481
Author: Flo <sensorflo@gmail.com>
Date:   Sat Jul 9 11:10:39 2011 +0200

    Improve description of package states in man page

 debian/changelog |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d9661c223e1ac8c9892de6a45a0daa3fe3715936
Author: Flo <sensorflo@gmail.com>
Date:   Sat Jul 9 11:08:11 2011 +0200

    Improve description of package states in man page

 man/po/de.po |    7 +++----
 1 files changed, 3 insertions(+), 4 deletions(-)

commit faa0fa50f1d9f85c1c9765961248701c11ad7abf
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Sat Jul 9 11:00:14 2011 +0200

    Update German translation of manual pages
    
    Update to 2017t3f.

 man/po/de.po |   39 ++++++++++++++++++++++-----------------
 1 files changed, 22 insertions(+), 17 deletions(-)

commit cd5c4b5bd6b50399af78dd42bda0408554ac6689
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Fri Jul 8 16:54:49 2011 +0200

    Update German translation of manual pages
    
    Update to 2012t5f3u.

 man/po/de.po |  927 ++++++++++++++--------------------------------------------
 1 files changed, 224 insertions(+), 703 deletions(-)

commit 3762f5bf39f9af0a937f49112b5aa982c49f3e2c
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Thu Jul 7 23:08:11 2011 +0200

    Update German translation of manual pages
    
    Update to 1877t140f3u.

 man/po/de.po | 3410 +++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 1961 insertions(+), 1449 deletions(-)

commit 01f081f28e88bc52a6609cd53ff1776c95a91c6d
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Thu Jul 7 22:42:03 2011 +0200

    Update German scripts translation
    
    Update to 518t

 scripts/po/de.po |  154 ++++++++++++++++++++++++++++++------------------------
 1 files changed, 85 insertions(+), 69 deletions(-)

commit 9c39b853fe4354476714f34a2ea52f030500bbc6
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Thu Jul 7 20:11:50 2011 +0200

    build: Update po/POTFILES.in for renamed source file
    
    Commit cf22cf6118035ab8ee5cc25e5298a987073c8dc8 broke 'make update-po'.

 po/POTFILES.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2d233269cbf8cc1529e0c49a8c03a8b2227d49ff
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Thu Jul 7 16:49:32 2011 +0200

    dpkg-source(1): improve the description of --before-build & --after-build

 debian/changelog  |    2 ++
 man/dpkg-source.1 |   23 ++++++++++++-----------
 2 files changed, 14 insertions(+), 11 deletions(-)

commit e0ce9b4ac351a921de12bf0302cfa97f1c7251e2
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Thu Jul 7 16:09:33 2011 +0200

    dpkg-source(1): fix a small typo
    
    Replace ", under as" with "under". Add missing dot at the end of the
    sentence.
    
    Reported-by: "Barak A. Pearlmutter" <bap@debian.org>

 debian/changelog    |    1 +
 man/dpkg-source.1   |    4 ++--
 man/po/de.po        |    4 ++--
 man/po/dpkg-man.pot |    4 ++--
 man/po/es.po        |    4 ++--
 man/po/fr.po        |    4 ++--
 man/po/hu.po        |    4 ++--
 man/po/ja.po        |    4 ++--
 man/po/pl.po        |    4 ++--
 man/po/pt_BR.po     |    4 ++--
 man/po/ru.po        |    4 ++--
 man/po/sv.po        |    4 ++--
 12 files changed, 23 insertions(+), 22 deletions(-)

commit 2533ebc755dc0e197d51e7d50beaac2ec3a70e22
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Thu Jul 7 15:18:31 2011 +0200

    dpkg-deb: adjust code now that extracthalf() no longer chdir() as a side-effect
    
    dpkg-deb -I, -f, -W were no longer working because they relied on the fact
    that extracthalf() changed the current directory to the extracted
    one.
    
    Regression introduced in commit 87809163331a320f9562d75591fcc6c954b9f80c.

 dpkg-deb/info.c |   42 +++++++++++++++++++++++++++++++++++-------
 1 files changed, 35 insertions(+), 7 deletions(-)

commit c819a400aa596e513ca8b28710ab9e2c62fcacd2
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jul 7 06:24:37 2011 +0200

    dpkg-maintscript-helper: Unify somewhat --help output with other commands

 debian/changelog                   |    1 +
 scripts/dpkg-maintscript-helper.sh |   18 ++++++------------
 2 files changed, 7 insertions(+), 12 deletions(-)

commit 2825370120d3adf3c1ef0c1b16d09bb2637ff358
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jul 7 06:15:57 2011 +0200

    man: Correctly format text with bold and italics

 debian/changelog              |    1 +
 man/deb-control.5             |   25 +++++++++++++------------
 man/deb-shlibs.5              |    2 +-
 man/deb-split.5               |    8 ++++----
 man/deb-src-control.5         |   24 +++++++++++++-----------
 man/deb-symbols.5             |    2 +-
 man/deb-version.5             |    2 +-
 man/dpkg-architecture.1       |    2 +-
 man/dpkg-checkbuilddeps.1     |    2 +-
 man/dpkg-divert.8             |    2 +-
 man/dpkg-maintscript-helper.1 |    6 +++---
 man/dpkg-name.1               |    3 +--
 man/dpkg-shlibdeps.1          |    2 +-
 man/dpkg-split.1              |    4 ++--
 man/dpkg-trigger.1            |    8 ++++----
 man/dpkg-vendor.1             |    8 ++++----
 man/update-alternatives.8     |   16 ++++++++--------
 17 files changed, 60 insertions(+), 57 deletions(-)

commit 9c757bf4c00f777f089e0ab6f83f10edd5892679
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jul 6 17:19:38 2011 +0200

    man: Use italics or bold instead of surrounding the text with <>
    
    Using <> to delimit parts of text is necessary when using plain text
    output, but not when we have some formatting available around, which
    is the case with the man pages, but not with the program output.

 TODO                          |    1 -
 debian/changelog              |    1 +
 man/deb-control.5             |   59 ++++++++++++++++---------------
 man/deb-src-control.5         |   78 ++++++++++++++++++++--------------------
 man/deb-symbols.5             |   18 +++++-----
 man/dpkg-divert.8             |    4 +-
 man/dpkg-maintscript-helper.1 |    4 +-
 man/dpkg-name.1               |   18 +++++----
 man/dpkg-parsechangelog.1     |   16 ++++----
 man/dpkg.1                    |   24 ++++++------
 man/dselect.1                 |    6 ++--
 man/update-alternatives.8     |   14 ++++----
 12 files changed, 123 insertions(+), 120 deletions(-)

commit 5190ed2c6b5c3d9e4f21db2cbdfddeca6ace2d46
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jul 4 19:06:38 2011 +0200

    man: Use [option...] instead of [options] and friends

 TODO                          |    1 -
 debian/changelog              |    1 +
 man/dpkg-architecture.1       |    5 ++---
 man/dpkg-buildpackage.1       |    4 ++--
 man/dpkg-checkbuilddeps.1     |    4 ++--
 man/dpkg-deb.1                |    5 ++---
 man/dpkg-distaddfile.1        |    4 ++--
 man/dpkg-divert.8             |    4 ++--
 man/dpkg-genchanges.1         |    4 ++--
 man/dpkg-gencontrol.1         |    4 ++--
 man/dpkg-gensymbols.1         |    4 ++--
 man/dpkg-maintscript-helper.1 |    4 ++--
 man/dpkg-name.1               |    6 +++---
 man/dpkg-parsechangelog.1     |    4 ++--
 man/dpkg-scanpackages.1       |    5 ++---
 man/dpkg-scansources.1        |    5 ++---
 man/dpkg-shlibdeps.1          |    6 ++----
 man/dpkg-source.1             |    5 ++---
 man/dpkg-split.1              |    5 ++---
 man/dpkg-statoverride.8       |    5 ++---
 man/dpkg.1                    |    2 +-
 man/dselect.1                 |   12 ++----------
 man/start-stop-daemon.8       |    5 ++---
 man/update-alternatives.8     |    5 ++---
 24 files changed, 45 insertions(+), 64 deletions(-)

commit 9e53fcc54bddbbab53e964f3339bd712e41806e5
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jul 4 18:55:03 2011 +0200

    Refer to Sources and Packages files as part of a repository
    
    Instead of as being of exclusive use or owned by APT, which has never
    been the case. Those files existed long before APT even existed.

 debian/changelog              |    2 ++
 man/dpkg-query.1              |    4 ++--
 scripts/Dpkg/Control.pm       |    8 ++++----
 scripts/Dpkg/Control/Types.pm |    4 ++--
 4 files changed, 10 insertions(+), 8 deletions(-)

commit 868cccc78684cd098e4ca6f879492842e24eb9a6
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jul 6 16:46:54 2011 +0200

    dpkg-query(1): Clarify that several fields are not dselect specific
    
    These apply to most dpkg front-ends not just dselect.

 debian/changelog |    2 ++
 man/dpkg-query.1 |    8 ++++----
 2 files changed, 6 insertions(+), 4 deletions(-)

commit 7f3892f184d9accd250600dfc54173a6436a5d3a
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jul 6 16:46:26 2011 +0200

    dpkg-shlibdeps(1): Add missing “with”

 man/dpkg-shlibdeps.1 |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0a9586213086723c5962bbfa6659df240c77433c
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jul 7 06:19:02 2011 +0200

    man: Use dashes instead of underscores for variable text
    
    This makes the text more clear by avoiding the clashes when italics
    are rendered as underlined text.

 debian/changelog      |    1 +
 man/deb-control.5     |    2 +-
 man/deb-src-control.5 |    2 +-
 man/deb-version.5     |   36 ++++++++++++++++++------------------
 man/dpkg-deb.1        |    4 ++--
 man/dpkg-gensymbols.1 |    4 ++--
 man/dpkg-name.1       |    4 ++--
 man/dpkg.1            |   14 +++++++-------
 8 files changed, 34 insertions(+), 33 deletions(-)

commit 7dcd875e084213fa65c09cd23a3e45edfbfcb94b
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jul 7 06:17:19 2011 +0200

    deb-control(5): Add missing escaping to field dashes

 debian/changelog  |    1 +
 man/deb-control.5 |    4 ++--
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 971e0bd2005b06ab718a90e77067f7c6ff01c0b3
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jul 6 16:45:26 2011 +0200

    dselect(1): Add missing built-in methods

 debian/changelog |    1 +
 man/dselect.1    |    8 ++++----
 2 files changed, 5 insertions(+), 4 deletions(-)

commit 37b01269a3735a3213d5fe5fce377d5360f55ff7
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jul 7 05:41:06 2011 +0200

    dselect(1): Rename USAGE section to ACTIONS
    
    Document the ways actions can be performed, either interactively or from
    the command line.

 debian/changelog |    3 +++
 man/dselect.1    |    7 ++++---
 2 files changed, 7 insertions(+), 3 deletions(-)

commit e342a8fc3bc777971f76aff0f89b8b121876a532
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jul 3 21:29:43 2011 +0200

    Use “command line” instead of commandline or command-line

 TODO              |    1 -
 debian/usertags   |    4 ++--
 doc/README.api    |    2 +-
 doc/triggers.txt  |    2 +-
 man/dpkg-source.1 |    4 ++--
 man/dselect.1     |    8 ++++----
 man/dselect.cfg.5 |    4 ++--
 7 files changed, 12 insertions(+), 13 deletions(-)

commit 23cd39aae01f1b3b1aee834befa02201e8824819
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jul 7 09:04:32 2011 +0200

    libdpkg: Rename catch_signals to signo_ignores in subproc module

 lib/dpkg/subproc.c |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

commit 668ab0d8ab99dcc7a63d58bc1d859d857e3e939e
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jul 4 04:10:32 2011 +0200

    libdpkg: Rename sigaction variables in subproc module to sa and sa_save

 lib/dpkg/subproc.c |   17 +++++++++--------
 1 files changed, 9 insertions(+), 8 deletions(-)

commit b81ec0a39b7ccba925fb0fb8f0664a0671dbc2dc
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jul 4 03:19:04 2011 +0200

    libdpkg: Rename variable r to pid in subproc_fork()

 lib/dpkg/subproc.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit cf22cf6118035ab8ee5cc25e5298a987073c8dc8
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jul 3 03:23:11 2011 +0200

    libdpkg: Rename myopt module to options

 dpkg-deb/build.c                |    2 +-
 dpkg-deb/extract.c              |    2 +-
 dpkg-deb/info.c                 |    2 +-
 dpkg-deb/main.c                 |    2 +-
 dpkg-split/info.c               |    2 +-
 dpkg-split/join.c               |    2 +-
 dpkg-split/main.c               |    2 +-
 dpkg-split/queue.c              |    2 +-
 dpkg-split/split.c              |    2 +-
 dselect/main.cc                 |    2 +-
 lib/dpkg/Makefile.am            |    4 ++--
 lib/dpkg/{myopt.c => options.c} |    4 ++--
 lib/dpkg/{myopt.h => options.h} |    8 ++++----
 src/archives.c                  |    2 +-
 src/cleanup.c                   |    2 +-
 src/divertcmd.c                 |    2 +-
 src/enquiry.c                   |    2 +-
 src/errors.c                    |    2 +-
 src/main.c                      |    2 +-
 src/packages.c                  |    2 +-
 src/processarc.c                |    2 +-
 src/querycmd.c                  |    2 +-
 src/remove.c                    |    2 +-
 src/select.c                    |    2 +-
 src/statcmd.c                   |    2 +-
 src/trigcmd.c                   |    2 +-
 src/update.c                    |    2 +-
 27 files changed, 32 insertions(+), 32 deletions(-)

commit 16354a961ce86778a3e0ca56f2fa5314855ccf3c
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jul 3 03:12:40 2011 +0200

    Fix printforhelp string in dpkg-divert and dpkg-statoverride

 src/divertcmd.c |    2 +-
 src/statcmd.c   |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 01d9ba9dfa1695ab12bd4a09f9f35a6e18c09788
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jul 2 02:23:27 2011 +0200

    Fix comment header lines describing the subproject

 dselect/bindings.h       |    2 +-
 dselect/dselect-curses.h |    2 +-
 dselect/dselect.h        |    2 +-
 dselect/pkglist.h        |    2 +-
 lib/dpkg/dbmodify.c      |    2 +-
 lib/dpkg/fdio.c          |    2 +-
 lib/dpkg/fdio.h          |    2 +-
 lib/dpkg/glob.c          |    2 +-
 lib/dpkg/glob.h          |    2 +-
 lib/dpkg/log.c           |    2 +-
 lib/dpkg/pkg-array.c     |    2 +-
 lib/dpkg/pkg-array.h     |    2 +-
 lib/dpkg/pkg-list.c      |    2 +-
 lib/dpkg/pkg-list.h      |    2 +-
 lib/dpkg/pkg-queue.c     |    2 +-
 lib/dpkg/pkg-queue.h     |    2 +-
 lib/dpkg/pkg-show.c      |    2 +-
 lib/dpkg/pkg-show.h      |    2 +-
 lib/dpkg/pkg.c           |    2 +-
 lib/dpkg/pkg.h           |    2 +-
 lib/dpkg/progress.c      |    2 +-
 lib/dpkg/progress.h      |    2 +-
 lib/dpkg/trigdeferred.l  |    2 +-
 23 files changed, 23 insertions(+), 23 deletions(-)

commit 9fe0a1b16d3045534f7863aed2e35f5177156a15
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jul 2 02:00:51 2011 +0200

    Use new dpkg_set_progname and dpkg_get_progname instead of thisname
    
    The current implementation demanded libdpkg users to define thisname
    themselves, which is not really a nice interface to offer to programs.
    
    Closes: #631757

 debian/changelog          |    3 +++
 dpkg-deb/main.c           |    2 +-
 dpkg-split/main.c         |    2 +-
 dselect/main.cc           |    3 ++-
 lib/dpkg/dpkg.h           |    1 +
 lib/dpkg/ehandle.c        |   16 +++++++++-------
 lib/dpkg/ehandle.h        |    3 ---
 lib/dpkg/libdpkg.Versions |    1 -
 lib/dpkg/subproc.c        |    2 +-
 lib/dpkg/test.h           |    2 --
 src/divertcmd.c           |    7 ++++---
 src/errors.c              |    6 +++---
 src/main.c                |    2 +-
 src/querycmd.c            |    6 +++---
 src/statcmd.c             |    7 ++++---
 src/trigcmd.c             |   11 +++++------
 src/trigproc.c            |    2 +-
 17 files changed, 39 insertions(+), 37 deletions(-)

commit ec206bf34be3733a665840432f70faf149f2c008
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jul 2 01:58:33 2011 +0200

    libdpkg: Add new progname module handling functions

 configure.ac              |    3 +-
 lib/dpkg/Makefile.am      |    2 +
 lib/dpkg/libdpkg.Versions |    4 ++
 lib/dpkg/progname.c       |   83 +++++++++++++++++++++++++++++++++++++++++++++
 lib/dpkg/progname.h       |   33 ++++++++++++++++++
 m4/dpkg-funcs.m4          |   23 ++++++++++++
 6 files changed, 147 insertions(+), 1 deletions(-)

commit cd92cc77e5103b31ce15b746bd71095b859ac08b
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jul 2 02:04:28 2011 +0200

    libdpkg: Add missing macros for program names
    
    Specifically for dpkg-divert, dpkg-statoverride and dpkg-trigger.

 lib/dpkg/dpkg.h |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 0fc0d6d598c045c77d056b40446208448b9ec6e2
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jul 1 04:22:51 2011 +0200

    libdpkg: Do not require programs to define printforhelp
    
    Instead define it in myopt.c and initialize it through a new argument to
    myopt().

 dpkg-deb/main.c           |    4 ++--
 dpkg-split/main.c         |    4 ++--
 dselect/main.cc           |    4 ++--
 lib/dpkg/libdpkg.Versions |    1 -
 lib/dpkg/myopt.c          |    9 ++++++++-
 lib/dpkg/myopt.h          |    5 ++---
 src/divertcmd.c           |    5 +++--
 src/main.c                |    6 +++---
 src/querycmd.c            |    5 +++--
 src/statcmd.c             |    5 +++--
 src/trigcmd.c             |    4 ++--
 11 files changed, 30 insertions(+), 22 deletions(-)

commit 4da4c894719c7d33a3e44645630f63172cfd4c99
Author: Guillem Jover <guillem@debian.org>
Date:   Wed May 4 02:02:57 2011 +0200

    libdpkg: Add missing symbols to the version script

 lib/dpkg/libdpkg.Versions |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 87809163331a320f9562d75591fcc6c954b9f80c
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jun 17 17:00:30 2011 +0200

    dpkg-deb: Always chdir(2) in the childs to not change the global state
    
    To not disturb the global program state we should always chdir(2) in the
    childs that actually need it. This will allow in the future to switch
    this code to be part of a library.

 dpkg-deb/extract.c |   25 ++++++++++++-------------
 dpkg-deb/info.c    |    4 ++--
 2 files changed, 14 insertions(+), 15 deletions(-)

commit 6ab502b6a7a3718b697e7c1020fcd5d7f9fd2d67
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jul 7 07:11:06 2011 +0200

    dpkg: Use braces on ‘if’ to avoid ambiguous ‘else’
    
    Warning introduced in commit fc625d161382abc41b984ca9ee1e32ad4f295c67.

 src/archives.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 1ea0da5ac9079a38aae50ccbe78cec003e7ae95a
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Tue Jul 5 09:44:49 2011 +0200

    dpkg: Mark error message for translation
    
    Missed in commit fc625d161382abc41b984ca9ee1e32ad4f295c67.

 src/archives.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a9345899bd3ad76e6081beaefbb1a5ce0758ebad
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Thu Jun 30 14:08:44 2011 +0200

    dpkg-source: improve the logic to identify ignored files
    
    The list of ignored files was only generated by expanding the patterns
    relative to the current directory (which usually is the directory above
    the source package). Instead what we want is to expand them at the
    top-level directory of the source package and at the directory being
    inspected.
    
    Reported-by: Joachim Breitner <nomeata@debian.org>

 debian/changelog                  |    1 +
 scripts/Dpkg/Source/Package/V2.pm |   12 +++++++++---
 2 files changed, 10 insertions(+), 3 deletions(-)

commit fc625d161382abc41b984ca9ee1e32ad4f295c67
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Tue Jun 28 09:39:46 2011 +0200

    dpkg: add the missing ohshite() on a failed syscall

 src/archives.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit b6ca9bcdb5887e30fe65ecd2105da9dcd55a351c
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jun 29 04:11:32 2011 +0200

    dpkg: Unpack missing shared directories when the package is replaced
    
    When unpacking a directory missing in the file system with that path
    shared by at least one other package, from a package that is Replaced
    by other packages, assume the missing path is a shared directory and
    avoid setting ‘keepexisting’ and as such returning prematurely from
    tarobject(), because in that case we need to recreate the lost
    directory. As a side effect this also prevents printing the message
    “Replaced by files in installed package” which is bogus in this case,
    as directories are always shared.
    
    Regression introduced in commit 00e5640a99be03aba40c9e08a663b90d8f8aa797.
    
    Closes: #631808

 debian/changelog |    2 ++
 src/archives.c   |   26 ++++++++++++++++----------
 2 files changed, 18 insertions(+), 10 deletions(-)

commit 638e259f69c1f3c0e1000979274562f8ffad4df9
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Tue Jun 28 09:34:52 2011 +0200

    update-alternatives: do not allow to reuse a slave link in another slave alternative
    
    update-alternatives erroneously allowed to reuse a link in another slave
    alternative. Given the parsing code already catched this error, it would
    immediately result in update-alternatives being unusable to manipulate the
    broken alternative.
    
    Reported-by: Andreas Beckmann <debian@abeckmann.de>

 debian/changelog                  |    2 ++
 utils/t/100_update_alternatives.t |    7 ++++++-
 utils/update-alternatives.c       |   11 +++++++++++
 3 files changed, 19 insertions(+), 1 deletions(-)

commit 8ee722234e35e8fca0fd60aac35f9263d62f3f95
Author: Peter Krefting <peterk@debian.org>
Date:   Mon Jun 27 19:24:45 2011 +0100

    Fix some damage introduced by gtranslator.

 po/sv.po         |    6 +++---
 scripts/po/sv.po |    6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 46dde50846c6698b28e255c8f1f060e1ec7a7179
Author: Peter Krefting <peterk@debian.org>
Date:   Mon Jun 27 19:22:11 2011 +0100

    Update Swedish translation.
    
    po/sv.po: 1022t0f0u.
    scripts/po/sv.po: 514t0f0u.

 debian/changelog |    2 +
 po/sv.po         |  512 ++++++++++++++++++++++++++----------------------------
 scripts/po/sv.po |   37 ++--
 3 files changed, 269 insertions(+), 282 deletions(-)

commit 86f689c13be910797eb22f7c2a63f2d49298641d
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Mon Jun 27 09:36:59 2011 +0200

    dpkg-buildflags(1): DEB_*_(SET|APPEND) are meant for users
    
    Make it clear that the possibility to override the compilation flags
    with environment variables DEB_*_SET and DEB_*_APPEND is restricted
    to users and that packages should not set those variables.

 debian/changelog      |    2 ++
 man/dpkg-buildflags.1 |    5 ++++-
 2 files changed, 6 insertions(+), 1 deletions(-)

commit f64a8d66c0c3b3a44927a6eb4d5bd57ef8d60594
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Mon Feb 21 16:32:57 2011 +0100

    Fix bad indentation in various parts of the code

 lib/dpkg/dbmodify.c |    6 +++---
 src/archives.c      |    6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

commit e2d910ee0805a56f87416aab355ca68a264e077b
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sun Jun 26 10:21:28 2011 +0200

    Add missing changelog entry for new trigger directives

 debian/changelog |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit cf6b98d3738d1fe8b3119b71fd8321c12feb618c
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sun May 15 01:39:31 2011 +0200

    dpkg: implement "interest-noawait" and "activate-noawait" trigger commands
    
    Those variants do not put triggering packages in triggers-awaited status
    and thus do not record the package with the corresponding pending triggers
    in the Triggers-Awaited field.
    
    This should be used for triggers which do not provide essential
    functionality when we can safely consider that the triggering packages
    are able to satisfy dependencies even if the trigger processing
    has not yet happened.

 debian/dpkg.prerm  |   81 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 doc/triggers.txt   |    3 +-
 lib/dpkg/triglib.c |   78 +++++++++++++++++++++++++++++++++++---------------
 lib/dpkg/triglib.h |   15 +++++++--
 man/deb-triggers.5 |   20 ++++++++++++-
 src/trigproc.c     |   10 ++++--
 6 files changed, 174 insertions(+), 33 deletions(-)

commit 9d3ec0f5a727d439c3cbc8885bcbc78f7a34dd0b
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sat Jun 18 21:36:40 2011 +0200

    dpkg: do not fallback to "new-prerm failed-upgrade" for downgrades
    
    If "installed-prerm upgrade" fails, dpkg tries to run "new-prerm
    failed-upgrade" so that newer versions of packages can work-around
    a bug in the prerm of the installed package.
    
    In the case of downgrade this logic doesn't make any sense since
    the oldest version can't be aware of the bug in the newest version
    (that did not exist when the prerm of the oldest version was
    written).
    
    Thus we're disabling the fallback in case of a downgrade or a
    reinstallation of the same version.

 debian/changelog |    3 +++
 src/processarc.c |   10 ++++++++--
 2 files changed, 11 insertions(+), 2 deletions(-)

commit bbe54d836c52533c923484f3eaf216011551337a
Author: Cyril Brulebois <kibi@debian.org>
Date:   Mon Jun 13 23:23:09 2011 +0200

    dpkg-gensymbols: cope with empty lines
    
    Empty lines are quite useful as (visual) delimiters between sections in
    symbols files, for example when libfoo0 contains libfoo-bar.so.0 and
    libfoo-baz.so.0. Consider them like comments: ignore them. This gets us
    rid of such warnings (which by the way are missing line numbers):
    | dpkg-gensymbols: warning: Failed to parse a line in debian/libfoo0.symbols:
    | dpkg-gensymbols: warning: Failed to parse a line in debian/libfoo0.symbols:
    
    Signed-off-by: Raphaël Hertzog <hertzog@debian.org>

 debian/changelog                  |    2 ++
 scripts/Dpkg/Shlibs/SymbolFile.pm |    4 ++--
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 2be618a80de2de006428c1f92bfafa90bb963adf
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sat Jun 25 10:17:53 2011 +0200

    dpkg-gensymbols(1): document syntax of comments
    
    Reported-by: Sven Joachim <svenjoac@gmx.de>

 debian/changelog      |    1 +
 man/dpkg-gensymbols.1 |    5 +++++
 2 files changed, 6 insertions(+), 0 deletions(-)

commit 1c1653ef4d7a6d461d4c2168d8a078a8a11596db
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sat Jun 25 10:08:03 2011 +0200

    dpkg-source: add some supplementary checks of debian/control
    
    We're now ensuring that debian/control contains a source entry
    and at least one entry for a binary package. And we also ensure
    that the Architecture field is present. This a new restriction
    but it's really in-line with the change made in dpkg where we
    complain of the lack of this field.
    
    Reported-by: Niels Thykier <niels@thykier.net>

 debian/changelog                     |    2 ++
 scripts/Dpkg/Control/Info.pm         |    6 +++++-
 scripts/dpkg-source.pl               |    5 +++++
 scripts/t/700_Dpkg_Control.t         |    4 ++++
 scripts/t/700_Dpkg_Control/control-1 |    3 +++
 5 files changed, 19 insertions(+), 1 deletions(-)

commit 8eed1ffef9b85ccf71190cb7f36788f2994222ed
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sat Jun 25 09:53:02 2011 +0200

    Dpkg::ErrorHandling::syntaxerr(): handle supplementary parameters like report()
    
    That is consider that the string is a format string that needs to be
    processed with sprintf().

 scripts/Dpkg/ErrorHandling.pm |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 02e045f9b2f6a75711a7a9f29766a835e971be3a
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sat Jun 25 08:59:24 2011 +0200

    dpkg-source(1): wording improvement
    
    Use "special" instead of "particular" to qualify the "3.0 (custom)"
    format.
    
    Reported-by: Ben Pfaff <blp@nicira.com>

 debian/changelog  |    2 ++
 man/dpkg-source.1 |    2 +-
 2 files changed, 3 insertions(+), 1 deletions(-)

commit 3c3dce24847d0040547aa2a2bd9da5dcca2df0c7
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Fri Jun 17 23:53:32 2011 +0200

    dpkg: ensure that post_postinst_tasks() doesn't introduce bad data
    
    The pending triggers were removed because the postinst has just been
    run, unfortunately in some cases it would restore the status to
    pending-triggers. This is notably the case when a package is
    removed while being in triggers-pending and when the prerm fails.
    
    In fact it was not correct to remove the pending triggers in this
    function because only "postinst configure" should clear the pending
    triggers. Thus move the removal of the pending triggers to
    deferred_configure() in src/configure.c and reset the status
    to its "normal" value when the target status is one of triggers-awaited,
    triggers-pending or installed.
    
    With this change, it's no longer possible to have a status of
    triggers-pending without any pending trigger in trigpend_head.
    
    Note that despite this change, the pending triggers are lost
    during a failed removal because dpkg switches the package to
    halfconfigured before running "prerm remove" and modstatdb_note()
    drops the pending triggers in that situation.

 debian/changelog |    4 ++--
 src/configure.c  |    1 +
 src/help.c       |    7 +++++--
 3 files changed, 8 insertions(+), 4 deletions(-)

commit a36cadba41b19d5908bdfcb658cf01af07c1436a
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Fri Jun 17 23:22:55 2011 +0200

    dpkg: ensure that trig_transitional_activate() doesn't introduce bad data
    
    trig_transitional_activate() is emptying Triggers-Pending without
    ensuring that the status is set back to something which is not
    triggers-pending. In theory it's ok because the trig_parse_ci()
    call is supposed to reactivate all the triggers. But if there's no
    triggers file any more then we're effectively introducing a skew
    which is going to be fatal the next time we try to write down
    the status file.
    
    The disparition of the triggers file can happen with file system problems,
    bad user manipulation or even an old dpkg bug that kept triggers alive
    when in fact the trigger was dropped from the package. Or the triggers
    file has effectively been removed in the package but the user has restored
    an old status file with a triggers-pending status that the current package
    should no longer be able to generate.
    
    In other words, properly resetting the status in
    trig_transitional_activate() makes dpkg more robust.

 debian/changelog |    2 ++
 src/trigproc.c   |    7 +++++++
 2 files changed, 9 insertions(+), 0 deletions(-)

commit 1165f6821681075eeed66ca9cf1e889a057f636c
Author: Ludovic Brenta <ludovic@ludovic-brenta.org>
Date:   Wed Jun 15 06:48:10 2011 +0200

    dpkg-gencontrol: Run du with --apparent-size for the Installed-Size field
    
    This will give consistent results independent of build system.
    
    Even though this will keep not providing accurate enough information
    for the field's purpose and as such some times the size reported will
    be less than the space eventually used, having the value changing
    depending on the build system is just bogus.
    
    Closes: #630533
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 debian/changelog           |    3 +++
 scripts/dpkg-gencontrol.pl |    3 ++-
 2 files changed, 5 insertions(+), 1 deletions(-)

commit f7205f491c1f68a36f63d650eb780436f1fc7fe7
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Sun Jun 12 14:25:50 2011 +0200

    Update German translation of manual pages
    
    Update to 2029t1f0u.

 man/po/de.po |  319 +++++++++++++++++++++++++++++-----------------------------
 1 files changed, 160 insertions(+), 159 deletions(-)

commit 8a92e91b6be8c5ef0d3aee8e340d18b82b8a40c5
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Sun Jun 12 14:05:03 2011 +0200

    Update German scripts translation
    
    Update to 516t

 scripts/po/de.po |  320 +++++++++++++++++++++++++++---------------------------
 1 files changed, 159 insertions(+), 161 deletions(-)

commit 9c590651dc6a4d641f4abdb1200da71c21f5bd72
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sun Jun 12 11:41:23 2011 +0200

    dpkg-source: unapplied patches do not warrant a warning
    
    There are perfectly legitimate cases where the patches are not applied
    and there's no need to output a long warning about this. A brief message
    is more than enough.

 scripts/Dpkg/Source/Package/V2.pm       |    2 +-
 scripts/Dpkg/Source/Package/V3/quilt.pm |    3 +--
 2 files changed, 2 insertions(+), 3 deletions(-)

commit e60718be567458e84f6d3f650a4f2b13dd21f1d6
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sun Jun 12 11:27:28 2011 +0200

    dpkg-source: --after-build unapplies patches applied during --before-build
    
    Implement this logic for the "2.0" and "3.0 (quilt)" source formats.

 debian/changelog                        |    2 ++
 man/dpkg-source.1                       |   31 ++++++++++++-------------------
 scripts/Dpkg/Source/Package/V2.pm       |   13 ++++++++++++-
 scripts/Dpkg/Source/Package/V3/quilt.pm |   18 ++++++++++++++++++
 4 files changed, 44 insertions(+), 20 deletions(-)

commit e215edebf89cb342718b0d9a1fada68e414e1798
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sun Jun 12 09:57:18 2011 +0200

    Fix typo in French translation of dpkg-source(1).

 man/po/fr.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 46d6192d4070b0324b837105e9959a501e65433d
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sat Jun 11 22:49:53 2011 +0200

    dpkg-source: support debian/source/local-patch-header
    
    Useful to use in combination with a --single-debian-patch option
    in debian/source/local-options.
    
    The commit also changes the place where the local-options file is ignored.
    Instead of using the default diff_ignore regexp, it's hardcoded in the
    initialization function in case the default regexp is not used.
    
    Suggested-by: Russ Allbery <rra@debian.org>

 debian/changelog                        |    3 +++
 man/dpkg-source.1                       |   11 +++++++----
 scripts/Dpkg/Source/Package.pm          |    6 +++---
 scripts/Dpkg/Source/Package/V1.pm       |    7 ++++---
 scripts/Dpkg/Source/Package/V2.pm       |    5 ++++-
 scripts/Dpkg/Source/Package/V3/quilt.pm |    5 ++++-
 6 files changed, 25 insertions(+), 12 deletions(-)

commit 4e246f9e3e3155447f3aaa8bab7d079ee0064c5b
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sat Jun 11 19:05:26 2011 +0200

    Dpkg::BuildFlags: avoid a Perl warning when HOME is not set

 debian/changelog           |    1 +
 scripts/Dpkg/BuildFlags.pm |    7 +++++--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit cbf13f86a99b7ed2d3c89a9c99996dfa2625782e
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sat Jun 11 12:02:33 2011 +0200

    Dpkg::Vendor: add the module the supported Perl API
    
    Bump its version to 1.00.
    
    Lintian would like to use it when dpkg-dev is absent to provide some
    vendor specific behaviour.

 debian/changelog       |    2 ++
 scripts/Dpkg/Vendor.pm |    2 +-
 2 files changed, 3 insertions(+), 1 deletions(-)

commit b5c339c155b21cc393cc7ec7e4c5579dc5f03f6f
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Tue Jun 7 11:46:08 2011 +0200

    Update German translation of manual pages
    
    Update to 2028t1f0u.

 man/po/de.po |  350 +++++++++++++++++++++++++++++++--------------------------
 1 files changed, 190 insertions(+), 160 deletions(-)

commit dc927a0183f925646a06b1198f831e270fed75d3
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Mon Jun 6 15:00:35 2011 +0200

    Fix typo in debian/changelog spotted by lintian

 debian/changelog |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 14d48ef9abc2ce2d394e9ae4d69d4ba68b551620
Author: Bill Allombert <Bill.Allombert@math.u-bordeaux.fr>
Date:   Sun Sep 6 13:18:50 2009 +0200

    dpkg-buildpackage: support for Build-Features: build-arch
    
    With this flag set in debian/control, dpkg-buildpackage will use
    "debian/rules build-arch" or "debian/rules build-indep" when
    appropriate.
    
    Improved-by: Raphaël Hertzog <hertzog@debian.org>
    Signed-off-by: Raphaël Hertzog <hertzog@debian.org>

 debian/changelog               |    6 +++
 man/deb-src-control.5          |    7 +++
 man/dpkg-buildpackage.1        |   13 ++++--
 scripts/Dpkg/BuildFeatures.pm  |   84 ++++++++++++++++++++++++++++++++++++++++
 scripts/Dpkg/Control/Fields.pm |    3 +
 scripts/Makefile.am            |    1 +
 scripts/dpkg-buildpackage.pl   |   10 ++++-
 scripts/po/POTFILES.in         |    1 +
 8 files changed, 119 insertions(+), 6 deletions(-)

commit b3d0bb4a4cb8a994d3841912dccd116224498f32
Author: Niels Thykier <niels@thykier.net>
Date:   Sun Jun 5 00:31:49 2011 +0200

    dpkg-vendor: fail on missing parameters for required arguments
    
    Signed-off-by: Raphaël Hertzog <hertzog@debian.org>

 debian/changelog       |    2 ++
 scripts/dpkg-vendor.pl |    2 ++
 2 files changed, 4 insertions(+), 0 deletions(-)

commit 53af7e486a194fb005beb24873e5fb276e84b42c
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sun May 29 09:43:22 2011 +0200

    Dpkg::Source::Package: add extraction functions to the supported API
    
    Add the extraction part of Dpkg::Source::Package to the supported API.
    It's useful to extract source packages without having to depend on
    dpkg-source (and hence dpkg-dev).
    
    Suggested-by: Niels Thykier

 debian/changelog               |    3 +
 scripts/Dpkg/Source/Package.pm |  107 +++++++++++++++++++++++++++++++++++++++-
 2 files changed, 109 insertions(+), 1 deletions(-)

commit 3aad657574c14c0ec13338d13cb4d6eea94b3926
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Sat May 28 15:22:23 2011 +0200

    Update German scripts translation
    
    Update to 516t

 scripts/po/de.po |   98 ++++++++++++++++++++++++++++--------------------------
 1 files changed, 51 insertions(+), 47 deletions(-)

commit 8bbd76cc98360c20ff8ca660ab1d53234608ff92
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sat May 28 15:12:58 2011 +0200

    dpkg-source: reenable the Package-List field
    
    But drop the Architecture column since we have no clear use case yet. It
    can always be added later on. Parsers should treat the field as an
    extendable one. They shall ignore supplementary columns that they do
    not know.
    
    Also drop the source line, it's not needed since the dsc file describes
    the source package already (source section and priority are not currently
    exported in dedicated fields but they can be added later if we start
    having a need for this information).

 debian/changelog       |    4 ++++
 scripts/dpkg-source.pl |   10 ++--------
 2 files changed, 6 insertions(+), 8 deletions(-)

commit 587a1e17ff424ee87d5011795c518da238189e9f
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sat May 28 14:56:49 2011 +0200

    dpkg-gensymbols: warn when the generated symbols files is empty
    
    It indirectly avoids a perl warning in dpkg-gensymbols when no symbols
    file has been generated (because it would have been empty).
    
    Reported-by: Niels Thykier <niels@thykier.net>

 debian/changelog           |    2 ++
 scripts/dpkg-gensymbols.pl |    4 +++-
 2 files changed, 5 insertions(+), 1 deletions(-)

commit 0d55f02275c0439622bb58f3b3c6658aef51fb11
Author: Guillem Jover <guillem@debian.org>
Date:   Wed May 25 08:51:50 2011 +0200

    libdpkg: Fix fd_fd_filter to execute the filter on the child
    
    There was a logic error in the pid check, and the filter code was being
    executed in the parent instead of the child.
    
    Regression introduced in commit 269bbee973c46e1be0aaef82cb7e19bbc9a95aa7.
    
    Reported-by: Sven Joachim <svenjoac@gmx.de>

 lib/dpkg/compress.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2ed0a42cb3863e2ce0199e13242fa3b769ca773d
Author: Guillem Jover <guillem@debian.org>
Date:   Tue May 24 06:19:28 2011 +0200

    libdpkg: Do not warn on missing Architecture in config-files state
    
    dpkg before commit 2ef42b027e4267432a41343e28f102b1dae668d2 (versions
    older than 1.10.19) did not keep the Architecture field in the status
    file, and as such removed (but not purged) packages might still be
    around in live systems lacking the Architecture field. Let's shut up
    the warning for now.
    
    Closes: #604241
    
    Analysis-by: Raphael Hertzog <hertzog@debian.org>
    Signed-off-by: Guillem Jover <guillem@debian.org>

 debian/changelog |    2 ++
 lib/dpkg/parse.c |    8 ++++++++
 2 files changed, 10 insertions(+), 0 deletions(-)

commit e4cb12a710457b103a7544c4de5e9fc1b2bd24d8
Author: Guillem Jover <guillem@debian.org>
Date:   Sat May 21 10:38:32 2011 +0200

    libdpkg: Do not allow blank lines in field values
    
    Blank lines in this case mean, lines containing only spaces and tabs.
    This ensure the Perl and C parsers match, and it follows RFC-2822 style
    format, and Debian policy.
    
    Closes: #308082

 debian/changelog |    1 +
 lib/dpkg/parse.c |   18 ++++++++++++++++--
 2 files changed, 17 insertions(+), 2 deletions(-)

commit 588077fdbc350d0733ce5cb8a298d317cfda1926
Author: Guillem Jover <guillem@debian.org>
Date:   Sat May 21 06:59:44 2011 +0200

    Dpkg::Source::Package: Add ‘.hgsigs’ to the default ignore lists
    
    Closes: #627462
    
    Based-on-patch-by: Jakub Wilk <jwilk@debian.org>

 debian/changelog               |    2 ++
 scripts/Dpkg/Source/Package.pm |    3 ++-
 2 files changed, 4 insertions(+), 1 deletions(-)

commit b8038ef4721d53bb037583b9355a1f00dbcdc740
Author: Guillem Jover <guillem@debian.org>
Date:   Sun May 22 16:11:40 2011 +0200

    libdpkg: Properly reset filetriggers_edited in trig_file_interests_save
    
    The function was not resetting filetriggers_edited when no triggers were
    left, and duplicated part of the existing functionality.
    
    Refactor into trig_file_interests_remove() and
    trig_file_interests_update() to make them use the same main code path.
    
    Regression introduced in commit 83b591340ec92cf0e9814e8403da7711cbbc6b46.

 lib/dpkg/triglib.c |   34 +++++++++++++++++++++-------------
 1 files changed, 21 insertions(+), 13 deletions(-)

commit 104882f7fef02d53e1b868e746b8e9ff313eb1f5
Author: Guillem Jover <guillem@debian.org>
Date:   Tue May 24 06:55:34 2011 +0200

    libdpkg: Do not fail on current file removal in trk_explicit_interest_change
    
    In case the new trigger interest file is empty and as such not needed
    any longer, do not fail if the current file is not present.
    
    Regression introduced in commit 83b591340ec92cf0e9814e8403da7711cbbc6b46.

 lib/dpkg/triglib.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5c32f0c0e4c537fc00bf3ccace8799fe27a522aa
Author: Guillem Jover <guillem@debian.org>
Date:   Sun May 22 16:07:49 2011 +0200

    libdpkg: Properly pop the cleanup handler in trk_explicit_interest_change
    
    In case of error all cleanup handlers will get called but the nf FILE
    variable might have been already closed, which would cause the
    subsequent fclose() to fail, this will not be fatal as the return
    value for fclose() in the cleanup handler is not checked, but it's
    still not correct.
    
    Refactor trk_explicit_interest_change() into
    trk_explicit_interest_remove(), trk_explicit_interest_flush() and
    trk_explicit_interest_commit() to reflow the function and make it
    clearer by sharing the main code path.
    
    Regression introduced in commit 83b591340ec92cf0e9814e8403da7711cbbc6b46.

 lib/dpkg/triglib.c |   59 ++++++++++++++++++++++++++++++++-------------------
 1 files changed, 37 insertions(+), 22 deletions(-)

commit 83b591340ec92cf0e9814e8403da7711cbbc6b46
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Wed May 18 10:10:04 2011 +0200

    dpkg: properly remove triggers information during package removal
    
    Before this change, a package removal would not remove the triggers
    information from the internal files. When you reinstalled the same
    package without any trigger, dpkg would improperly believe that
    the package implemented some triggers.
    
    However the triggers were correctly unregistered during a package
    upgrade that dropped the triggers.
    
    With this commit, we also remove triggers interest file that are empty and
    thus no longer needed.

 debian/changelog   |    2 ++
 lib/dpkg/triglib.c |   25 ++++++++++++++++++++++++-
 src/remove.c       |    4 ++++
 3 files changed, 30 insertions(+), 1 deletions(-)

commit 799d38599c1326c2e4c0b9360b19721c05f8c55f
Author: Guillem Jover <guillem@debian.org>
Date:   Fri May 6 06:08:30 2011 +0200

    dpkg: Keep parent directories of directories kept during removal
    
    When a directory is kept during removal to be later dealt with during
    purge, due to the directory containing conffiles from the same package,
    it not being empty, etc, we should keep all its parent to make sure
    when the subsequent trial is performed they are properly cleaned up.
    
    Closes: #454694
    
    Based-on-patch-by: Ondřej Surý <ondrej@debian.org>

 debian/changelog |    3 +++
 src/help.c       |   31 +++++++++++++++++++++++++++++++
 src/main.h       |    2 ++
 src/remove.c     |    8 ++++++++
 4 files changed, 44 insertions(+), 0 deletions(-)

commit e67e071e5836c7bd79bb5a1561ecda760f09a01f
Author: Guillem Jover <guillem@debian.org>
Date:   Sun May 15 17:38:18 2011 +0200

    dpkg: On purge remove the conffiles from the file list file
    
    This makes sure the files list is correct after the conffiles have been
    removed from disk and the status db has been updated.

 src/remove.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit ad07629757599f8f27ec63864b0c34fd7515882c
Author: Guillem Jover <guillem@debian.org>
Date:   Sun May 15 17:33:14 2011 +0200

    dpkg: Do not preserve and check for conffiles on leftover dir removal
    
    The function removal_bulk_remove_leftover_dirs() was supposed to be
    called only w/ left over dirs, but removal_bulk_remove_configfiles()
    does not remove them from the file list when unlinking.
    
    Do not check if the directory needs to be preserved if the package has
    conffiles inside, because it should have none, although it would match
    given that the file list still contains conffiles.
    
    Do not preserve any lingering conffiles in the file list as they are
    no longer on disk anyway.

 src/remove.c |    9 ++++-----
 1 files changed, 4 insertions(+), 5 deletions(-)

commit 0582645c283f39a602201dc0cf0fc8a6e986fe76
Author: Guillem Jover <guillem@debian.org>
Date:   Sun May 15 17:07:53 2011 +0200

    dpkg: Change write_filelist_except() to take a mask intead of a bool
    
    This generalizes the function to exclude any desired file namenode
    flag and not just fnnf_elide_other_lists. It also gets rid of the
    bool variable which is generally a bad interface to change function
    behaviour when it should really be a named flag or a mask.

 src/filesdb.c    |    8 ++++----
 src/filesdb.h    |    2 +-
 src/processarc.c |    3 ++-
 3 files changed, 7 insertions(+), 6 deletions(-)

commit f65316a5ec488a52cb7d5fa98824c21629de26b6
Author: Guillem Jover <guillem@debian.org>
Date:   Sun May 15 03:39:35 2011 +0200

    libdpkg: Use new writedb flags instead of independent bool variables
    
    Using bool to pass flags to a function already taking several arguments
    is generally a bad interface, as it's not clear from the call sites what
    each of them refer to. Switch to a proper enum with named flags instead.

 lib/dpkg/dbmodify.c |    6 +++---
 lib/dpkg/dpkg-db.h  |    9 ++++++++-
 lib/dpkg/dump.c     |   10 +++++-----
 src/update.c        |    2 +-
 4 files changed, 17 insertions(+), 10 deletions(-)

commit d6f176b4b8ad5fdf77f05704ee4c1abb3fa23ab4
Author: Guillem Jover <guillem@debian.org>
Date:   Sun May 15 03:33:53 2011 +0200

    dpkg: Make fd variable passed to cu_closefd static
    
    The push_cleanup() call takes a pointer to the fd variable which resides
    in the stack. In case of error and stack unwinding due to longjmp, the
    value of fd might get overwritten by subsequent stack usage. Thus this
    kind of variables need to be static so that their value cannot change
    on stack rollback.

 src/filesdb.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7337447704d69a553cf44f462ad7c22e4026646c
Author: Guillem Jover <guillem@debian.org>
Date:   Sun May 15 03:32:32 2011 +0200

    libdpkg: Rename cu_closefile to cu_closestream
    
    This should make it clear we are referring to a stdio stream, and not
    the future planned ‘struct file’.

 lib/dpkg/cleanup.c |    2 +-
 lib/dpkg/dpkg.h    |    2 +-
 lib/dpkg/triglib.c |    8 ++++----
 src/filesdb.c      |    2 +-
 src/processarc.c   |    2 +-
 5 files changed, 8 insertions(+), 8 deletions(-)

commit 216b7a30bab31817dca09ba2c7c629883cee1efa
Author: Guillem Jover <guillem@debian.org>
Date:   Thu May 12 02:57:30 2011 +0200

    dpkg: On purge correctly remove a symlink pointing to a directory
    
    The code was treating symlinks to directories as directories, but then
    it was trying to rmdir(2) them, which failed. In such case just verify
    it's a symlink and unlink(2) them instead.

 debian/changelog |    2 ++
 src/remove.c     |    9 +++++++++
 2 files changed, 11 insertions(+), 0 deletions(-)

commit ea81b2b144f70de7a0652b654de4d2fe765ff327
Author: Guillem Jover <guillem@debian.org>
Date:   Thu May 12 02:52:17 2011 +0200

    dpkg: Add debug output on match in dir_is_used_by_others()
    
    The debug output was not balanced, and was only printing when no match
    happened, making the output confusing.

 src/help.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 8074459cfa13502a424545542dc85808e7ec1dc0
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Sun May 15 10:57:19 2011 +0200

    Fix copyright year in header

 scripts/po/de.po |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 47126733bb08ea5e9cbdf88e865a0cf759d7449b
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sun May 15 09:49:09 2011 +0200

    dpkg-source: ensure "any" doesn't hide "all" in the Architecture field
    
    "any" doesn't imply "all" so we should keep both values in the field. This
    is important so that wanna-build can know what needs to be scheduled for
    the buildd that deals with Architecture: all packages.

 debian/changelog       |    1 +
 scripts/dpkg-source.pl |    9 +++++++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit fddb1643bc221f20f6e607776c1b8234dbebe328
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sat May 14 23:02:22 2011 +0200

    libdpkg: keep Config-Version in triggers-awaited state
    
    A package is really fully configured and can thus satisfy dependencies
    only when no triggers are awaited. Thus we should not drop Config-Version
    while a package is still in triggers-awaited.

 lib/dpkg/dump.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit a946894f7a0b6ce9d779b99257246c7003718269
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sat May 14 10:38:59 2011 +0200

    dpkg: improve pre-dependency check on unpack
    
    When a pre-dependency is not satisfied due to a package in
    triggers-awaited state, immediately run the trigger processing
    and continue without errors.
    
    This make it possible to blindly use --no-triggers and not break
    when you're not fully configuring a pre-dependency.
    
    See test case t-predepends-no-triggers.

 debian/changelog |    2 ++
 src/processarc.c |   20 +++++++++++++-------
 2 files changed, 15 insertions(+), 7 deletions(-)

commit 2b8cfa50709558709d5e24d7a3fa27b925bce74d
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sat May 14 10:26:23 2011 +0200

    dpkg: depisok() can now suggest to process awaited triggers for a package
    
    Package in triggers-awaited state do not satisfy dependencies but they
    could easily if their awaited triggers were processed. So we enhance the
    function to return such a hint when possible.
    
    All the callers pass NULL to the new parameter so that this commit
    should not change the current behaviour.

 src/archives.c   |    8 ++++----
 src/depcon.c     |   18 ++++++++++++++++--
 src/enquiry.c    |    4 ++--
 src/main.h       |    3 ++-
 src/processarc.c |    6 +++---
 5 files changed, 27 insertions(+), 12 deletions(-)

commit f95177fdacdd58e1c25fa722213477bd7f57df26
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sat May 14 22:10:42 2011 +0200

    dpkg: use the correct version in "pkg-foo is unpacked, but is version <v>"
    
    The error message used while analyzing pre-dependencies did improperly
    use the available version instead of the installed version.

 src/depcon.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5f48b4cfe18848fb11ef96a34ef5826a1f3757b2
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sat May 14 21:35:03 2011 +0200

    dpkg: small bugfix in the dependency checking code for virtual packages
    
    A dependency on a virtual package provided by a package in
    triggers-pending status is now correctly considered as satisfied.

 debian/changelog |    2 ++
 src/depcon.c     |    3 ++-
 2 files changed, 4 insertions(+), 1 deletions(-)

commit 0e0f59a882ce329de880d4a75f30787e261e2cb3
Author: Jonathan Nieder <jrnieder@gmail.com>
Date:   Sat May 7 11:33:42 2011 +0200

    libdpkg: Use new DPKG_BUFFER_SIZE macro instead of hard-coded literal
    
    Signed-off-by: Jonathan Nieder <jrnieder@gmail.com>
    Signed-off-by: Guillem Jover <guillem@debian.org>

 lib/dpkg/buffer.h   |    2 ++
 lib/dpkg/compress.c |    8 ++++----
 2 files changed, 6 insertions(+), 4 deletions(-)

commit e8c1a5863572eac719e36b2e409002871e6eee4a
Author: Guillem Jover <guillem@debian.org>
Date:   Sun May 1 08:06:53 2011 +0200

    libdpkg: Add new buffer_skip_Int() and switch fd_null_copy() to it
    
    Add a new buffer_skip() function and the externally visible
    buffer_skip_Int(), this way we hide the implementation details
    of fd_null_copy().

 lib/dpkg/buffer.c |   43 +++++++++++++++++++++++++++++++++++++++++++
 lib/dpkg/buffer.h |   12 +++---------
 2 files changed, 46 insertions(+), 9 deletions(-)

commit 751c399e50a087fb5c6367cbfd5a551e3ac676c9
Author: Guillem Jover <guillem@debian.org>
Date:   Mon May 9 19:59:21 2011 +0200

    libdpkg: Remove unneeded checks on buffer_copy loop termination
    
    The while loop checks unnecessarily for bytesread and byteswritten
    being >= 0, but that's always going to be true, as in case of read or
    write error the code breaks out of the loop.

 lib/dpkg/buffer.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fbc930968e396694b293ee35177c9305f407cf30
Author: Guillem Jover <guillem@debian.org>
Date:   Mon May 2 21:53:35 2011 +0200

    libdpkg: Rename struct buffer_write_md5ctx to buffer_md5_ctx

 lib/dpkg/buffer.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit 7e7236f7e19f1b4e238359d887756e7044328891
Author: Guillem Jover <guillem@debian.org>
Date:   Tue May 3 10:28:26 2011 +0200

    libdpkg: Expand buffer_copy_TYPE macro instances
    
    This makes the code easier to debug, as it will be able to track
    correct code lines, it also allows to more easily see the code
    duplication explicitly, and makes the code slightly more clear as
    it's using the real structure member and type names.

 lib/dpkg/buffer.c |   64 ++++++++++++++++++++++++++++++++++-------------------
 1 files changed, 41 insertions(+), 23 deletions(-)

commit 269bbee973c46e1be0aaef82cb7e19bbc9a95aa7
Author: Guillem Jover <guillem@debian.org>
Date:   Sat May 7 11:27:06 2011 +0200

    libdpkg: Switch the compression filter functions to always return
    
    This makes the compression and decompression functions be closer to the
    buffer api, which always return. For non-blocking I/O, the caller has to
    setup a child process.
    
    When using external binaries, we make the filter functions setup that
    child process transparently so that the API is uniform.

 dpkg-deb/build.c    |    2 +
 dpkg-deb/extract.c  |    1 +
 lib/dpkg/compress.c |   78 +++++++++++++++++++++++----------------------------
 lib/dpkg/compress.h |   10 ++----
 4 files changed, 42 insertions(+), 49 deletions(-)

commit ec5615cdd134654d0e7049cdd5925aa9a83034ba
Author: Guillem Jover <guillem@debian.org>
Date:   Sat May 7 11:16:08 2011 +0200

    dpkg-deb: Pass the real file descriptors to compression functions
    
    Instead of duping them to the stdin and stdout file descriptors, pass
    them directly. If the compression functions need the file descriptors
    on stdin and stdout, then they will take care of setting them up. This
    is only the case when using the external compression binaries.

 dpkg-deb/build.c   |   22 ++++++++++++----------
 dpkg-deb/extract.c |   15 ++++++++++-----
 2 files changed, 22 insertions(+), 15 deletions(-)

commit 2f003686fdd46eb524a08715c8a8988c6d13cea3
Author: Guillem Jover <guillem@debian.org>
Date:   Sat May 7 12:27:27 2011 +0200

    Group Build-Depends lines by purpose
    
    Build tools, i18n tools, compression, security and UI libraries, and
    perl packages for the test suite.

 debian/control |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 23f38bc5e67816576971e21aac0b1f8d21342ea2
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Fri May 6 20:25:45 2011 +0200

    Update German translation of manual pages
    
    Update to 2027t.

 man/po/de.po |   26 +++++++++++++-------------
 1 files changed, 13 insertions(+), 13 deletions(-)

commit 7665f7d8aedc99c740c530162a914f9e0ae5d3fa
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Fri May 6 09:11:33 2011 +0200

    dpkg-source: fix behaviour of --extend-diff-ignore if used after --diff-ignore
    
    Up to now --extend-diff-ignore was only extending the default diff-ignore.
    This is usually enough as this option is usually put in
    debian/source/options and interpreted early enough before any other -i
    option (that activates the usage of the default diff-ignore regexp).
    
    Should --extend-diff-ignore appear after -i, it should still extend
    the regexp that we're going to use.

 debian/changelog       |    2 ++
 man/dpkg-source.1      |   10 +++++-----
 scripts/dpkg-source.pl |    3 +++
 3 files changed, 10 insertions(+), 5 deletions(-)

commit ff6e32d3588cf11258a7d0a2311461971abe51f3
Author: Guillem Jover <guillem@debian.org>
Date:   Fri May 6 05:06:54 2011 +0200

    dpkg: Rename isdirectoryinuse() to dir_is_used_by_others()
    
    This clarifies the action performed by the function, which could be
    easily confused as being used by the given package, instead of by other
    packages.

 src/help.c       |    8 ++++----
 src/main.h       |    2 +-
 src/processarc.c |    3 ++-
 src/remove.c     |    6 ++++--
 4 files changed, 11 insertions(+), 8 deletions(-)

commit fda21f829bebed12e1a4ec0dccac7434a643c6b5
Author: Guillem Jover <guillem@debian.org>
Date:   Fri May 6 05:05:51 2011 +0200

    dpkg: Rename hasdirectoryconffiles() to dir_has_conffiles()

 src/help.c   |    6 +++---
 src/main.h   |    2 +-
 src/remove.c |    4 ++--
 3 files changed, 6 insertions(+), 6 deletions(-)

commit 2c9a342dc4e1ad3e9e58ac89957b9068664d1930
Author: Guillem Jover <guillem@debian.org>
Date:   Thu May 5 14:49:49 2011 +0200

    dpkg: Fix wrong matching for check on directory containing conffiles
    
    On package removal, keep only directories actually containing conffiles,
    and not directories just matching the substring in the conffile or the
    directory itself. The directory itself is not matched either as strictly
    speaking it is not contained in itself, and it should already be in the
    leftover lists.
    
    Previously when checking for directory ‘/foo’ the following conffiles
    would match:
    
      /foo
      /foobar
      /foo/bar
    
    Now only the following will match:
    
      /foo/bar
    
    Spotted-by: Ondřej Surý <ondrej@debian.org>

 debian/changelog |    3 +++
 src/help.c       |    3 ++-
 2 files changed, 5 insertions(+), 1 deletions(-)

commit cbde7fa861fa6851cdbc56ae70b73332ab9db935
Merge: 140527f bd1d6cd
Author: Guillem Jover <guillem@debian.org>
Date:   Wed May 4 11:00:11 2011 +0200

    Merge branch 'sid' (through tag '1.16.0.3')
    
    Conflicts:
    	debian/changelog

commit bd1d6cd247f8e5eb7f2465c0d686cba363c64a57
Author: Guillem Jover <guillem@debian.org>
Date:   Wed May 4 10:01:44 2011 +0200

    Release 1.16.0.3

 debian/changelog |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit d84b36a81088721b340e52664aa2c3379fea2a9a
Author: Guillem Jover <guillem@debian.org>
Date:   Wed May 4 09:41:37 2011 +0200

    libdpkg: Allow again unknown Priority field values
    
    The code was not properly advancing the end of the value string when
    reaching the fallback case (on values not known for the Priority field),
    and the validation for junk after the first word was failing on the
    actual first word.
    
    This change reverts to the previous behaviour of blindly accepting the
    whole value string for a field, regardless of it being multiword, when
    it's the fallback case.
    
    Regression introduced in commit b3f669039f128d715ac7ac71abaeac86f0954112.
    
    Analysis-by: Raphaël Hertzog <hertzog@debian.org>
    Analysis-by: Guillem Jover <guillem@debian.org>

 debian/changelog  |    7 +++++++
 lib/dpkg/fields.c |   13 +++++++++----
 2 files changed, 16 insertions(+), 4 deletions(-)

commit 140527fc6129f0e4f2a7c64f28d8d19fe5e60b3f
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Mon May 2 12:14:22 2011 +0200

    German dpkg translation update
    
    Update to 1016t.
    Change translation of downgrade messages (Closes: #620312).

 debian/changelog |    3 +
 po/de.po         |  830 +++++++++++++++++++++++++++---------------------------
 2 files changed, 420 insertions(+), 413 deletions(-)

commit 9b2cc7aa3187091bf2cbbb734fb77a7c52bec969
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Apr 30 21:03:16 2011 +0200

    dselect: Mark ‘y’ variables as unused for getyx() and getmaxyx()
    
    The ncurses library does not provide a way to only retrieve the ‘x’
    variable, so we have to pass a dummy ‘y’ which we are not going to
    use, for which the compiler emits a warning.

 dselect/basecmds.cc   |    4 +++-
 dselect/baselist.cc   |    3 ++-
 dselect/main.cc       |    4 ++--
 dselect/pkgdisplay.cc |    2 +-
 4 files changed, 8 insertions(+), 5 deletions(-)

commit 2ecaea9677e9d4307aabfbecc00a77e99a05457b
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Apr 30 21:01:27 2011 +0200

    s-s-d: Return status_unknown on error reading from the pid file
    
    Otherwise the variable was uninitialized.

 utils/start-stop-daemon.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit cfe2f1ee1fcbb16d461dbd027cc6e9a9fab628be
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Sat Apr 30 13:56:29 2011 +0200

    Update German translation of manual pages
    
    Update to 2027t.

 man/po/de.po |  167 ++++++++++++++++++++++++++++++----------------------------
 1 files changed, 87 insertions(+), 80 deletions(-)

commit ab776cbd87880f3712a8f44aa1f2bb630960d0b5
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Fri Apr 29 22:15:17 2011 +0200

    deb-src-control(5), start-stop-daemon(8): small improvements
    
    - Clarify that the Architecture field can contain architecture wildcards.
    - Clarify when start-stop-daemon can exit 0 when --oknodo is used.
    - Drop a sentence that was repeating something already said earlier.
    
    Reported-by: Helge Kreutzmann <debian@helgefjell.de>

 man/deb-src-control.5   |   11 +++++++----
 man/start-stop-daemon.8 |    7 ++++---
 2 files changed, 11 insertions(+), 7 deletions(-)

commit c102e7ff81bba84f7e18efae06262dee08d44de0
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Fri Apr 29 19:35:54 2011 +0200

    Update German translation of manual pages
    
    Update to 2026t0f1u.

 man/po/de.po | 1101 ++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 602 insertions(+), 499 deletions(-)

commit fa406fa856d9ec898d171e51a6e6c5e5c9677d00
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 29 09:31:39 2011 +0200

    dpkg: Move <dpkg/tarfn.h> inclusion from cleanup.c to archives.h
    
    The former is not using any declarations from tarfn.h, but the latter
    is.

 src/archives.h |    2 ++
 src/cleanup.c  |    1 -
 2 files changed, 2 insertions(+), 1 deletions(-)

commit 222996f8c64e6263384ae35331ed0d04cce3cbcc
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 29 07:19:29 2011 +0200

    libdpkg: Move informativeversion() to the version module

 lib/dpkg/dpkg-db.h   |    2 --
 lib/dpkg/parsehelp.c |    8 --------
 lib/dpkg/version.c   |    8 ++++++++
 lib/dpkg/version.h   |    3 +++
 4 files changed, 11 insertions(+), 10 deletions(-)

commit d14c72ffee3ffd98b8ecb0b189f197b404b56a9e
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 29 07:20:53 2011 +0200

    libdpkg: Move version module declarations to a new version.h

 lib/dpkg/Makefile.am              |    3 ++-
 lib/dpkg/dpkg-db.h                |    8 +-------
 lib/dpkg/version.c                |    2 +-
 lib/dpkg/{version.c => version.h} |   30 ++++++++++++++++++------------
 4 files changed, 22 insertions(+), 21 deletions(-)

commit 6de064f083117ed6944d629baf7b543818edcf30
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Apr 28 09:44:20 2011 +0200

    s-s-d: Add process name kernel limits for several systems
    
    Specifically: Solaris, NetBSD, OpenBSD, FreeBSD and Darwin.

 debian/changelog          |    2 ++
 utils/start-stop-daemon.c |   10 ++++++++++
 2 files changed, 12 insertions(+), 0 deletions(-)

commit 5bced9fc3bc757ba5e4642d11422596667625dce
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Apr 28 09:11:28 2011 +0200

    s-s-d: Add LSB --status command to check for process status
    
    The new command follows the LSB Init Script status action specification,
    and returns exit codes accordingly.

 debian/changelog          |    2 +
 man/start-stop-daemon.8   |   19 +++++++++
 utils/start-stop-daemon.c |   98 +++++++++++++++++++++++++++++++++-----------
 3 files changed, 94 insertions(+), 25 deletions(-)

commit ad188eee157ac71a7e2a9be31eb6c61af7adae94
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Apr 28 08:23:12 2011 +0200

    man: Clarify “EXIT STATUS” sections by using bold and a table
    
    Change the status codes to bold and list them with a table to makes
    it easier to visually distinguish them.

 debian/changelog          |    1 +
 man/dpkg-query.1          |    8 +++++---
 man/dpkg-split.1          |   17 ++++++++++-------
 man/start-stop-daemon.8   |   22 ++++++++++++++++------
 man/update-alternatives.8 |    8 +++++---
 5 files changed, 37 insertions(+), 19 deletions(-)

commit a41fb4e3364eae47d3379a69e3e041843f064f78
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Apr 28 07:25:59 2011 +0200

    Clarify exit status in dpkg-split and start-stop-daemon --help output

 debian/changelog          |    1 +
 dpkg-split/main.c         |   11 ++++++++---
 utils/start-stop-daemon.c |    7 +++++--
 3 files changed, 14 insertions(+), 5 deletions(-)

commit ac41b5fef42683b4640b0bb746889100fb8a9a20
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Apr 28 04:22:28 2011 +0200

    s-s-d: Use a single action variable to track the command line actions
    
    This makes it easier to add new commands w/o having to check for the
    setting of any of the other action variables against each other.

 utils/start-stop-daemon.c |   36 ++++++++++++++++++++++++++----------
 1 files changed, 26 insertions(+), 10 deletions(-)

commit 8b9315219d7a4dbb8520427ceccd00cdfac55a77
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Apr 28 03:38:10 2011 +0200

    dpkg: Use “unselected” as an adjective instead of “deselected”
    
    When being used as an adjective “unselected” is the correct word to use.
    
    Closes: #231089

 debian/changelog |    2 ++
 lib/dpkg/parse.c |    2 +-
 src/archives.c   |    4 ++--
 3 files changed, 5 insertions(+), 3 deletions(-)

commit bb19d944502d30b966dc5ec1664a19a0872800f2
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Apr 28 03:22:38 2011 +0200

    Fix typos in Vietnamese translation (deselect → dselect)

 po/vi.po |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 65eceb8eabc3e1547148af1072d695044ece97aa
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Apr 27 08:10:23 2011 +0200

    dpkg(1): Clarify the current dpkg behaviour when running the back-ends
    
    When running the dpkg-deb and dpkg-query back-ends, dpkg does not pass
    through back-end specific options.
    
    Closes: #610940

 debian/changelog |    3 +++
 man/dpkg.1       |   23 +++++++----------------
 2 files changed, 10 insertions(+), 16 deletions(-)

commit 487a7a85a44e75d3bcd40e4e736e093eb74e0612
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Apr 27 07:56:11 2011 +0200

    dpkg(1): Remove reference to --nocheck dpkg-deb option
    
    dpkg does not pass this option when running dpkg-deb.

 debian/changelog |    2 ++
 man/dpkg.1       |    4 ----
 2 files changed, 2 insertions(+), 4 deletions(-)

commit 14340213c8df6215708f6b1dd01d7dea4e58fd14
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Apr 27 07:50:59 2011 +0200

    dpkg: Remove --new and --old dpkg-deb option handling
    
    These have been non-functional for a long time, and were being treated
    as dpkg commands which would conflict with the dpkg-deb commands.

 debian/changelog |    2 ++
 man/dpkg.1       |    4 ----
 src/main.c       |    2 --
 3 files changed, 2 insertions(+), 6 deletions(-)

commit 531c81097d7aa5799f0a95d0353b1f1b334a6042
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Apr 18 06:34:06 2011 +0200

    dpkg: Refactor force flags to parsedb flags into parsedb_force_flags()
    
    This will make it easier to convert new flags in the future.

 src/processarc.c |   13 ++++++++++++-
 1 files changed, 12 insertions(+), 1 deletions(-)

commit 1c4771a44299c3fb528f0dae920089f67fd2820d
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Tue Apr 26 19:14:11 2011 +0200

    Update German translation of manual pages
    
    Update to 2020t.

 man/po/de.po |  467 ++++++++++++++++++++++++++++++----------------------------
 1 files changed, 241 insertions(+), 226 deletions(-)

commit dd467371b69ff327592f35c22ce5256f70408689
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Apr 26 06:23:05 2011 +0200

    dpkg-deb(1): --fsys-tarfile will always process the archive sequentially
    
    Closes: #616609

 debian/changelog |    2 ++
 man/dpkg-deb.1   |    3 ++-
 2 files changed, 4 insertions(+), 1 deletions(-)

commit e897fdba4ebb67902ad28c63bafaea8dfeb385ab
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Apr 26 06:00:32 2011 +0200

    dpkg: Do not fail when unpacking a diverted hardlink
    
    Closes: #245322
    
    Based-on-patch-by: Christopher Baines <cbaines8@gmail.com>

 debian/changelog |    2 ++
 src/archives.c   |    2 +-
 2 files changed, 3 insertions(+), 1 deletions(-)

commit 6d50a5ac6ae54f4374070e5849070530a6d57a49
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Apr 18 06:34:06 2011 +0200

    Add --force-bad-version to allow installing packages with bogus versions
    
    This allows to install old packages with such versions, to ease
    debugging, testing, etc.

 debian/changelog |    2 ++
 man/dpkg.1       |    3 +++
 src/main.c       |    3 +++
 src/main.h       |    1 +
 src/processarc.c |    4 ++--
 5 files changed, 11 insertions(+), 2 deletions(-)

commit f9fac280b7805165819ece32980841b7f6a39333
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 15 11:06:09 2011 +0200

    libdpkg: Rename and alias pdb_lax_parser to pdb_lax_version_parser
    
    This way we get a more fine-grained and accurate control over what we
    want to relax while parsing.

 lib/dpkg/dpkg-db.h |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 980da6d9b5f7f7057fbcc67d09a128393e1d5d66
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 15 08:09:41 2011 +0200

    Support conffiles with spaces when diffing them
    
    Closes: #147583

 debian/changelog |    1 +
 src/configure.c  |    3 ++-
 2 files changed, 3 insertions(+), 1 deletions(-)

commit 8578e79d0307f7a3408f7e00f4565286babda61a
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 15 08:09:41 2011 +0200

    libdpkg: Add new str_quote_meta() function

 lib/dpkg/string.c        |   30 ++++++++++++++++++++++++++++++
 lib/dpkg/string.h        |    1 +
 lib/dpkg/test/t-string.c |   20 ++++++++++++++++++++
 3 files changed, 51 insertions(+), 0 deletions(-)

commit b15765a5b60fd6cd67f4ffa28034fdae62ae8252
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Apr 18 05:22:59 2011 +0200

    s-s-d: Change do_stop() to always obey global quietmode
    
    The only behaviour change was affecting the new do_stop_summary(), which
    is not always called now after do_stop(), to catter for the forced quiet
    mode when sending signal 0. The other verbose statement which before
    commit 5fef90a2960053e9b24304e2a2663fb1ed7dafb1 was not being printed in
    some cases, actually makes sense to print always.

 utils/start-stop-daemon.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 8dba2f80642e17b78c2c556781f4204d2c435b5f
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Apr 18 05:22:59 2011 +0200

    s-s-d: Refactor do_stop_summary() out from do_stop()

 utils/start-stop-daemon.c |   36 +++++++++++++++++++++++-------------
 1 files changed, 23 insertions(+), 13 deletions(-)

commit e71ae2eac5422eae4e89d1c09e302935ef17c01f
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 15 07:45:05 2011 +0200

    dpkg-split: Generate filenames following current conventions on --join
    
    Keep the architecture in the debian-split member of the part file so
    that we can reuse it when putting back together the joined binary
    package. Use underscores to separate each filename part.

 debian/changelog        |    3 +++
 dpkg-split/dpkg-split.h |    1 +
 dpkg-split/info.c       |    9 +++++++++
 dpkg-split/join.c       |    4 +++-
 dpkg-split/main.c       |    3 ++-
 dpkg-split/queue.c      |    1 +
 dpkg-split/split.c      |    8 +++++---
 man/deb-split.5         |    4 +++-
 man/dpkg-split.1        |   12 ++----------
 9 files changed, 29 insertions(+), 16 deletions(-)

commit 9ccc9615187a8c7c5111c82d6061b29ec3fbae62
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Apr 23 07:38:57 2011 +0200

    u-a: Flush the alternatives database file stream before fsync()ing it
    
    For stream I/O the buffers have to be flushed before they are fsync()ed
    to guarantee the data has been written, and as such fsync() can do its
    job.
    
    Missed in commit 0e0e26cb8e9e3b8e3a60c329d8ea0c6e5445742c.

 utils/update-alternatives.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit bf13ae4c68bb2becc591b23995853358b7e423c4
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Fri Apr 22 19:16:50 2011 +0200

    Update German translation of manual pages
    
    Update to 2019t.

 man/po/de.po |  242 ++++++++++++++++++++++++++++++++++++++--------------------
 1 files changed, 160 insertions(+), 82 deletions(-)

commit 124fefbc8e082aeb94f549273915b5c61b0a729b
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Fri Apr 22 17:01:22 2011 +0200

    dpkg-source: tighten the regexp used to ignore the .pc directory of quilt
    
    The "." was not escaped and the regex incorrectly matched an "ipc"
    directory for example.
    
    Reported-by: Mike Hommey <glandium@debian.org>

 debian/changelog                        |    2 ++
 scripts/Dpkg/Source/Package/V3/quilt.pm |    2 +-
 2 files changed, 3 insertions(+), 1 deletions(-)

commit 0e0e26cb8e9e3b8e3a60c329d8ea0c6e5445742c
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Fri Apr 22 11:56:43 2011 +0200

    update-alternatives: fsync the administrative files before installation
    
    This is for filesystems that do not put an implicit write barrier
    when renaming files. That way we ensure that we'll never
    have empty files.

 debian/changelog            |    3 +++
 utils/update-alternatives.c |    2 ++
 2 files changed, 5 insertions(+), 0 deletions(-)

commit c28eadb19f134cd652d74da6670f3586b3938ccc
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Fri Apr 22 11:50:15 2011 +0200

    update-alternatives: new syserr() function
    
    This function is to be used when a syscall failed and when we want
    to print strerror(errno) after the error message.
    
    Update all the code to use this function. This allows to reduce the
    number of strings to translate as we're now reusing the same strings
    than those passed to oshite() in dpkg.

 utils/update-alternatives.c |   58 ++++++++++++++++++++++++------------------
 1 files changed, 33 insertions(+), 25 deletions(-)

commit 57ca795e68c988843a8421a8e86cc8fc4fbd258b
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 15 08:15:12 2011 +0200

    Bump Standards-Version to 3.9.2 (no changes needed)

 debian/changelog |    1 +
 debian/control   |    2 +-
 2 files changed, 2 insertions(+), 1 deletions(-)

commit a91709c404dee118a7f4fc6295b034ba9621adb0
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 15 08:04:35 2011 +0200

    Use dh_prep instead of deprecated “dh_clean -k”

 debian/changelog |    1 +
 debian/rules     |    2 +-
 2 files changed, 2 insertions(+), 1 deletions(-)

commit 1b7feb3240bc7f1e7f14903153891e289561bce4
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 15 08:01:28 2011 +0200

    Switch to debhelper compatibility level 7

 debian/changelog |    1 +
 debian/compat    |    2 +-
 debian/control   |    2 +-
 3 files changed, 3 insertions(+), 2 deletions(-)

commit 8bc7ba68ff8bd0acd6f6e6f9f7145746671edff6
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 15 05:01:59 2011 +0200

    man: Change debian-split member internal description to a list
    
    This makes it easier to see what each line contains.

 debian/changelog |    2 ++
 man/deb-split.5  |   26 ++++++++++++++++++--------
 2 files changed, 20 insertions(+), 8 deletions(-)

commit d2ee3fdccf4f0d892c3ed77a9cabaadbfa105d81
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Apr 19 08:31:14 2011 +0200

    libdpkg: Move nicknames table from parsehelp.c to parse.c
    
    This table is only ever going to be used at parse time when normalizing
    the input.

 lib/dpkg/parse.c     |   12 +++++++++++-
 lib/dpkg/parsedump.h |    1 -
 lib/dpkg/parsehelp.c |   10 ----------
 3 files changed, 11 insertions(+), 12 deletions(-)

commit cf715ae93a6dcfb31838abc577ce3300c03edaad
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Apr 12 05:30:34 2011 +0200

    u-a: Remove unused new_choice assignment

 utils/update-alternatives.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d48dd2616055af01ef84a0c3f12845d9d45990f6
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Apr 6 03:27:07 2011 +0200

    dpkg: Remove unused force_conff_new() and force_conff_miss() declarations

 src/main.h |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit e654cb5b6d2eb7f80255fc976a6ccbb8d694bd43
Author: Jonathan Nieder <jrnieder@gmail.com>
Date:   Sun Apr 10 04:06:56 2011 -0500

    libdpkg: Use execvp(3) unconditionally in command_exec()
    
    execvp(3) already checks if its file argument contains a '/'; simplify
    by not checking again for the same thing.
    
    The real motivation is to avoid confusing behavior in an edge case:
    when execve(2) fails with ENOEXEC, execvp will run the script using the
    system shell but execv will error out.
    
    Closes: #622094
    
    Signed-off-by: Jonathan Nieder <jrnieder@gmail.com>
    Signed-off-by: Guillem Jover <guillem@debian.org>

 debian/changelog   |    4 ++++
 lib/dpkg/command.c |    5 +----
 2 files changed, 5 insertions(+), 4 deletions(-)

commit 3712f6a4ddc75c69fccd2b3dfb1961ff07771825
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 15 08:02:07 2011 +0200

    Changelog police
    
    Remove spurious spaces.

 debian/changelog |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit ce9d96bcf33500b3f5db51d70772062560fba234
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Thu Apr 21 00:08:00 2011 +0200

    dpkg-query(1): document empty lines as separator for --status and --print-avail too

 debian/changelog |    3 ++-
 man/dpkg-query.1 |   15 ++++++++++-----
 2 files changed, 12 insertions(+), 6 deletions(-)

commit e6b6ff0887e328f379f1ff15484d3bffc9b645b4
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Apr 20 23:41:22 2011 +0200

    man: On dpkg-query -L each list of files per package is separated by blank lines

 debian/changelog |    2 ++
 man/dpkg-query.1 |    5 +++--
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 398a6016718aac2c97b757b2364a9aebca800052
Merge: b00ef3a 0bfd81b
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Wed Apr 20 23:38:31 2011 +0200

    Merge commit '1.16.0.2'

commit 0bfd81b977ed0a3d4fca1c21e9f4e65c92c3fe9e
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Apr 16 00:17:10 2011 +0200

    Release 1.16.0.2

 debian/changelog |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 58c6486cdf485d03f843b27d1f60e37eed6b77e5
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 15 23:33:35 2011 +0200

    libdpkg: Include <locale.h> from <i18n.h> to fix unoptimized builds
    
    The pgettext() macros in gettext.h make use of LC_MESSAGES, which get
    normally pulled from <locale.h> through <libintl.h>, but that only
    happens on optimized builds. As this is an implementation detail,
    pgettext() users (through the local C_() macro) should not need to
    know they have to include <locale.h>. Arguably this is a deficiency
    in gettext.h which we are working around here.
    
    Reported-by: Steve Langasek <steve.langasek@ubuntu.com>

 debian/changelog |    2 ++
 lib/dpkg/i18n.h  |    6 +++++-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit 438e5813caa759a1c6dbfa282e68ab451b425e75
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 15 07:09:14 2011 +0200

    dpkg-split: Correctly set the last part split size
    
    The partsize for each part should be the same, the code was wrongly
    setting the partsize to the real size of the data being written.
    
    Regression introduced in commit 506dd27b56a570e019e90974ea285fe4fd2f8bf8.

 debian/changelog   |    1 +
 dpkg-split/split.c |   10 ++++++----
 2 files changed, 7 insertions(+), 4 deletions(-)

commit 99380668590b3734fc105504ef2569d026c63209
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 15 07:04:44 2011 +0200

    dpkg-split: Fix --auto to not fail when opening the new depot file
    
    The code was wrongly checking for non-zero file descriptors returned
    from creat(2), which was making it always fail.
    
    Regression introduced in commit 102aef24e438b7aba9cf90ab9fc75d3c13c6c7cf.

 debian/changelog   |    6 ++++++
 dpkg-split/queue.c |    2 +-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit b00ef3aa35e76e72fe814727c5e5ae28a6a68639
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sat Apr 9 01:55:34 2011 +0200

    dpkg-deb: fix error message output by read_fail()
    
    read_fail() should only assume a system error if rc < 0. Any positive
    value means that we did not manage to read as much data as we wanted
    and should result in the "unexpected end of file" message.

 dpkg-deb/extract.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 27b872fb0a26b92fa908fd691dbe6abe2605ed89
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Thu Apr 7 21:38:35 2011 +0200

    Update German translation of manual pages
    
    Update to 2010t.

 debian/changelog |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 9023da1533184439d753bcba6b89b4aa4edc91f0
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Thu Apr 7 21:37:36 2011 +0200

    Update German translation of manual pages
    
    Update to 2010t.

 man/po/de.po |   19 ++++++++++---------
 1 files changed, 10 insertions(+), 9 deletions(-)

commit 9dc6ea29b59050af1fd06c6c348afacc428de8f4
Author: Lars Buitinck <larsmans@gmail.com>
Date:   Wed Apr 6 14:09:00 2011 +0200

    dpkg-query(1): improve description of --search

 debian/changelog |    2 ++
 man/dpkg-query.1 |    8 ++++----
 2 files changed, 6 insertions(+), 4 deletions(-)

commit 66810a5ef36dfa8c576dc4125afc3b98369f8538
Merge: 2393193 fe69ae4
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Apr 5 07:41:33 2011 +0200

    Merge branch 'sid' (through tag '1.16.0.1')
    
    Conflicts:
    	debian/changelog

commit fe69ae4874919314c7f0757bb155bae38e7f211b
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Apr 5 07:29:24 2011 +0200

    Release 1.16.0.1

 debian/changelog |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 2393193c27eb806ea81d54c8a8f066417f4e4dfd
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Apr 3 17:32:25 2011 +0200

    dpkg: Rename set_selinux_path_context() to tarobject_set_se_context()
    
    This puts it in line with the rest of tarobject filesystem metadata
    setters.

 src/archives.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 888a5bbbd916d4a2f3a519c1c45519e8614d1782
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sun Apr 3 15:27:21 2011 +0200

    dpkg: don't ohshite if lutimes() fails with ENOSYS
    
    Glibc implements lutimes() on top of utimensat() which is only provided
    by Linux >= 2.6.22. With older kernels it returns ENOSYS.
    
    This regression was introduced by commit
    b3eb59cf43c286bb6c906c00ef1cdc0ec21f474d which implemented support for
    setting timestamps of symlinks.
    
    Reported-by: Michael Prokop <mika@debian.org>

 debian/changelog |    2 ++
 src/archives.c   |    2 +-
 2 files changed, 3 insertions(+), 1 deletions(-)

commit fddba30d74856e2d5c3f287343569fc259729bc0
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sun Apr 3 14:58:06 2011 +0200

    dpkg: fix regression when using -R option
    
    The regression was introduced in commit
    280ac914cc52ee5de079c0833bb1df5005c1e7ab. The variable used for the loop
    got incremented twice for each iteration, the net result is that the list
    of filenames contains random data on half of the entries.
    
    Reported-by: Craig Sanders <cas@taz.net.au>

 debian/changelog |    7 +++++++
 src/archives.c   |    2 +-
 2 files changed, 8 insertions(+), 1 deletions(-)

commit b7e4c4c2d7d4e9eb744c4efdab343f5478e00479
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Sun Apr 3 12:22:24 2011 +0200

    Update German scripts translation
    
    Update to 515t

 debian/changelog |    3 +++
 scripts/po/de.po |   48 ++++++++++++++++++++++++++----------------------
 2 files changed, 29 insertions(+), 22 deletions(-)

commit 0cacb0c3a1d1f837c957f3917a040ace6d60f9e7
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sun Apr 3 09:52:33 2011 +0200

    Dpkg::Version: update version_check to forbid versions starting with non digits
    
    Adapted the code to rely on the parsing done by the constructor to split
    the version number properly instead of redoing similar regexes in
    version_check().
    
    Updated the test suite accordingly.

 scripts/Dpkg/Version.pm      |   25 ++++++++++++++++---------
 scripts/t/100_Dpkg_Version.t |    6 +++++-
 2 files changed, 21 insertions(+), 10 deletions(-)

commit fa98524b587fd1d8c376c00cbd51eeee75d1c197
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sun Apr 3 09:45:20 2011 +0200

    libdpkg: add non-regression test for version number starting with non-digit
    
    And update the non-regression test for invalid characters to put
    the invalid character as the second character and not the first (which
    would be caught by the more strict non-digit check).

 lib/dpkg/test/t-version.c |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit 106c21fc6ca503da92addb9b87db094a557de922
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Apr 2 16:55:40 2011 +0200

    Dpkg::Source::Package: Add ‘.gitmodules’ to the default ignore lists
    
    Closes: #620490

 debian/changelog               |    1 +
 scripts/Dpkg/Source/Package.pm |    4 +++-
 2 files changed, 4 insertions(+), 1 deletions(-)

commit 88206aeb51d713bcfc6a0a4dd1dad6b013f51482
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Apr 2 16:43:14 2011 +0200

    Install deb-src-control(5) man pages in dpkg-dev
    
    Closes: #620520

 debian/changelog        |    3 +++
 debian/dpkg-dev.install |    1 +
 2 files changed, 4 insertions(+), 0 deletions(-)

commit 12f2cab45b69c242b58adac220830dfc36fc79a2
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sat Apr 2 10:02:33 2011 +0200

    Dpkg::Deps: some typo and consistency fixes in the POD documentation

 scripts/Dpkg/Deps.pm |   35 ++++++++++++++++++-----------------
 1 files changed, 18 insertions(+), 17 deletions(-)

commit 09bc62ca9dc79df376bdae44da7920996e6777c6
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sat Apr 2 09:46:49 2011 +0200

    Dpkg::Deps: Implement new "reset" method
    
    Bump module version to 1.01 due to this.

 debian/changelog     |    4 ++-
 scripts/Dpkg/Deps.pm |   52 +++++++++++++++++++++++++++++++++----------------
 2 files changed, 38 insertions(+), 18 deletions(-)

commit 57d958bb3798bb9a9a727a9700ae0bfd05f23c72
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sat Apr 2 09:22:01 2011 +0200

    Add new changelog entry for 1.16.1

 debian/changelog |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit d3686b5552f28a357d678b453a869b9d10f1ac4f
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 1 23:57:06 2011 +0200

    Release 1.16.0

 debian/changelog |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit eb48da7aae9793ac29daa7197d28c830fa6f3235
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 1 19:26:51 2011 +0200

    Correct and clarify changelog entries

 debian/changelog |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 0fd41e2bb9696ef91e5f18aa07b2acc78563c355
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 1 22:13:55 2011 +0200

    Regenerate .pot files and merge .po files with them

 dselect/po/bs.po        |  116 ++--
 dselect/po/ca.po        |  116 ++--
 dselect/po/cs.po        |  116 ++--
 dselect/po/da.po        |  116 ++--
 dselect/po/de.po        |  116 ++--
 dselect/po/dselect.pot  |  118 ++--
 dselect/po/el.po        |  116 ++--
 dselect/po/es.po        |  116 ++--
 dselect/po/et.po        |  116 ++--
 dselect/po/eu.po        |  116 ++--
 dselect/po/fr.po        |  116 ++--
 dselect/po/gl.po        |  116 ++--
 dselect/po/hu.po        |  116 ++--
 dselect/po/id.po        |  116 ++--
 dselect/po/it.po        |  116 ++--
 dselect/po/ja.po        |  116 ++--
 dselect/po/ko.po        |  116 ++--
 dselect/po/nb.po        |  116 ++--
 dselect/po/nl.po        |  116 ++--
 dselect/po/nn.po        |  116 ++--
 dselect/po/pl.po        |  116 ++--
 dselect/po/pt.po        |  116 ++--
 dselect/po/pt_BR.po     |  116 ++--
 dselect/po/ro.po        |  116 ++--
 dselect/po/ru.po        |  116 ++--
 dselect/po/sk.po        |  116 ++--
 dselect/po/sv.po        |  116 ++--
 dselect/po/tl.po        |  116 ++--
 dselect/po/vi.po        |  116 ++--
 dselect/po/zh_CN.po     |  116 ++--
 dselect/po/zh_TW.po     |  116 ++--
 man/po/dpkg-man.pot     |  190 ++++---
 man/po/es.po            |  199 ++++---
 man/po/fr.po            |  199 ++++---
 man/po/hu.po            |  193 ++++---
 man/po/ja.po            |  193 ++++---
 man/po/pl.po            |  199 ++++---
 man/po/pt_BR.po         |  192 ++++---
 man/po/ru.po            |  193 ++++---
 man/po/sv.po            |  199 ++++---
 po/ast.po               | 1512 ++++++++++++++++++++++++----------------------
 po/bs.po                | 1434 +++++++++++++++++++++++---------------------
 po/ca.po                | 1531 +++++++++++++++++++++++++----------------------
 po/cs.po                | 1515 ++++++++++++++++++++++++----------------------
 po/da.po                | 1505 ++++++++++++++++++++++++----------------------
 po/de.po                |  502 ++++++++--------
 po/dpkg.pot             | 1431 +++++++++++++++++++++++---------------------
 po/dz.po                | 1514 ++++++++++++++++++++++++----------------------
 po/el.po                | 1514 ++++++++++++++++++++++++----------------------
 po/eo.po                | 1502 ++++++++++++++++++++++++----------------------
 po/es.po                | 1516 ++++++++++++++++++++++++----------------------
 po/et.po                | 1489 ++++++++++++++++++++++++----------------------
 po/eu.po                | 1502 ++++++++++++++++++++++++----------------------
 po/fr.po                | 1517 ++++++++++++++++++++++++----------------------
 po/gl.po                | 1514 ++++++++++++++++++++++++----------------------
 po/hu.po                | 1508 ++++++++++++++++++++++++----------------------
 po/id.po                | 1502 ++++++++++++++++++++++++----------------------
 po/it.po                | 1504 ++++++++++++++++++++++++----------------------
 po/ja.po                | 1502 ++++++++++++++++++++++++----------------------
 po/km.po                | 1514 ++++++++++++++++++++++++----------------------
 po/ko.po                | 1502 ++++++++++++++++++++++++----------------------
 po/ku.po                | 1463 +++++++++++++++++++++++----------------------
 po/lt.po                | 1480 +++++++++++++++++++++++----------------------
 po/mr.po                | 1496 ++++++++++++++++++++++++----------------------
 po/nb.po                | 1515 ++++++++++++++++++++++++----------------------
 po/ne.po                | 1514 ++++++++++++++++++++++++----------------------
 po/nl.po                | 1516 ++++++++++++++++++++++++----------------------
 po/nn.po                | 1512 ++++++++++++++++++++++++----------------------
 po/pa.po                | 1493 ++++++++++++++++++++++++----------------------
 po/pl.po                | 1497 ++++++++++++++++++++++++----------------------
 po/pt.po                | 1515 ++++++++++++++++++++++++----------------------
 po/pt_BR.po             | 1516 ++++++++++++++++++++++++----------------------
 po/ro.po                | 1502 ++++++++++++++++++++++++----------------------
 po/ru.po                | 1502 ++++++++++++++++++++++++----------------------
 po/sk.po                | 1502 ++++++++++++++++++++++++----------------------
 po/sv.po                | 1515 ++++++++++++++++++++++++----------------------
 po/th.po                | 1515 ++++++++++++++++++++++++----------------------
 po/tl.po                | 1512 ++++++++++++++++++++++++----------------------
 po/vi.po                | 1502 ++++++++++++++++++++++++----------------------
 po/zh_CN.po             | 1502 ++++++++++++++++++++++++----------------------
 po/zh_TW.po             | 1514 ++++++++++++++++++++++++----------------------
 scripts/po/ca.po        |  122 ++--
 scripts/po/de.po        |  122 ++--
 scripts/po/dpkg-dev.pot |  124 ++--
 scripts/po/es.po        |  122 ++--
 scripts/po/fr.po        |  122 ++--
 scripts/po/pl.po        |  122 ++--
 scripts/po/ru.po        |  122 ++--
 scripts/po/sv.po        |  122 ++--
 89 files changed, 35046 insertions(+), 31900 deletions(-)

commit 922093b5fb715554456ef44bb4ce70e89dc4e337
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 1 23:49:24 2011 +0200

    dpkg-divert: Unlink the source file when moving across filesystems
    
    Otherwise we might leave cruft behind.
    
    Regression introduced in commit 02b12d75f1eff7c184fafb5a663a0421e9a645ea.

 debian/changelog |    2 ++
 src/divertcmd.c  |    4 ++++
 2 files changed, 6 insertions(+), 0 deletions(-)

commit 1624466c3d3c882b551f0b5deae8db4016332e5a
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 1 23:38:20 2011 +0200

    dpkg-divert: Inline rename_mv() into file_rename()

 src/divertcmd.c |   17 +++++------------
 1 files changed, 5 insertions(+), 12 deletions(-)

commit 1cfa991dac363c3494edbb8a914b369cbf374d04
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 1 23:33:15 2011 +0200

    dpkg-divert: Move atomic rename logic from rename_mv() to file_copy()
    
    This makes file_copy() safe to use by itself, and will allow to pull it
    out and use it in other places in the future.

 src/divertcmd.c |   20 +++++++++-----------
 1 files changed, 9 insertions(+), 11 deletions(-)

commit d1ad33f057d0aa76d66434f40dedf67473095918
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 1 23:18:05 2011 +0200

    dpkg-divert: Change file_copy() and rename_mv() to ohshite() on error
    
    This has several consequences, the code will not trigger leak detectors
    like cppcheck due to ohshite() being marked non-returning, and the error
    messages are going to be more descriptive.
    
    Closes: #620380

 debian/changelog |    3 +++
 src/divertcmd.c  |   27 ++++++++++-----------------
 2 files changed, 13 insertions(+), 17 deletions(-)

commit 0489d13cb0469ad64d4b345acc2c0372a5588bd0
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 1 22:53:21 2011 +0200

    Revert "dpkg-divert: fix minor file descriptor leak found by cppcheck"
    
    This reverts commit bdcee319a90eee494af70e6725fed8b4e8f16584.

 debian/changelog |    1 -
 src/divertcmd.c  |    4 +---
 2 files changed, 1 insertions(+), 4 deletions(-)

commit 9a5103c7bd96d32d685ac9f5bb38b0b4f0a9d030
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Mar 24 03:21:13 2011 +0100

    dpkg-genchanges: Do not warn when adding files w/o matching architecture
    
    Fix undefined value useage when adding files w/o a matching architecture,
    because they are not present in debian/control, this is most commonly the
    case due to dpkg-distaddfile.

 debian/changelog           |    3 +++
 scripts/dpkg-genchanges.pl |    6 ++++--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit d571f9eeffad01ac1e281c83ac3eae47946cfc7b
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 1 01:27:30 2011 +0200

    libdpkg: Make buffer_init() and buffer_done() take only one argument
    
    These functions only handle the output buffer_data and thus the
    read_data argument will never get used.

 lib/dpkg/buffer.c |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

commit b3eb59cf43c286bb6c906c00ef1cdc0ec21f474d
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Mar 31 20:13:55 2011 +0200

    dpkg: Set the modification time for unpacked symlinks if possible
    
    Use lutimes() conditionally as it might not be widely available.

 configure.ac     |    2 +-
 debian/changelog |    1 +
 src/archives.c   |   14 +++++++++-----
 3 files changed, 11 insertions(+), 6 deletions(-)

commit e49efcbbb93d18138da31cdcc114ca1baa67d56c
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Mar 31 20:11:54 2011 +0200

    dpkg: Move lchown() call from tarobject() to tarobject_set_perms()
    
    This unifies a bit more the tarobject permission handling into a single
    place.

 src/archives.c |   18 +++++++++---------
 1 files changed, 9 insertions(+), 9 deletions(-)

commit 632048a0a1cd3815a737f4d0bf5fddcf6bdcefd6
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Mar 21 18:31:55 2011 +0200

    libdpkg: Move mtime from file_stat back to tar_info
    
    There's never a reason to override the mtime, no point in carrying and
    copying it around in file_stat for now.

 lib/dpkg/file.h  |    1 -
 lib/dpkg/tarfn.c |    2 +-
 lib/dpkg/tarfn.h |    1 +
 src/archives.c   |   12 +++++-------
 4 files changed, 7 insertions(+), 9 deletions(-)

commit b5e4c93f82a4a915f58df0335ffecba9f98f675b
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Mar 31 19:48:25 2011 +0200

    dpkg: Use utimes(2) instead of obsolete utime(2)
    
    POSIX.1-2008 marked utime(2) as obsolete. Ideally we'd switch to use
    utimensat(2), which would simplify quite a bit the code, but it's not
    yet widely available, and using it would imply having to support
    fallback code at compilation and run-time. This can be done later on
    once we up the POSIX baseline.

 src/archives.c |   13 ++++++++-----
 1 files changed, 8 insertions(+), 5 deletions(-)

commit 36a3883ee15e6c39ab54750b1365d217aa48bf75
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Mar 31 19:37:14 2011 +0200

    dpkg: Move conditionals to tarobject_set_*() functions
    
    This will allow to handle the different cases transparently. Pass a
    tar_entry to each of the functions.

 src/archives.c |   20 ++++++++++++++------
 1 files changed, 14 insertions(+), 6 deletions(-)

commit f281bc0fd64c563e452050145c0a5c2b6294105d
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Mar 31 15:17:10 2011 +0200

    dpkg: Rename newtarobject_allmodes() to tarobject_set_perms()

 src/archives.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 37d86f2b772d6aaf8d25972e32e19f38a29e676f
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Mar 31 15:16:48 2011 +0200

    dpkg: Rename newtarobject_utime() to tarobject_set_mtime()

 src/archives.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 5e50a926b217ed01da35b6eccd656ba7ec47d1e9
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Mar 31 15:05:11 2011 +0200

    dpkg: Factor out newtarobject_allmodes() call

 src/archives.c |    7 ++-----
 1 files changed, 2 insertions(+), 5 deletions(-)

commit b1ef911615c9fec1163ce2b9d6fdb9cb46b43377
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Mar 21 18:30:40 2011 +0200

    dpkg: Move newtarobject_utime() call out of newtarobject_allmodes()
    
    Always call newtarobject_utime() for all tar object types, except
    symlinks.

 src/archives.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 07bbb73fcd8ee0a911535d6dbe53b07e8ff99f3b
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Mar 31 14:01:32 2011 +0200

    dpkg: Fix typo in comment ‘cheched’ → ‘checked’

 src/archives.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5b03e1e990f2260e0e852e50986fe492fc5e8f70
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Mar 21 18:11:32 2011 +0200

    libdpkg: Update MD5 implementation with the one from OpenBSD
    
    Add <config.h> and <compat.h> includes. Change <md5.h> include to
    "md5.h". Change BYTE_ORDER check to WORDS_BIGENDIAN. Remove __bounded__
    gcc attributes on function declarations. Remove file helper
    declarations.

 lib/dpkg/md5.c |  307 +++++++++++++++++++++++++++++---------------------------
 lib/dpkg/md5.h |   51 ++++------
 2 files changed, 178 insertions(+), 180 deletions(-)

commit bfb43e8aaec95b69184bffaceb099819ad97721d
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Mar 16 14:33:09 2011 +0100

    Rename struct cmdinfo member arg_func to action and call it directly
    
    This avoids a temporary variable, given that now the function is
    strongly prototyped.

 dpkg-deb/main.c   |    5 ++---
 dpkg-split/main.c |    5 ++---
 lib/dpkg/myopt.h  |    3 ++-
 src/divertcmd.c   |    5 +----
 src/main.c        |    9 ++-------
 src/querycmd.c    |    5 +----
 src/statcmd.c     |    4 +---
 7 files changed, 11 insertions(+), 25 deletions(-)

commit 12d1e5a1a42ee085b79d1a3bb3a94a9b0165afff
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Mar 16 14:22:36 2011 +0100

    Use new action_func typedef instead of ad-hoc function casts

 dpkg-deb/dpkg-deb.h     |   13 +++++++++----
 dpkg-deb/main.c         |    4 ++--
 dpkg-split/dpkg-split.h |    9 ++++++---
 dpkg-split/main.c       |    4 ++--
 lib/dpkg/myopt.h        |    6 +++---
 src/divertcmd.c         |    4 ++--
 src/main.c              |   10 +++++-----
 src/querycmd.c          |    4 ++--
 src/statcmd.c           |    4 ++--
 9 files changed, 33 insertions(+), 25 deletions(-)

commit ba372a8c554dfe6fa4f0e12961efab6b10aaf6bd
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Mar 16 14:22:34 2011 +0100

    Make all command line action functions return int
    
    This will allow using type-safe function pointers instead of casting
    them around. Replace all exit(3) calls with return statements. Remove
    DPKG_ATTR_NORET from function declarations, all functions are expected
    to return now.

 dpkg-deb/build.c        |    6 ++-
 dpkg-deb/dpkg-deb.h     |    4 +-
 dpkg-deb/extract.c      |   35 +++++++++++++++----
 dpkg-deb/info.c         |   25 ++++++++++---
 dpkg-deb/main.c         |    7 +++-
 dpkg-split/dpkg-split.h |    4 +-
 dpkg-split/info.c       |    6 +++-
 dpkg-split/join.c       |    6 +++-
 dpkg-split/main.c       |    6 ++-
 dpkg-split/queue.c      |   20 ++++++++--
 dpkg-split/split.c      |    4 +-
 src/archives.c          |    6 +++-
 src/enquiry.c           |   89 ++++++++++++++++++++++++++++++++--------------
 src/main.c              |   30 ++++++++++------
 src/main.h              |   34 +++++++++---------
 src/packages.c          |    4 ++-
 src/select.c            |   17 +++++++--
 src/statcmd.c           |    4 +-
 src/update.c            |   12 +++++-
 19 files changed, 225 insertions(+), 94 deletions(-)

commit f6600ffa162e6f2f04f6a10d9622bee3bc8781a1
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Mar 24 03:57:44 2011 +0100

    dpkg: Pass default return value to reportbroken_retexitstatus()
    
    This will allow to pass arbitrary values from the command actions when
    there's not been any reported error.

 src/errors.c |    6 ++++--
 src/main.c   |    2 +-
 src/main.h   |    2 +-
 3 files changed, 6 insertions(+), 4 deletions(-)

commit 1059a9f6ed8568032ae64aba72ef18c289d42dae
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Fri Apr 1 21:26:02 2011 +0200

    dpkg-source: temporarily drop Package-List field generation
    
    That way we can discuss it further until there's consensus on its design
    and upload 1.16.0 immediately.

 debian/changelog       |    3 ---
 scripts/dpkg-source.pl |    1 +
 2 files changed, 1 insertions(+), 3 deletions(-)

commit bdcee319a90eee494af70e6725fed8b4e8f16584
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Fri Apr 1 20:45:46 2011 +0200

    dpkg-divert: fix minor file descriptor leak found by cppcheck
    
    Reported-by: Niels Thykier <niels@thykier.net>

 debian/changelog |    1 +
 src/divertcmd.c  |    4 +++-
 2 files changed, 4 insertions(+), 1 deletions(-)

commit e3a9083fcadcb1cff64a2b3980b2679e7396fb99
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sat Mar 26 09:24:58 2011 +0100

    dpkg-source: extend the Package-List field based on the feedback received
    
    Integrate the architecture field with spaces replaced by commas. It will
    be used by the wanna-build team to see if the source package builds
    Architecture: all packages. The reprepro maintainer also had a similar
    use case for this information.
    
    Put the type of the package in a dedicated field rather than a prefix of
    the package name. Suggested by Bastian Blank.
    
    See feedback at
    http://lists.debian.org/debian-policy/2011/03/threads.html#00155

 debian/changelog       |    2 +-
 scripts/dpkg-source.pl |   12 +++++++-----
 2 files changed, 8 insertions(+), 6 deletions(-)

commit 7ea2064c46b77398a63d7f7a543ebcf08f7c74d2
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Thu Mar 24 23:53:37 2011 +0100

    Dpkg::Source::Patch: don't choke on empty patches
    
    Commit 255e73e11d1365fbb1e8d78287fad751a8ebc6e5 introduced a regression
    with empty patches by assuming that a patch analysis would always give
    back at least one filename.
    
    Reported-by: Niels Thykier <niels@thykier.net>

 debian/changelog             |    2 ++
 scripts/Dpkg/Source/Patch.pm |    2 +-
 2 files changed, 3 insertions(+), 1 deletions(-)

commit 893a04ba94f21ea068aa18a7b715769275b98892
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Thu Mar 24 16:04:30 2011 +0100

    Dpkg::Changelog::Debian::Entry: ignore whitespaces after options in header

 debian/changelog                       |    2 ++
 scripts/Dpkg/Changelog/Entry/Debian.pm |    2 +-
 2 files changed, 3 insertions(+), 1 deletions(-)

commit 84e9322448b3b9b227d80b667ef1274452d6fb3e
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Thu Mar 24 15:45:22 2011 +0100

    dpkg-source: strip spaces around newlines in Uploaders

 debian/changelog       |    2 ++
 scripts/dpkg-source.pl |    2 +-
 2 files changed, 3 insertions(+), 1 deletions(-)

commit c52cb59d6bc99dc02a0a63fd2c80fe544bf6d691
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Thu Mar 24 15:29:54 2011 +0100

    dpkg(1): remove a duplicate word in the german translation
    
    Concerns the explanation of --get-selections.

 debian/changelog |    1 +
 man/po/de.po     |    2 +-
 2 files changed, 2 insertions(+), 1 deletions(-)

commit 7504022cd8922bf7a69572106b1b4a7a1c052675
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Thu Mar 24 15:26:04 2011 +0100

    Fix two typos in changelog

 debian/changelog |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 014672432452a6f6a18c44e733fece7938685370
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Thu Mar 24 14:39:56 2011 +0100

    dpkg-source: add new Package-List field to .dsc files
    
    This field has been requested by ftpmasters so that they can install
    overrides for all binary packages as soon as they have approved
    the source package. It contains a the list of packages that the source
    can build along with their sections and priorities.
    
    It looks like this:
    
      Package-List:
       src:foo admin optional
       foo admin optional
       foo-common admin optional
       udeb:foo-udeb debian-installer extra

 debian/changelog               |    3 +++
 scripts/Dpkg/Control/Fields.pm |    6 +++++-
 scripts/dpkg-source.pl         |   12 ++++++++++++
 3 files changed, 20 insertions(+), 1 deletions(-)

commit d291a98bce9ecf04ae7f35262453b038dc17cf04
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Thu Mar 24 12:18:50 2011 +0100

    Dpkg::Control::Fields: define the place of the Built-Using field
    
    Commit a8cb927edb7dbd67c7a6084685998818b811caec forgot to add the
    Built-Using field in %FIELD_ORDER.

 scripts/Dpkg/Control/Fields.pm |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit cd4237cc8828a609be6260d3379f60d9c4694393
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Wed Mar 23 19:43:34 2011 +0100

    Update German translation of manual pages
    
    Update to 2010t.

 man/po/de.po |   51 +++++++++++++++++++++++++++++++++++++++------------
 1 files changed, 39 insertions(+), 12 deletions(-)

commit a8cb927edb7dbd67c7a6084685998818b811caec
Author: Mark Hymers <mhy@debian.org>
Date:   Tue Mar 22 15:50:16 2011 +0000

    dpkg-gencontrol: add support for Built-Using field
    
    And teach dpkg-deb to not complain about it.
    
    Signed-off-by: Raphaël Hertzog <hertzog@debian.org>

 debian/changelog               |    3 +++
 dpkg-deb/build.c               |    1 +
 man/deb-control.5              |   11 +++++++++++
 man/deb-src-control.5          |    3 +++
 scripts/Dpkg/Control/Fields.pm |    5 +++++
 5 files changed, 23 insertions(+), 0 deletions(-)

commit 6a7a20c72325a57762e34f5dbb9f79ba73b5d496
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Mon Mar 21 08:23:49 2011 +0100

    dpkg: use the correct mtime when installing a file with statoverrides
    
    Regression introduced by commit ceb07b08dad4d5eead630064f45c7e7ded00a341.
    
    Reported-by: Marc A. Donges

 debian/changelog |    2 ++
 src/archives.c   |    6 ++++--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit b5a79629f849faf27bf20f088af1487fa5e2bc14
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Thu Mar 17 16:21:13 2011 +0100

    Fix minor error in German dpkg translation

 po/de.po |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 083f2ed8a6d125ea7b88e58fed034742aefb021e
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Thu Mar 17 14:35:53 2011 +0100

    dpkg-divert: fix return value of rename_mv
    
    This is a regression introduced by the C rewrite of dpkg-divert
    (commit 02b12d75f1eff7c184fafb5a663a0421e9a645ea) that made it unable to
    rename files when that rename implies a copy on another file system.
    
    The code has provision to do a copy when a simple rename is not enough
    but the associated function erroneously returned a failure value when
    that operation was performed.
    
    Reported-by: Durk Strooisma

 debian/changelog |    3 +++
 src/divertcmd.c  |    2 +-
 2 files changed, 4 insertions(+), 1 deletions(-)

commit b100b81bfda369bd13cffddc99b79ae3a9663c05
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Wed Mar 16 08:00:44 2011 +0100

    pkg_parse_copy(): fix references to variables in a comment
    
    The comment still used the old names of variables from before the code had
    been factored in a separate function (in commit
    58df02f9d39c1e7b1c7f49026a649f125b87140d).

 lib/dpkg/parse.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit f3ac02357276ffe2ed29b350a98f0e14e162463a
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Mar 16 00:54:13 2011 +0100

    libdpkg: Do not lose reverse dependencies when parsing control data
    
    Regression introduced in commit 58df02f9d39c1e7b1c7f49026a649f125b87140d.

 lib/dpkg/parse.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6093adaf447e98496dc4413277f474a379fdc912
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Tue Mar 15 17:00:27 2011 +0100

    Update German translation of manual pages
    
    Update to 2008t0f0u.

 man/po/de.po |  162 ++++++++++++++++++++++++++++++++++------------------------
 1 files changed, 96 insertions(+), 66 deletions(-)

commit 88b0c3043a651a422cd0c43c38ab6d553e2214ea
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Mar 15 01:24:28 2011 +0100

    Add armhf support to ostable and triplettable
    
    Closes: #594179

 debian/changelog |    1 +
 ostable          |    1 +
 triplettable     |    1 +
 3 files changed, 3 insertions(+), 0 deletions(-)

commit d9130f2deff8a78c8813bb1d6d2504d3773a6a6e
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Mon Mar 14 14:49:26 2011 +0100

    dpkg-split: fix a gcc warning
    
    The refactoring made in commit 86cbf575b13d049504402f72d221fa1538c2e53b
    was supposed to add the cast for the argument matching
    the %jx specifier (and not %s).

 dpkg-split/queue.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 20c568dccae1d1a8b108eabb6e9df57d82d3834c
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Mon Mar 14 13:09:18 2011 +0100

    German dpkg translation update
    
    Update to 1020t.

 po/de.po | 1317 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 667 insertions(+), 650 deletions(-)

commit 3bfb2e8845b277f4cecd720c3aef0a1d6604d895
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Mon Mar 14 13:08:45 2011 +0100

    build: Update po/POTFILES.in for new/renamed source files
    
    lib/dpkg/dir.c (commit 20fdb395cc721a5060c5623eda956d73ea840a21)
    src/infodb.c (commit 9f7f2a958321d41725c0ae7f46c434fe4cbf3c6a)
    
    lib/dpkg/database.c → lib/dpkg/pkg-db.c (commit
    ced5ec027285de3f207c0bb7a26e3455503e7e29)

 po/POTFILES.in |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit b8d8d02e4afd7b377bad3d81afdcc48d5c6f3938
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Mon Mar 14 13:08:21 2011 +0100

    dpkg-split: Fix typo

 dpkg-split/queue.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 86cbf575b13d049504402f72d221fa1538c2e53b
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Mar 14 02:15:38 2011 +0100

    Use off_t and %jd or %jx to handle file sizes and offsets
    
    This allows to support large files on 32-bit systems were a ‘long int’
    type might not be of at least 64-bits. For printing %jd or %jx is used,
    and the value is cast to intmax_t.

 dpkg-deb/build.c        |    5 +++--
 dpkg-deb/extract.c      |   18 ++++++++++--------
 dpkg-deb/info.c         |    5 +++--
 dpkg-split/dpkg-split.h |   12 ++++++------
 dpkg-split/info.c       |   20 ++++++++++----------
 dpkg-split/main.c       |    4 ++--
 dpkg-split/queue.c      |    9 +++++----
 dpkg-split/split.c      |   10 ++++++----
 lib/dpkg/ar.c           |    7 ++++---
 lib/dpkg/ar.h           |    2 +-
 lib/dpkg/buffer.c       |    2 +-
 lib/dpkg/tarfn.c        |    2 +-
 lib/dpkg/tarfn.h        |    2 +-
 src/archives.c          |    5 +++--
 src/processarc.c        |    3 ++-
 15 files changed, 58 insertions(+), 48 deletions(-)

commit 74dc50b34d45e906ecdf664634ad491f2ffac43e
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Mar 14 03:01:43 2011 +0100

    Use size_t and %zu to handle memory sizes and offsets

 dselect/methparse.cc        |    6 +++---
 lib/dpkg/mlib.c             |    6 ++++--
 lib/dpkg/pkg-format.c       |    2 +-
 utils/update-alternatives.c |    2 +-
 4 files changed, 9 insertions(+), 7 deletions(-)

commit 07eee0db56472a5932249c04b940b9c8fe01bb5f
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Mar 14 02:58:28 2011 +0100

    libdpkg: Replace OtoL() with OtoM() converting to intmax_t
    
    This allows storing at least 64-bit integers on 32-bit systems, and thus
    large file support.

 lib/dpkg/tarfn.c |   25 +++++++++++++------------
 1 files changed, 13 insertions(+), 12 deletions(-)

commit f9aaae4396a0465dce0f8c05e9e1608bd9425e81
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Mar 14 05:21:49 2011 +0100

    dpkg-split: Make decompose_filename() and setpartsize() use strtoimax()
    
    This will allow parsing large numbers, required for large file support.

 dpkg-split/main.c  |    3 ++-
 dpkg-split/queue.c |    3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 75d6bcf73ba88e443c2fd1a65018bb7f40d76ff1
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Mar 14 02:12:57 2011 +0100

    dpkg-split: Replace unsignedlong() with parse_intmax()

 configure.ac      |    2 +-
 dpkg-split/info.c |   20 ++++++++++++--------
 2 files changed, 13 insertions(+), 9 deletions(-)

commit 766de19997417fc673c0b07e9fef2cffb25d5b25
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Mar 14 01:55:50 2011 +0100

    build: Check for %j and %z format modifiers support
    
    We use those to create binary output, so we require them to be working.

 m4/dpkg-compiler.m4 |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

commit df6a6091b3e420b12286dbde56ef86cf0230c2b4
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 13 23:32:30 2011 +0100

    dpkg-split: Use a constant expression to declare an array
    
    Although usually the compiler should replace strlen(literal) with a
    built-in, it might not, and it's more predictable to use a constant
    expression using sizeof() instead to avoid making it a variable
    length array. This fixes a warning with latest gcc and -Wvla.

 dpkg-split/info.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 79a67e901e0ce82944d33f13d0830fe256f9a39c
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Mar 14 07:16:31 2011 +0100

    Inline rerr() into its only current call site

 dpkg-split/dpkg-split.h |    1 -
 dpkg-split/info.c       |    5 ++++-
 dpkg-split/main.c       |    4 ----
 3 files changed, 4 insertions(+), 6 deletions(-)

commit 26998971c3e84e33a4602e3d97a6a8c9a058fa16
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 13 23:30:19 2011 +0100

    Inline werr() into its only current call site

 dpkg-deb/build.c          |    2 +-
 lib/dpkg/ehandle.c        |    4 ----
 lib/dpkg/ehandle.h        |    2 --
 lib/dpkg/libdpkg.Versions |    1 -
 4 files changed, 1 insertions(+), 8 deletions(-)

commit fdc401aa7d35d879ad0fb9090049691f2638af41
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 13 23:10:28 2011 +0100

    dpkg-deb: Use fdio instead of stdio
    
    Prefer fdio for binary data.

 dpkg-deb/build.c |   34 ++++++++++++++++++----------------
 1 files changed, 18 insertions(+), 16 deletions(-)

commit 102aef24e438b7aba9cf90ab9fc75d3c13c6c7cf
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 13 23:05:54 2011 +0100

    dpkg-split: Do not slurp into memory the whole package parts
    
    Use buffered I/O when reassembling split packages. This will make
    possible to handle parts > 2 GiB on 32 bit systems.

 dpkg-split/join.c  |   45 +++++++++++++++++----------------------------
 dpkg-split/queue.c |   36 +++++++++++++++++-------------------
 2 files changed, 34 insertions(+), 47 deletions(-)

commit 9980e450861b782093572ecc23bfbdc8ee326087
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 13 22:38:38 2011 +0100

    libdpkg: Add missing <errno.h> needed by fd_null_copy()

 lib/dpkg/buffer.h |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 65d2ed5c215657e0e0f60500148b47bd8436e282
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 13 21:56:42 2011 +0100

    u-a: Do not unneedingly initialize variables to NULL
    
    Those get initialized unconditionally later on in the code.
    
    This was spotted by a run with the clang static analyzer.

 utils/update-alternatives.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit aab72be3be19811105baf7c22e3ac370423f9636
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 13 21:51:21 2011 +0100

    dpkg-query: Return a valid width even if opening /dev/tty failed
    
    This was spotted by a run with the clang static analyzer.

 src/querycmd.c |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

commit 9acbadfc967d74c7930912bf89e508b14ff509d9
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 13 21:41:01 2011 +0100

    build: Add -Wformat-security and -Wpointer-arith to default warnings

 m4/dpkg-compiler.m4 |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 4c3faede9746f1e85f544b319d07b2a2c12f67d4
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 13 21:41:38 2011 +0100

    dselect: Use a format string in printf() instead of only a variable
    
    This fixes a warning with -Wformat-security.

 dselect/main.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a468c10801bb7cee20e15d04e502e67aa95a0f7e
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 13 18:38:21 2011 +0100

    dpkg: Add comment about why writeback code ignores return values
    
    Suggested-by: Sven Mueller <sven@debian.org>

 src/archives.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 557765dbed656c3718c65352f1cb995fcc8b87b9
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 13 18:27:56 2011 +0100

    Move pkgadmindir() and pkgadminfile() to the filesdb module
    
    These functions are not really part of the modstatdb module, and by
    moving them out they get detangled and will make it possible to extend
    them w/o pulling additional code into binaries not using the functions.

 lib/dpkg/dbmodify.c       |   16 ----------------
 lib/dpkg/dpkg-db.h        |    3 ---
 lib/dpkg/libdpkg.Versions |    2 --
 src/filesdb.c             |   40 ++++++++++++++++++++++++++++++++++++++++
 src/filesdb.h             |    3 +++
 src/infodb.c              |    1 +
 6 files changed, 44 insertions(+), 21 deletions(-)

commit dcac09fadeaea420267c85d430ed7668f3e37ba7
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 13 19:56:01 2011 +0100

    Make admindir file local everywhere
    
    The interface to get and set the database directory is dpkg_db_get_dir()
    and dpkg_db_set_dir().

 dselect/dselect.h |    1 -
 dselect/main.cc   |    3 ++-
 dselect/method.cc |   10 +++++-----
 src/divertcmd.c   |    2 +-
 src/help.c        |    1 +
 src/main.c        |    2 +-
 src/main.h        |    1 -
 src/processarc.c  |    2 ++
 src/querycmd.c    |    2 +-
 src/statcmd.c     |    4 ++--
 src/update.c      |    2 +-
 11 files changed, 16 insertions(+), 14 deletions(-)

commit e0ae796d8cde360c5bf9b46b49998f6efa3b8c82
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 13 08:45:25 2011 +0100

    Do not pass admindir to database initialization functions
    
    Use dpkg_db_get_dir() and dpkg_db_get_path() to globally retrieve the
    database directory instead of passing it around.

 dselect/main.cc         |    6 +++---
 lib/dpkg/dbmodify.c     |   10 +++++-----
 lib/dpkg/dpkg-db.h      |    4 ++--
 lib/dpkg/trigdeferred.h |    3 +--
 lib/dpkg/trigdeferred.l |    2 +-
 lib/dpkg/triglib.c      |    6 +++---
 lib/dpkg/triglib.h      |    2 +-
 src/archives.c          |    3 +--
 src/enquiry.c           |    8 ++++----
 src/help.c              |    4 ++--
 src/packages.c          |    3 +--
 src/querycmd.c          |   16 ++++++++--------
 src/select.c            |    6 +++---
 src/trigcmd.c           |    4 ++--
 src/update.c            |    2 +-
 15 files changed, 38 insertions(+), 41 deletions(-)

commit 06cd58eed3c3c9b6d5764773428b2dd31d5233a3
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 13 22:13:04 2011 +0100

    libdpkg: Use dpkg_db_get_path() instead of trig_get_triggersdir()
    
    Remove now unused trig_get_triggersdir().

 lib/dpkg/trigdeferred.l |    2 +-
 lib/dpkg/triglib.c      |   12 +-----------
 lib/dpkg/triglib.h      |    2 --
 3 files changed, 2 insertions(+), 14 deletions(-)

commit f67665e8f5eb46b3a0b90d2a90001b3d33f94ef9
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 13 19:17:55 2011 +0100

    Use dpkg_db_set_dir() instead of pkgadmindir_init()
    
    Remove now unused pkgadmindir_init().

 dselect/main.cc     |    2 ++
 lib/dpkg/dbmodify.c |   12 ------------
 lib/dpkg/dpkg-db.h  |    1 -
 src/divertcmd.c     |    4 ++--
 src/main.c          |    2 ++
 src/querycmd.c      |    4 ++--
 src/statcmd.c       |    4 ++--
 src/trigcmd.c       |    4 ++--
 8 files changed, 12 insertions(+), 21 deletions(-)

commit addcf0717e7a6076f40a57d8aa9a0164868d46ba
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 13 19:53:28 2011 +0100

    Use dpkg_db_get_path() instead of using m_asprintf() and admindir

 dselect/method.cc    |    2 +-
 dselect/methparse.cc |    2 +-
 lib/dpkg/dbmodify.c  |    2 +-
 src/divertcmd.c      |    2 +-
 src/processarc.c     |    2 +-
 src/statcmd.c        |    2 +-
 6 files changed, 6 insertions(+), 6 deletions(-)

commit 8ecd3414ebcf0a81a4f23b671c134729dc600a3a
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 13 19:51:55 2011 +0100

    Use dpkg_db_get_path() instead of ad-hoc building the string with varbuf

 src/divertdb.c |   20 +++++++++-----------
 src/statdb.c   |   16 +++++++---------
 src/update.c   |   12 ++++++------
 3 files changed, 22 insertions(+), 26 deletions(-)

commit 18d1daa7bfffdb00af4903ad895151fe60e77ebf
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 13 08:45:25 2011 +0100

    libdpkg: Add new dbdir module

 lib/dpkg/Makefile.am |    2 +
 lib/dpkg/dbdir.c     |   92 ++++++++++++++++++++++++++++++++++++++++++++++++++
 lib/dpkg/dpkg-db.h   |    6 +++
 3 files changed, 100 insertions(+), 0 deletions(-)

commit ad2f2b8ca2abf2e21e55ab7425f19dd27cad96d8
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 13 07:41:30 2011 +0100

    dselect: Use modstatdb_can_lock() in refreshmenu() instead of ad-hoc code

 dselect/main.cc |   11 +++--------
 1 files changed, 3 insertions(+), 8 deletions(-)

commit 62b91d46785dae5d7eab796f0ceb43295f1c54b8
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 13 07:40:09 2011 +0100

    libdpkg: Refactor modstatdb_can_lock() out from modstatdb_lock()

 lib/dpkg/dbmodify.c       |   25 ++++++++++++++++++-------
 lib/dpkg/dpkg-db.h        |    1 +
 lib/dpkg/libdpkg.Versions |    1 +
 3 files changed, 20 insertions(+), 7 deletions(-)

commit 2ed67cedac6e5b8dfae90c56f96c8a44accc9302
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 13 22:02:01 2011 +0100

    libdpkg: Handle EACCES as a permission error in modstatdb_lock()
    
    The current code only considers EPERM, but EACCES is also a valid error
    concerning permission issues from open(2).

 lib/dpkg/dbmodify.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8619e6d31486b874f8f2f2cdb34e66704d26a6a0
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 13 07:38:03 2011 +0100

    libdpkg: Reset dblockfd on modstatdb_unlock()
    
    This will allow locking again the database after having previously
    unlocked it.

 lib/dpkg/dbmodify.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 6c9093777f6121dc8c2ee3be44d2937402f3c028
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 13 06:48:27 2011 +0100

    Make modstatdb locking functions not take an admindir argument
    
    Initialize the lockfile on modstatdb_init() via the fnis array. Make
    sure we call modstatdb_init() and modstatdb_done() in case we are not
    calling modstatdb_open() and modstatdb_shutdown().

 lib/dpkg/dbmodify.c |   23 +++++++----------------
 lib/dpkg/dpkg-db.h  |    4 ++--
 src/enquiry.c       |    2 +-
 src/update.c        |    6 +++++-
 4 files changed, 15 insertions(+), 20 deletions(-)

commit be596facc45b0b921322abd0d885bead822639f4
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 13 06:29:08 2011 +0100

    libdpkg: Refactor modstatdb init/done sequence into new functions
    
    Move variable path initialization and destruction code to the new
    modstatdb_init() and modstatdb_done(). Add a boolean variable to protect
    the funtions from reiterated calls.

 lib/dpkg/dbmodify.c       |   59 ++++++++++++++++++++++++++++++++-------------
 lib/dpkg/dpkg-db.h        |    2 +
 lib/dpkg/libdpkg.Versions |    1 +
 3 files changed, 45 insertions(+), 17 deletions(-)

commit 7a14fd7d6604d5b8de58e0e33ddd8ee8026bff62
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 13 06:29:08 2011 +0100

    libdpkg: Rename modstatdb_init() to modstatdb_open()
    
    We'll need to reuse the modstatdb_init() function name for further
    refactoring.

 dselect/main.cc           |    2 +-
 lib/dpkg/dbmodify.c       |    2 +-
 lib/dpkg/dpkg-db.h        |    2 +-
 lib/dpkg/libdpkg.Versions |    1 +
 src/archives.c            |    2 +-
 src/enquiry.c             |    8 ++++----
 src/packages.c            |    2 +-
 src/querycmd.c            |   16 ++++++++--------
 src/select.c              |    6 +++---
 9 files changed, 21 insertions(+), 20 deletions(-)

commit ced5ec027285de3f207c0bb7a26e3455503e7e29
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 13 06:09:10 2011 +0100

    libdpkg: Rename database module to pkg-db
    
    This matches the namespace for the provided functions, and disambiguates
    what kind of database it's refering to.

 lib/dpkg/Makefile.am              |    2 +-
 lib/dpkg/{database.c => pkg-db.c} |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 1a8c2f8400324dc04e1fa664239c3bbc6399e6b0
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 13 06:06:33 2011 +0100

    libdpkg: Rename hashreport() to pkg_db_report()

 lib/dpkg/database.c |    4 +++-
 lib/dpkg/dpkg-db.h  |    2 +-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 69a2c708c05d7a81041e0b2fbdf7941c40ad3113
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 13 06:01:39 2011 +0100

    libdpkg: Move non pkg_db related functions to the pkg module
    
    The pkgbin_blank, pkg_blank and pkg_is_informative are not strictly
    part of the pkg_db module, and can be used w/o the latter.

 lib/dpkg/database.c |   65 -------------------------------------------
 lib/dpkg/pkg.c      |   77 +++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 77 insertions(+), 65 deletions(-)

commit 190a0f88ef7258b6a35a346ff1a3c21c68c3f6e4
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 13 05:53:37 2011 +0100

    libdpkg: Move blankversion() to new version module

 lib/dpkg/Makefile.am |    3 ++-
 lib/dpkg/database.c  |    5 -----
 lib/dpkg/version.c   |   32 ++++++++++++++++++++++++++++++++
 3 files changed, 34 insertions(+), 6 deletions(-)

commit 943de6c0e09760af1f8ad8c1e364fc4bcfbb1418
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 13 05:40:43 2011 +0100

    libdpkg: Change file_unlock() to act directly on its new arguments
    
    This switches the function from unlocking the file via the popped
    cleanup to do the action itself.

 lib/dpkg/dbmodify.c |    3 ++-
 lib/dpkg/file.c     |   21 +++++++++++----------
 lib/dpkg/file.h     |    2 +-
 3 files changed, 14 insertions(+), 12 deletions(-)

commit 55f9704e40f07a95a409e1fba38bb21d70041872
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 13 05:04:11 2011 +0100

    libdpkg: Do not leak triggersdir

 lib/dpkg/trigdeferred.l |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit c0f00ddf9a3258d28aa3ad306adabc3eb34476d9
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 13 04:25:02 2011 +0100

    dselect: Use m_asprintf() instead of ad-hoc string construction

 dselect/method.cc    |   10 +++-------
 dselect/methparse.cc |    9 ++-------
 2 files changed, 5 insertions(+), 14 deletions(-)

commit 6761f32a6b9476cd63f874e8fbbb9346068049c3
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Mar 10 05:49:46 2011 +0100

    Make modstatdb available file options explicit
    
    The options were either explicit or dependent on the main status
    options, now they are always explicit. This detangles the actions
    on the available file from the ones on the status file. Rename the
    enum flags accordingly.

 lib/dpkg/dbmodify.c |   12 +++++++-----
 lib/dpkg/dpkg-db.h  |    6 +++---
 src/archives.c      |    4 ++--
 src/enquiry.c       |    2 +-
 src/querycmd.c      |    6 +++---
 5 files changed, 16 insertions(+), 14 deletions(-)

commit af3153d09aa3ed5597d6d415e5ab7cc3ba972e7c
Author: Steve Langasek <steve.langasek@linaro.org>
Date:   Wed Mar 9 11:43:05 2011 -0800

    Add new variables, DEB_HOST_MULTIARCH and DEB_BUILD_MULTIARCH
    
    Add new variables that return the "ideal" GNU triplet for each architecture
    which should be used as the path component for library installation.
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 debian/changelog             |    6 ++++++
 man/dpkg-architecture.1      |    6 ++++++
 scripts/Dpkg/Arch.pm         |   22 +++++++++++++++++++++-
 scripts/dpkg-architecture.pl |   10 ++++++++--
 4 files changed, 41 insertions(+), 3 deletions(-)

commit 8a910bc7aadd0525fe24b14c8d6249f77bba15b7
Author: Ivan Gagis <igagis@gmail.com>
Date:   Wed Mar 9 05:18:09 2011 +0100

    dpkg-name: Fix typo in --overwrite argument parsing
    
    This fixes the option so that it actually works at all.
    
    LP: #728708
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 debian/changelog     |    2 ++
 scripts/dpkg-name.pl |    2 +-
 2 files changed, 3 insertions(+), 1 deletions(-)

commit 7221d533e93de0d73716e4f69f1f01d73cce8f95
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Mar 8 14:15:19 2011 +0100

    u-a: Fix memory leaks due to scandir() return value

 utils/update-alternatives.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 9c01b373009ac462afbdb9375abd2c7b9abc19d5
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Mar 5 05:22:10 2011 +0100

    Do not write the available file unnecessarily
    
    Some times we need to write back the status file, but not the available
    file. Add a new flag to handle those cases.
    
    Based-on-patch-by: Michel Lespinasse <walken@zoy.org>

 debian/changelog    |    2 +-
 dselect/main.cc     |    2 +-
 lib/dpkg/dbmodify.c |    2 +-
 lib/dpkg/dpkg-db.h  |    1 +
 src/select.c        |    2 +-
 5 files changed, 5 insertions(+), 4 deletions(-)

commit fb49e131ef32039277c538f759ab19c1ff22e8fd
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Mar 4 16:15:51 2011 +0100

    Do not read the available file unnecessarily
    
    For commands that only make use of information from the status file,
    there's no need to make them read and parse the available file. This
    change does not alter the current behaviour, and commands that were
    previously updating the available file will continue doing so.
    
    Removing further access to it is pending a decision on how to treat
    globally the available file, which needs interaction with the package
    manager frontend developers.
    
    Closes: #397121
    
    Based-on-patch-by: Michel Lespinasse <walken@zoy.org>

 debian/changelog    |    2 ++
 lib/dpkg/dbmodify.c |    3 ++-
 src/archives.c      |    4 ++--
 src/enquiry.c       |    2 +-
 src/packages.c      |    6 +++---
 src/querycmd.c      |   16 +++++++++++-----
 src/select.c        |    4 ++--
 7 files changed, 23 insertions(+), 14 deletions(-)

commit 8e57f4f4224fc4f6f03a3aeef898e25f3ff881d5
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Mar 5 04:55:41 2011 +0100

    Switch the logic from msdbrw_noavail to msdbrw_available

 dselect/main.cc     |    3 ++-
 lib/dpkg/dbmodify.c |    2 +-
 lib/dpkg/dpkg-db.h  |    2 +-
 src/archives.c      |    9 +++++----
 src/enquiry.c       |    8 ++++----
 src/packages.c      |    6 +++---
 src/querycmd.c      |   12 ++++++------
 src/select.c        |    6 +++---
 8 files changed, 25 insertions(+), 23 deletions(-)

commit 898936120e987d9faf27002e2d01844edbfbb538
Author: Roger Leigh <rleigh@debian.org>
Date:   Sat Mar 12 16:04:31 2011 +0000

    Dpkg::Control::Hash: accept PGP signature as end of block
    
    Improved-by: Raphaël Hertzog <hertzog@debian.org>

 debian/changelog             |    3 +++
 scripts/Dpkg/Control/Hash.pm |    2 +-
 2 files changed, 4 insertions(+), 1 deletions(-)

commit 2bfd5102b413d3a0b97aa93e50467f41b2448ecf
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Mon Mar 7 11:29:21 2011 +0100

    Update German scripts translation
    
    Update to 514t

 scripts/po/de.po |    7 +++----
 1 files changed, 3 insertions(+), 4 deletions(-)

commit df8062d202016114b6c167cd0cf23e895587059c
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Mon Mar 7 09:32:14 2011 +0100

    dpkg-source: be a bit less strict when parsing patches
    
    It will now accept seeing the same file twice
    
    Reported-by: Bastian Blank <waldi@debian.org>
    
    It will no longer match on the English text "No newline at end of file" as
    it might be translated in some cases. It will only consider the intial
    "\ ".
    
    Reported-by: Jan-Marek Glogowski <glogow@fbihome.de>

 debian/changelog             |    4 ++++
 scripts/Dpkg/Source/Patch.pm |   14 ++++++++------
 2 files changed, 12 insertions(+), 6 deletions(-)

commit 43f5433769a0f8eecc3c1cc7a208d6e14171ad60
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sun Mar 6 10:46:28 2011 +0100

    Regenerate .pot files and merge .po files with them

 dselect/po/bs.po        |  325 ++---
 dselect/po/ca.po        |  340 +++---
 dselect/po/cs.po        |  340 +++---
 dselect/po/da.po        |  340 +++---
 dselect/po/de.po        |  340 +++---
 dselect/po/dselect.pot  |  327 ++---
 dselect/po/el.po        |  340 +++---
 dselect/po/es.po        |  340 +++---
 dselect/po/et.po        |  334 +++---
 dselect/po/eu.po        |  340 +++---
 dselect/po/fr.po        |  340 +++---
 dselect/po/gl.po        |  340 +++---
 dselect/po/hu.po        |  334 +++---
 dselect/po/id.po        |  340 +++---
 dselect/po/it.po        |  340 +++---
 dselect/po/ja.po        |  340 +++---
 dselect/po/ko.po        |  340 +++---
 dselect/po/nb.po        |  340 +++---
 dselect/po/nl.po        |  340 +++---
 dselect/po/nn.po        |  340 +++---
 dselect/po/pl.po        |  340 +++---
 dselect/po/pt.po        |  340 +++---
 dselect/po/pt_BR.po     |  340 +++---
 dselect/po/ro.po        |  340 +++---
 dselect/po/ru.po        |  342 +++---
 dselect/po/sk.po        |  340 +++---
 dselect/po/sv.po        |  340 +++---
 dselect/po/tl.po        |  340 +++---
 dselect/po/vi.po        |  340 +++---
 dselect/po/zh_CN.po     |  340 +++---
 dselect/po/zh_TW.po     |  340 +++---
 man/po/dpkg-man.pot     |  938 ++++++++++---
 man/po/es.po            | 1234 +++++++++++++----
 man/po/fr.po            | 1238 +++++++++++++----
 man/po/hu.po            | 1125 ++++++++++++----
 man/po/ja.po            | 1136 ++++++++++++----
 man/po/pl.po            | 1234 +++++++++++++----
 man/po/pt_BR.po         | 1058 +++++++++++----
 man/po/ru.po            | 1126 ++++++++++++----
 man/po/sv.po            | 1236 +++++++++++++----
 po/ast.po               | 3435 ++++++++++++++++++++++++++--------------------
 po/bs.po                | 2750 +++++++++++++++++++------------------
 po/ca.po                | 3461 ++++++++++++++++++++++++++--------------------
 po/cs.po                | 3412 ++++++++++++++++++++++++++-------------------
 po/da.po                | 3498 ++++++++++++++++++++++++++--------------------
 po/de.po                |  644 +++++-----
 po/dpkg.pot             | 2742 +++++++++++++++++++------------------
 po/dz.po                | 3262 ++++++++++++++++++++++++-------------------
 po/el.po                | 3385 +++++++++++++++++++++++++--------------------
 po/eo.po                | 3420 ++++++++++++++++++++++++++-------------------
 po/es.po                | 3519 +++++++++++++++++++++++++++--------------------
 po/et.po                | 2894 +++++++++++++++++++++------------------
 po/eu.po                | 3428 ++++++++++++++++++++++++++-------------------
 po/fr.po                | 3494 ++++++++++++++++++++++++++--------------------
 po/gl.po                | 3374 +++++++++++++++++++++++++--------------------
 po/hu.po                | 3208 ++++++++++++++++++++++++-------------------
 po/id.po                | 3416 ++++++++++++++++++++++++++-------------------
 po/it.po                | 3489 ++++++++++++++++++++++++++--------------------
 po/ja.po                | 3427 ++++++++++++++++++++++++++--------------------
 po/km.po                | 3212 ++++++++++++++++++++++++-------------------
 po/ko.po                | 3479 ++++++++++++++++++++++++++--------------------
 po/ku.po                | 2810 ++++++++++++++++++++------------------
 po/lt.po                | 3041 ++++++++++++++++++++++------------------
 po/mr.po                | 3216 ++++++++++++++++++++++++-------------------
 po/nb.po                | 3413 ++++++++++++++++++++++++++-------------------
 po/ne.po                | 3221 ++++++++++++++++++++++++-------------------
 po/nl.po                | 3367 +++++++++++++++++++++++++--------------------
 po/nn.po                | 3169 +++++++++++++++++++++++-------------------
 po/pa.po                | 3021 ++++++++++++++++++++++-------------------
 po/pl.po                | 3369 +++++++++++++++++++++++++--------------------
 po/pt.po                | 3461 ++++++++++++++++++++++++++--------------------
 po/pt_BR.po             | 3378 +++++++++++++++++++++++++--------------------
 po/ro.po                | 3540 +++++++++++++++++++++++++++--------------------
 po/ru.po                | 3437 ++++++++++++++++++++++++++--------------------
 po/sk.po                | 3432 ++++++++++++++++++++++++++--------------------
 po/sv.po                | 3433 ++++++++++++++++++++++++++--------------------
 po/th.po                | 3389 ++++++++++++++++++++++++++-------------------
 po/tl.po                | 3210 ++++++++++++++++++++++++-------------------
 po/vi.po                | 3497 ++++++++++++++++++++++++++--------------------
 po/zh_CN.po             | 3380 ++++++++++++++++++++++++++-------------------
 po/zh_TW.po             | 3303 ++++++++++++++++++++++++-------------------
 scripts/po/ca.po        |  445 +++---
 scripts/po/de.po        |  323 +++---
 scripts/po/dpkg-dev.pot |  433 +++---
 scripts/po/es.po        |  479 ++++---
 scripts/po/fr.po        |  483 ++++---
 scripts/po/pl.po        |  476 ++++---
 scripts/po/ru.po        |  470 ++++---
 scripts/po/sv.po        |  471 ++++---
 89 files changed, 89660 insertions(+), 67783 deletions(-)

commit d5c5d8f8651eb2ccdb61847e2bd018f80fcd84cb
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sun Mar 6 10:44:22 2011 +0100

    dpkg-source: remove quilt's .pc directory when --unapply-patches is in use

 debian/changelog                        |    2 ++
 scripts/Dpkg/Source/Package/V3/quilt.pm |    2 +-
 2 files changed, 3 insertions(+), 1 deletions(-)

commit 34d922eef1ecf03fbccc3b022fdbe58a81792be6
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sun Mar 6 10:08:43 2011 +0100

    Do not print warnings resulting from the autopatch analysis
    
    Colin's change in 40dcf24632684ec726210dd4437fdedbdbe6134e meant that the
    autopatch is parsed while it's already applied and this can trigger some
    undue warnings.
    
    This patch silences them. And also deals with similar cases that were
    unnoticed up to now.

 scripts/Dpkg/Source/Package/V2.pm       |    4 ++--
 scripts/Dpkg/Source/Package/V3/quilt.pm |    4 +++-
 scripts/Dpkg/Source/Patch.pm            |   15 ++++++++++-----
 3 files changed, 15 insertions(+), 8 deletions(-)

commit 255e73e11d1365fbb1e8d78287fad751a8ebc6e5
Author: Jonathan Nieder <jrnieder@gmail.com>
Date:   Mon Feb 14 06:39:03 2011 -0600

    dpkg-source: use server-side clock for patched file timestamp on NFS
    
    Since 1.13.14~20 (2006-02-10), dpkg-source touches the files it
    patches when unpacking, with a single date.  This way, the order of
    mtimes does not depend on the order in which the files were patched,
    which is convenient when e.g. configure.in and configure are patched.
    
    More precisely, dpkg-source does something like the following:
    
    	my $now = time();
    	foreach my $fn (@patched_files) {
    		utime($now, $now, $fn);
    	}
    
    Unfortunately when the filesystem is NFS, "touch" and normal
    modification set mtime and atime to the current time on the server
    side, while time() returns the current time on the client side.
    The two clocks can disagree, producing breakage.
    
    So unless a timestamp has been passed explicitly, use utime(undef,
    undef, $fn) to set mtime for the first file to the server side time
    and copy it (rounded down to a number of seconds) to all patched
    files.
    
    Reported-by: Stéphane Glondu <glondu@debian.org>
    Signed-off-by: Jonathan Nieder <jrnieder@gmail.com>
    Improved-by: Raphaël Hertzog <hertzog@debian.org>
    Signed-off-by: Raphaël Hertzog <hertzog@debian.org>

 debian/changelog                        |    5 +++++
 scripts/Dpkg/Source/Functions.pm        |   26 +++++++++++++++++++++++++-
 scripts/Dpkg/Source/Package/V1.pm       |    3 +--
 scripts/Dpkg/Source/Package/V2.pm       |    6 +++---
 scripts/Dpkg/Source/Package/V3/quilt.pm |    8 ++++----
 scripts/Dpkg/Source/Patch.pm            |    7 +++++--
 6 files changed, 43 insertions(+), 12 deletions(-)

commit 40dcf24632684ec726210dd4437fdedbdbe6134e
Author: Colin Watson <cjwatson@ubuntu.com>
Date:   Mon Dec 6 09:42:17 2010 +0000

    dpkg-source: keep file order stable when regenerating autopatches.
    
    Signed-off-by: Raphaël Hertzog <hertzog@debian.org>

 debian/changelog                  |    3 +
 scripts/Dpkg/Source/Package/V2.pm |    3 +-
 scripts/Dpkg/Source/Patch.pm      |   82 +++++++++++++++++++++++++-----------
 3 files changed, 62 insertions(+), 26 deletions(-)

commit 4225da67179cae2be44a76d3c37c6c859c8659c5
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sat Mar 5 09:52:49 2011 +0100

    Fix english mistake catched by lintian

 man/dpkg-gensymbols.1 |    2 +-
 man/po/de.po          |    2 +-
 man/po/es.po          |    2 +-
 man/po/fr.po          |    2 +-
